<?php

namespace App\Console;

use App\Http\Controllers\Stock\EarningController;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {      

        ////runing theses commands
        $losserRescrapTime=get_setting('losser_rescrap_time');
        $winnerRescrapTime=get_setting('winner_rescrap_time');
        $long_check_rescrap_time=get_setting('long_check_rescrap_time');

        $schedule->command('takealot:resetIpApiLimit')->everyMinute();   // Runs every 2 minutes
        $schedule->command('takealot:newCreatedOffers')->cron('20 * * * *')->name('newCreatedOffers')->withoutOverlapping();   // Runs every hour at minute 0
        $schedule->command('takealot:Offers')->cron('45 * * * *')->name('Offersjob')->withoutOverlapping();   // Runs every hour at minute 45
        $schedule->command('takealot:sales')->cron('0 */6 * * *')->name('salesjob')->withoutOverlapping();   // Runs every 6 hours at minute 0

        $schedule->command('takealot:repricingMaxTimeReCheck')->cron('*/'.$long_check_rescrap_time.' * * * *');   // Runs every 7 minutes
        $schedule->command('takealot:repricingLosserOffers')->cron('*/'.$losserRescrapTime.' * * * *');   // Runs every 2 minutes
        $schedule->command('takealot:repricing')->cron('*/'.$winnerRescrapTime.' * * * *');   //1-59/2 * * * * Runs every 2 minutes, starting at the 1st minute
        $schedule->command('takealot:disableFromRepricing')->cron('35 * * * *')->name('disableFromRepricing')->withoutOverlapping();   // Runs every hour at minute 30
      
    
       $schedule->command('takealot:ProductDetails')->twiceDailyAt(3, 23)->name('ProductDetails')->withoutOverlapping();
       $schedule->command('Tsin:DeleteTsinLogHistory')->daily()->name('DeleteTsinLogHistory')->withoutOverlapping();
       $schedule->command('Tsin:DeleteTsinCompHistory')->daily()->name('DeleteTsinCompHistory')->withoutOverlapping();
       $schedule->command('Tsin:DeleteWebhookHistory')->daily()->name('DeleteWebhookHistory')->withoutOverlapping();
        
       $schedule->command('paystack:checksubscriptions')->name('checksubscriptions')->dailyAt('02:00')->withoutOverlapping();
       $schedule->command('subscription:checkpackageexpire')->name('checkpackageexpire')->dailyAt('03:00')->withoutOverlapping();
       $schedule->command('subscription:removeextraoffersfromrepricing')->name('removeextraoffersfromrepricing')->dailyAt('04:00')->withoutOverlapping();
       $schedule->command('queue:prune-batches --hours=48 --unfinished=72')->name('pruneBatches')->daily()->withoutOverlapping();
          
        // //running upper commands                          
       
        // $schedule->command('takealot:repricingLosserOffers')->everyTwoMinutes()->withoutOverlapping();  
        // $schedule->command('takealot:repricing')->everyTwoMinutes()->withoutOverlapping();  
        // $schedule->command('takealot:newCreatedOffers')->hourly()->withoutOverlapping();             
        // $schedule->command('takealot:Offers')->hourly()->withoutOverlapping();          
        // $schedule->command('takealot:sales')->everySixHours()->withoutOverlapping();
        // $schedule->command('takealot:disableFromRepricing')->hourly()->withoutOverlapping(); 

        
        // $schedule->command('takealot:repricing')->everyMinute()->withoutOverlapping();  
        // $schedule->command('takealot:updateSalesStatus')->twiceDailyAt(2, 5)->withoutOverlapping();

        // $schedule->command('paystack:checksubscriptions')->everyMinute()->withoutOverlapping();
        // $schedule->command('takealot:everyMintRepricing')->everyMinute()->withoutOverlapping();       
        // $schedule->command('takealot:everyMintRepricing')->everyMinute()->withoutOverlapping();       
        // $schedule->command('queue:prune-batches --hours=48 --cancelled=72')->daily();    
        // $schedule->command('telescope:prune --hours=48')->daily();
        // $schedule->command('takealot:refetchOffers')->everyOddHour()->withoutOverlapping();
            
    }

    protected $routeMiddleware = [
        'verified' => \Illuminate\Auth\Middleware\EnsureEmailIsVerified::class,
        ];
    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
