<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\User;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotShops;
use App\Models\TsinUpdateHistory;
use App\Models\WebHookCalls;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotSingleOfferPriceUpdateJob;
use Illuminate\Support\Facades\Log;
class OfferWebHookController extends Controller
{    
   /////////////////start product update code/////////////////
    public function offerUpdate($data,$shop,$headers=null,$url=null,$eventName=null)
    {        
       if(!empty($data))
       {
          $this->WebHookCalls($eventName,$url,$headers,$data);        
          $data=json_decode($data);
          $updatedData=[];
          if(!empty($data->values_changed))
          {     
           
            $valueChanged=json_decode($data->values_changed);        
             if(!empty($valueChanged))
             {
                $offer=TakealotOffers::where([['offer_id','=',$data->offer_id],['takealot_shops_id','=',$shop->id],['seller_id','=',$shop->seller_id]])->first();
                if(!empty($offer) && !empty($valueChanged->tsin_id) && isset($valueChanged->tsin_id->new_value))
                {
                    $offer->tsin_id=$valueChanged->tsin_id->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->offer_id) && isset($valueChanged->offer_id->new_value))
                {
                    $offer->offer_id=$valueChanged->offer_id->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                }
                if(!empty($offer) && !empty($valueChanged->plid) && isset($valueChanged->plid->new_value))
                {
                    $offer->plid=$valueChanged->plid->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->sku) && isset($valueChanged->sku->new_value))
                {
                    $offer->sku=$valueChanged->sku->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->barcode) && isset($valueChanged->barcode->new_value))
                {
                    $offer->barcode=$valueChanged->barcode->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                } 
                if(!empty($offer) && !empty($valueChanged->selling_price) && isset($valueChanged->selling_price->new_value))
                {
                   
                    // $current_time = Carbon::now();
                    $offer->selling_price=$valueChanged->selling_price->new_value;
                    // $offer->price_updated_at=$current_time;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        // TakealotInstantRepricingJob::dispatch($offer->id)->onQueue('high');   
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                 
                } 
                if(!empty($offer) && !empty($valueChanged->rrp) && isset($valueChanged->rrp->new_value))
                {
                    $offer->rrp=$valueChanged->rrp->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                } 
                if(!empty($offer) && !empty($valueChanged->leadtime_days) && isset($valueChanged->leadtime_days->new_value))
                {
                    $offer->leadtime_days=$valueChanged->leadtime_days->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                } 
                if(!empty($offer) && !empty($valueChanged->stock->merchant_warehouse))
                {
                    $leadtime_encode=null;
                    if(!empty($offer->leadtime_stock) && !empty($valueChanged->stock->merchant_warehouse) && count($valueChanged->stock->merchant_warehouse)>0)
                    {                       
                        
                         foreach($valueChanged->stock->merchant_warehouse as $key=>$item)
                         {                            
                            $leadtime_decode=json_decode($offer->leadtime_stock);
                            foreach($leadtime_decode as $stockKey=>$stock)
                            {                               
                                if(!empty($item->merchant_warehouse_id) && $item->merchant_warehouse_id== $stock->merchant_warehouse->warehouse_id)
                                {                                   
                                    $stock->quantity_available=(!empty($item->quantity) && isset($item->quantity->new_value)) ? $item->quantity->new_value : ((!empty($item->quantity) && !is_array($item->quantity)) ? $item->quantity : 0);
                                    $leadtime_encode[$stockKey]= $stock;
                                }
                                      
                            }                           
                            
                         }                        
                       
                    }
                    else
                    {
                         $leadtime=array();
                         foreach($valueChanged->stock->merchant_warehouse as $key=>$item)
                         {                             
                            if(!empty($item->merchant_warehouse_id))
                            { 
                                $leadtime[]=array(
                                    'merchant_warehouse' => array(
                                        'warehouse_id'=>!empty($item->merchant_warehouse_id) ? $item->merchant_warehouse_id : null,
                                        'name'=>!empty($item->name) ? $item->name : null
                                    ),
                                    'quantity_available'=>(!empty($item->quantity) && isset($item->quantity->new_value)) ? $item->quantity->new_value : ((!empty($item->quantity) && !is_array($item->quantity)) ? $item->quantity : 0)
                                );                                 
                            }
                        }
                        $leadtime_encode=$leadtime;
                        
                    }
                  
                    $offer->leadtime_stock=json_encode($leadtime_encode);
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                } 
                if(!empty($offer) && !empty($valueChanged->status) && isset($valueChanged->status->new_value->description))
                {
                       

                    $offer->status=$valueChanged->status->new_value->description;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                } 
                if(!empty($offer) && !empty($valueChanged->title) && isset($valueChanged->title->new_value))
                {
                    $offer->title=$valueChanged->title->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                } 
                if(!empty($offer) && !empty($valueChanged->offer_url) && isset($valueChanged->offer_url->new_value))
                {
                    $offer->offer_url=$valueChanged->offer_url->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->stock) && isset($valueChanged->stock->takealot_warehouse))
                {
                    $checkChangeStock=false;
                    $leadtime_encode=null;
                    if(empty($offer->stock_at_takealot) && !empty($valueChanged->stock->takealot_warehouse) && count($valueChanged->stock->takealot_warehouse)>0)
                    {
                        
                          
                         foreach($valueChanged->stock->takealot_warehouse as $key=>$item)
                         {                            
                            $leadtime_decode=json_decode($offer->stock_at_takealot);
                           
                            foreach($leadtime_decode as $stockKey=>$stock)
                            {                               
                                if(!empty($item->takealot_warehouse_id) && $item->takealot_warehouse_id== $stock->warehouse->warehouse_id)
                                {          
                                    $checkChangeStock=false;
                                    if((!empty($item->quantity) && isset($item->quantity->new_value) && isset($item->quantity->old_value)))
                                    {
                                        if($item->quantity->old_value<=0 && $item->quantity->new_value>0)
                                        {
                                            $checkChangeStock=true;
                                        }
                                        if($item->quantity->old_value>0 && $item->quantity->new_value<=0)
                                        {
                                            $checkChangeStock=true;
                                        }
                                    } 
                                    if(!empty($item->quantity) && !is_array($item->quantity) && $item->quantity<=0)
                                    {
                                        $checkChangeStock=true;
                                    }

                                    $stock->quantity_available=(!empty($item->quantity) && isset($item->quantity->new_value)) ? $item->quantity->new_value : ((!empty($item->quantity) && !is_array($item->quantity)) ? $item->quantity : 0); 
                                    $leadtime_encode[$stockKey]= $stock;
                                }
                                      
                            }                           
                            
                         }                        
                       
                    }
                    else
                    {
                         $leadtime=array();
                         foreach($valueChanged->stock->takealot_warehouse as $key=>$item)
                         {                             
                                if(!empty($item->takealot_warehouse_id))
                                { 
                                    $checkChangeStock=false;
                                    if((!empty($item->quantity) && isset($item->quantity->new_value) && isset($item->quantity->old_value)))
                                    {
                                        if($item->quantity->old_value<=0 && $item->quantity->new_value>0)
                                        {
                                           $checkChangeStock=true;
                                        }
                                        if($item->quantity->old_value>0 && $item->quantity->new_value<=0)
                                        {
                                           
                                            $checkChangeStock=true;
                                        }
                                    } 

                                    $leadtime[]=array(
                                        'warehouse' => array(
                                            'warehouse_id'=>!empty($item->takealot_warehouse_id) ? $item->takealot_warehouse_id : null,
                                            'name'=>(!empty($item->name)) ? $item->name : (($item->takealot_warehouse_id==1) ? 'CPT' : (($item->takealot_warehouse_id==3) ? 'JHB' : null) )
                                        ),
                                        'quantity_available'=>(!empty($item->quantity) && isset($item->quantity->new_value)) ? $item->quantity->new_value : ((!empty($item->quantity) && !is_array($item->quantity)) ? $item->quantity : 0)
                                    );                                 
                                }
                        }
                        $leadtime_encode=$leadtime;
                        
                    }
                    if($checkChangeStock==true)
                    {
                       
                       //fetch offer
                       $getTakeOffer=TakealotOffers::where([['tsin_id','=',$offer->tsin_id],['takealot_shops_id','=',$shop->id],['seller_id','=',$shop->seller_id]])->first();
                       if(!empty($getTakeOffer))
                       { 
                            $getTakeReOfferPrice=TakealotRePricing::where([['takealot_offers_id','=',$getTakeOffer->id],['takealot_shops_id','=',$shop->id],['seller_id','=',$shop->seller_id]])->first();
                            if(!empty($getTakeReOfferPrice))
                            {
                                // $msg='shopdetails= '.$shop->id.' OfferId = '.$getTakeOffer->offer_id.' old price= '.$getTakeOffer->selling_price.' job TakealotRePricing founded getTakeReOfferPrice Tsin= '. $getTakeOffer->tsin_id.' Maxprice= '.$getTakeReOfferPrice->max_price;
                                // Logger($msg);
                                if($getTakeOffer->selling_price<$getTakeReOfferPrice->max_price)
                                {
                                    $getTakeOffer->selling_price=$getTakeReOfferPrice->max_price;
                                    $getTakeOffer->save();
                                    TakealotSingleOfferPriceUpdateJob::dispatch($getTakeOffer->offer_id,$getTakeReOfferPrice->max_price,$shop)->onQueue('low');
                                }
                                
                            }   
                       } 
                    }
                    $offer->stock_at_takealot=json_encode($leadtime_encode);
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                }
                if(!empty($offer) && !empty($valueChanged->stock_on_way) && isset($valueChanged->stock_on_way->new_value))
                {
                    $offer->stock_on_way=$valueChanged->stock_on_way->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                } 
                if(!empty($offer) && !empty($valueChanged->total_stock_on_way) && isset($valueChanged->total_stock_on_way->new_value))
                {
                    $offer->total_stock_on_way=$valueChanged->total_stock_on_way->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->stock_cover) && isset($valueChanged->stock_cover->new_value))
                {
                    $offer->stock_cover=$valueChanged->stock_cover->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                 
                }
                if(!empty($offer) && !empty($valueChanged->total_stock_cover) && isset($valueChanged->total_stock_cover->new_value))
                {
                    $offer->total_stock_cover=$valueChanged->total_stock_cover->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->sales_units) && isset($valueChanged->sales_units->new_value))
                {
                    $offer->sales_units=$valueChanged->sales_units->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                }
                if(!empty($offer) && !empty($valueChanged->stock_at_takealot_total) && isset($valueChanged->stock_at_takealot_total->new_value))
                {
                    $offer->stock_at_takealot_total=$valueChanged->stock_at_takealot_total->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                } 
                if(!empty($offer) && !empty($valueChanged->storage_fee_eligible) && isset($valueChanged->storage_fee_eligible->new_value))
                {
                    $offer->storage_fee_eligible=$valueChanged->storage_fee_eligible->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                   
                }
                if(!empty($offer) && !empty($valueChanged->discount) && isset($valueChanged->discount->new_value))
                {
                    $offer->discount=$valueChanged->discount->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->discount_shown) && isset($valueChanged->discount_shown->new_value))
                {
                    $offer->discount_shown=$valueChanged->discount_shown->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->replen_block_jhb) && isset($valueChanged->replen_block_jhb->new_value))
                {
                    $offer->replen_block_jhb=$valueChanged->replen_block_jhb->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->replen_block_cpt) && isset($valueChanged->replen_block_cpt->new_value))
                {
                    $offer->replen_block_cpt=$valueChanged->replen_block_cpt->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }
                if(!empty($offer) && !empty($valueChanged->image_url) && isset($valueChanged->image_url->new_value))
                {
                    $offer->image_url=$valueChanged->image_url->new_value;
                    $offer->updated_through=0;
                    if($offer->save())
                    {
                        $this->mapData($data->values_changed,$shop,$offer->tsin_id);
                    }
                  
                }

             }

          }
        
       }
       return true;
    }    
    public function mapData($changed,$shop,$tsin)
    {       
        
        $tsinHistory=new TsinUpdateHistory();
        $tsinHistory->seller_id=$shop->seller_id;
        $tsinHistory->takealot_shops_id=$shop->id;
        $tsinHistory->updated_through=0;
        $tsinHistory->tsin=$tsin;
        $tsinHistory->data=$changed;
        $tsinHistory->ip_address='webhook';
        $tsinHistory->type='webhook';
        $tsinHistory->save();         
        return true;
    }
    public function WebHookCalls($eventName,$url,$headers,$payload)
    {        
        $webhookcalls=new WebHookCalls();
        $webhookcalls->name=$eventName;
        $webhookcalls->url=$url;
        $webhookcalls->headers=json_encode($headers);
        $webhookcalls->payload=$payload;
        $webhookcalls->save();
        return true;
    }
    /////////////////ended product update code/////////////////

    /////////////////started product create code/////////////////
    public function createOffer($data,$shop,$headers=null,$url=null,$eventName=null)
    {
        try
        {
                if(!empty($data))
                {
                $this->WebHookCalls($eventName,$url,$headers,$data);        
                $data=json_decode($data);
                if(!empty($data))
                {
                    $checkoffer=TakealotOffers::where([['offer_id','=',$data->offer_id],['takealot_shops_id','=',$shop->id],['seller_id','=',$shop->seller_id]])->first();
                    if(empty($checkoffer) && isset($data->offer_id))
                    {
                        $offer=new TakealotOffers();    
                        $offer->seller_id=$shop->seller_id;
                        $offer->takealot_shops_id=$shop->id;
                        $offer->tsin_id=(isset($data->tsin_id) && !empty($data->tsin_id)) ? $data->tsin_id : 0;
                        $offer->offer_id=(isset($data->offer_id) && !empty($data->offer_id)) ? $data->offer_id : 0;
                        $offer->sku=(isset($data->sku) && !empty($data->sku)) ? $data->sku : null;
                        $offer->barcode=(isset($data->barcode) && !empty($data->barcode)) ? $data->barcode : null;
                        $offer->product_label_number=(isset($data->product_label_number) && !empty($data->product_label_number)) ? $data->product_label_number : null;
                        $offer->selling_price=(isset($data->selling_price) && !empty($data->selling_price)) ? $data->selling_price : 0;
                        $offer->rrp=(isset($data->rrp) && !empty($data->rrp)) ? $data->rrp : 0;
                        $offer->leadtime_days=(isset($data->leadtime_days) && !empty($data->leadtime_days)) ? $data->leadtime_days : null;
                        $offer->leadtime_stock=(isset($data->leadtime_stock) && !empty($data->leadtime_stock)) ? $data->leadtime_stock : null;
                        $offer->status=(isset($data->status) && !empty($data->status)) ? $data->status : 'Not Buyable';
                        $offer->title=(isset($data->title) && !empty($data->title)) ? $data->title : null;
                        $offer->offer_url=(isset($data->offer_url) && !empty($data->offer_url)) ? $data->offer_url : null;
                        $offer->stock_at_takealot=(isset($data->stock_at_takealot) && !empty($data->stock_at_takealot)) ? $data->stock_at_takealot : null;
                        $offer->stock_on_way=(isset($data->stock_on_way) && !empty($data->stock_on_way)) ? $data->stock_on_way : null;
                        $offer->total_stock_on_way=(isset($data->total_stock_on_way) && !empty($data->total_stock_on_way)) ? $data->total_stock_on_way : 0;
                        $offer->stock_cover=(isset($data->stock_cover) && !empty($data->stock_cover)) ? $data->stock_cover : null;
                        $offer->total_stock_cover=(isset($data->total_stock_cover) && !empty($data->total_stock_cover)) ? $data->total_stock_cover : 0;
                        $offer->sales_units=(isset($data->sales_units) && !empty($data->sales_units)) ? $data->sales_units : 0;
                        $offer->stock_at_takealot_total=(isset($data->stock_at_takealot_total) && !empty($data->stock_at_takealot_total)) ? $data->stock_at_takealot_total : 0;
                        $offer->storage_fee_eligible=(isset($data->storage_fee_eligible) && !empty($data->storage_fee_eligible)) ? $data->storage_fee_eligible : 0;
                        $offer->discount=(isset($data->discount) && !empty($data->discount)) ? $data->discount : null;
                        $offer->discount_shown=(isset($data->discount_shown) && !empty($data->discount_shown)) ? $data->discount_shown : 0;
                        $offer->replen_block_jhb=(isset($data->replen_block_jhb) && !empty($data->replen_block_jhb)) ? $data->replen_block_jhb : 0;
                        $offer->replen_block_cpt=(isset($data->replen_block_cpt) && !empty($data->replen_block_cpt)) ? $data->replen_block_cpt : 0;
                        $offer->image_url=(isset($data->image_url) && !empty($data->image_url)) ? $data->image_url : null;
                        $offer->save();
                        return true;
                    }
                }
                }
        }
        catch (\Exception $e) 
        {
            return true;
        }  
        return false;
    }
    /////////////////ended product create code/////////////////
}
