<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\User;
use App\Models\TakealotOrders;
use App\Models\WebHookCalls;
class SalesWebHookController extends Controller
{
    //sales status change webhook controller
    public function saleStatusUpdate($data,$shop,$headers=null,$url=null,$eventName=null)
    {    
        
       if(!empty($data))
       {
            $this->WebHookCalls($eventName,$url,$headers,$data);
            $data=json_decode($data);
            $updatedData=[];            
            if(!empty($data->sale))
            {  
                 $sale=$data->sale;                
                if(!empty($sale))
                {
                    $order=TakealotOrders::where([['offer_id','=',$sale->offer_id],['order_item_id','=',$sale->order_item_id],['order_id','=',$sale->order_id],['takealot_shops_id','=',$shop->id],['seller_id','=',$shop->seller_id]])->first();
                    if(empty($order))
                    {
                        $this->createNewOrder($sale,$shop);
                    }
                    else
                    {
                        $this->updateNewOrder($order,$sale,$shop);
                    }
                    
                   return true;
                }
            }
        
        }
        
    }
    public function createNewOrder($sale,$shop)
    {
        $order=new TakealotOrders();
        $order->seller_id=$shop->seller_id;
        $order->takealot_shops_id=$shop->id;
        $order->order_item_id=(!empty($sale->order_item_id)) ? $sale->order_item_id :  '';
        $order->order_id=(!empty($sale->order_id)) ? $sale->order_id : '';
        $order->order_date=(!empty($sale->order_date)) ? $sale->order_date :  '';
        $order->sale_status=(!empty($sale->sale_status)) ? $sale->sale_status :  '';
        $order->offer_id=(!empty($sale->offer_id)) ? $sale->offer_id :  '';
        $order->tsin=(!empty($sale->tsin)) ? $sale->tsin :  '';
        $order->sku=(!empty($sale->sku)) ? $sale->sku :  '';
        $order->product_title=(!empty($sale->product_title)) ? $sale->product_title :  '';
        $order->takealot_url_mobi=(!empty($sale->takealot_url_mobi)) ? $sale->takealot_url_mobi : '';
        $order->selling_price=(!empty($sale->selling_price)) ? $sale->selling_price :  '';
        $order->promotion=(!empty($sale->promotion)) ? $sale->promotion :  '';
        $order->quantity=(!empty($sale->quantity)) ? $sale->quantity :  '';
        $order->warehouse =(!empty($sale->warehouse)) ? $sale->warehouse :  '';
        if(isset($sale->dc) && !empty(trim($sale->dc)))
        {
            $order->dc =(!empty($sale->dc)) ? $sale->dc :  '';
        }
        if(!isset($sale->dc) && empty($sale->dc))
        {
            $order->dc =(!empty($sale->warehouse)) ? $sale->warehouse : ((!empty($order->warehouse)) ? $order->warehouse : '');
        }      
        $order->po_number=(!empty($sale->po_number)) ? $sale->po_number :  '';
        $order->shipment_name=(!empty($sale->shipment_name)) ? $sale->shipment_name :  '';
        $order->customer=(!empty($sale->customer)) ? $sale->customer :  '';
        $order->takealot_url=(!empty($sale->takealot_url_mobi)) ? $sale->takealot_url_mobi :  '';
        $order->success_fee=(!empty($sale->success_fee)) ? $sale->success_fee :  '';
        $order->fulfillment_fee=(!empty($sale->fulfillment_fee)) ? $sale->fulfillment_fee : '';
        $order->courier_collection_fee=(!empty($sale->courier_collection_fee)) ? $sale->courier_collection_fee :  '';
        $order->auto_ibt_fee=(!empty($sale->auto_ibt_fee)) ? $sale->auto_ibt_fee :  '';
        $order->total_fee=(!empty($sale->total_fee)) ? $sale->total_fee : '';
        $order->save();
        return true;
    }
    public function updateNewOrder($order,$sale,$shop)
    {
        
        $order->seller_id=$shop->seller_id;
        $order->takealot_shops_id=$shop->id;
        if(isset($sale->order_item_id) && !empty($sale->order_item_id))
        {
            $order->order_item_id=$sale->order_item_id;
        }
        if(isset($sale->order_id) && !empty($sale->order_id)) 
        {
            $order->order_id=$sale->order_id;
        }
        if(isset($sale->order_date) && !empty($sale->order_date))
        {
            $order->order_date=$sale->order_date;
        }
        if(isset($sale->sale_status) && !empty($sale->sale_status))
        {
            $order->sale_status=$sale->sale_status;

        }
        if(isset($sale->offer_id) && !empty($sale->offer_id))
        {
            $order->offer_id=$sale->offer_id;

        }
        if(isset($sale->tsin) && !empty($sale->tsin))
        {
            $order->tsin=$sale->tsin;

        }
        if(isset($sale->sku) && !empty($sale->sku))
        {
            $order->sku=$sale->sku;

        }
        if(isset($sale->product_title) && !empty($sale->product_title))
        {
            $order->product_title=$sale->product_title;

        }
        if(isset($sale->takealot_url_mobi) && !empty($sale->takealot_url_mobi))
        {
            $order->takealot_url_mobi=$sale->takealot_url_mobi;

        }
        if(isset($sale->selling_price) && !empty($sale->selling_price))
        {
            $order->selling_price=$sale->selling_price;

        }
        if(isset($sale->promotion) && !empty($sale->promotion))
        {
            $order->promotion=$sale->promotion;

        }
        if(isset($sale->quantity) && !empty($sale->quantity))
        {
            $order->quantity=$sale->quantity;

        }
        if(isset($sale->dc) && !empty(trim($sale->dc)))
        {
            $order->dc =$sale->dc;

        }
        if(isset($sale->warehouse) && !empty($sale->warehouse))
        {
            $order->warehouse =$sale->warehouse;

        }
        if(isset($sale->po_number) && !empty($sale->po_number))
        {
            $order->po_number=$sale->po_number;

        }
        if(isset($sale->shipment_name) && !empty($sale->shipment_name))
        {
            $order->shipment_name=$sale->shipment_name;

        }
        if(isset($sale->customer) && !empty($sale->customer))
        {
            $order->customer=$sale->customer;
        }
        if(isset($sale->takealot_url_mobi) && !empty($sale->takealot_url_mobi))
        {
            $order->takealot_url=$sale->takealot_url_mobi;

        }
        if(isset($sale->success_fee) && !empty($sale->success_fee))
        {
            $order->success_fee=$sale->success_fee;

        }
        if(isset($sale->fulfillment_fee) && !empty($sale->fulfillment_fee))
        {
            $order->fulfillment_fee=$sale->fulfillment_fee;

        }
        if(isset($sale->courier_collection_fee) && !empty($sale->courier_collection_fee))
        {
            $order->courier_collection_fee=$sale->courier_collection_fee;

        }
        if(isset($sale->auto_ibt_fee) && !empty($sale->auto_ibt_fee))
        {
            $order->auto_ibt_fee=$sale->auto_ibt_fee;

        }
        if(isset($sale->total_fee) && !empty($sale->total_fee))
        {
            $order->total_fee=$sale->total_fee;

        }
        $order->save();
        return true;
    }
    public function WebHookCalls($eventName,$url,$headers,$payload)
    {        
        $webhookcalls=new WebHookCalls();
        $webhookcalls->name=$eventName;
        $webhookcalls->url=$url;
        $webhookcalls->headers=json_encode($headers);
        $webhookcalls->payload=$payload;
        $webhookcalls->save();
        return true;
    }    
   
}
