<?php

namespace App\Http\Controllers\Api;
use Illuminate\Http\Request As Req;
use App\Http\Controllers\Controller;
use Carbon\Carbon;
use GuzzleHttp\Client;
use GuzzleHttp\Psr7;
use GuzzleHttp\Exception\RequestException;
use GuzzleHttp\Pool;
use GuzzleHttp\Promise;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Psr7\Response;
use Illuminate\Support\Facades\Log;
use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
use GuzzleHttp\HandlerStack;
use Spatie\GuzzleRateLimiterMiddleware\RateLimiterMiddleware;

class ScrapingApiController extends Controller
{
    
      public function scrapData($data)
      {
            
            try
            {
                if(!empty($data) && isset($data['plid']))
                { 
                 
                  $url="https://api.takealot.com/rest/v-1-10-0/product-details/";
                  $variantUrl=null;
                  $singleUrl=null;

                  if($data['is_variant']==1 && !empty($data['variant_params']))
                  {
                    $variantUrl=$data['plid'].$data['variant_params'].'&platform=desktop&display_credit=true';                
                  }
                  else
                  {
                    $singleUrl=$data['plid'].'?platform=desktop&display_credit=true';
                  }
                  
                  $headers = [
                    'Content-Type'=>'application/json',
                    'accept-encoding'=>'gzip, deflate, br',
                    'cache-control'=>'max-age=0',
                    'origin'=>'https://www.takealot.com',
                    'referer'=>'https://www.takealot.com/',
                    'user-agent' => 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.104 Safari/537.36',
                    'accept' => 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9',
                  ]; 

                  $client  = new Client(['base_uri' =>$url,'verify' => false]);
                 
                  if(!empty($variantUrl))
                  {
                    $request = new Request('GET',$variantUrl,$headers);
                  }
                  else
                  {
                    $request = new Request('GET',$singleUrl,$headers);

                  }
                     
                  $response = $client->send($request);
                  if($response->getStatusCode()==200)
                  {
                    $result=json_decode($response->getBody()->getContents());              
                    if(!empty($result))
                    {          
                      return response()->json(['status'=>'success','message' => 'Data found','data'=>$result], 200);
                    }
                  }
                  else
                  {
                    Logger(env('APP_URL'));
                    Logger($response->getBody()->getContents());
                    return response()->json(['status'=>'error','message' => 'data not found','data'=>$response], $response->getStatusCode());
                  }
                  
                }
            }
            catch (\Exception $e) 
            { 
              Logger('catch');
              Logger($e->getCode());
              Logger($e->getMessage());
              // Logger($e);
              return response()->json(['status'=>'error','message' => 'Sorry! Something went wrong.','data'=>$e->getMessage()],$e->getCode());
            } 
      }
      
}
