<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\User;
use App\Models\TakealotOrders;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotShops;
use App\Http\Controllers\Api\OfferWebHookController;
class TakealotWebHooksController extends Controller
{ 

    public function webhookEvents(Request $req)
    {      
     
      if(!empty($req->uuid) && $req->uuid!=null && !empty($req->header('x-takealot-signature'))) 
      {
      
          $shop=TakealotShops::where('webhook_uuid','=',trim($req->uuid))->first();
          if(!empty($shop))
          {
              $eventName=$req->header('x-takealot-event');   
              //offer update webhook        
              if($eventName==='offer_updated')
              {
                  $offer=new OfferWebHookController();    
                  $offer->offerUpdate($req->getContent(),$shop,$req->header(),$req->url(),$eventName);
              }
              //offer create webhook        
              if($eventName==='offer_created')
              {
                  $offer=new OfferWebHookController();    
                  $offer->createOffer($req->getContent(),$shop,$req->header(),$req->url(),$eventName);
              }
              //sales status webhook        
              if($eventName==='sale_status_changed')
              {
                  $salesStatusChange=new SalesWebHookController();    
                  $salesStatusChange->saleStatusUpdate($req->getContent(),$shop,$req->header(),$req->url(),$eventName);
              }
              return response()->json(['message' => 'ok']);
          }
        
      }
       return redirect()->route('login');
    }    

}
