<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    // protected $redirectTo = RouteServiceProvider::HOME;
    public function redirectTo() {

        $role = Auth::user()->role;
        switch ($role) {
            case 'admin':
                return route('admin.dashboard');
                break; 
            case 'seller':
                $activeShop=Auth::user()->AllTakealotShops->first()->id;
                session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
                return route('seller.dashboard');
                break;
            case 'customer':
                return '/dashboard';
                break;
            default:
                return '/login';
                break;
        }
            /* switch ($role) {
                case 'admin':
                    return redirect()->route('admin.dashboard');
                    break;
                case 'customer':
                        return redirect()->route('dashboard');
                    break;
                default:
                    return redirect()->route('login');
                    break;
            }*/
          }
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
