<?php

namespace App\Http\Controllers\front;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\Log;
use App\Models\PackageBuy;
use App\Models\PackageBuyHistory;
use App\Models\SubscriptionPackages;
use App\Models\TakealotShops;
use App\Http\Controllers\Controller;
use GuzzleHttp\Client;
use Auth;
use Session;
use Redirect;
use Paystack;
class PaystackController extends Controller
{
    public function redirectToGateway($data)
    { 
         
         if(!empty($data) && $data->price>0 && $data->package_type=='paid' && $data->status=='active' && isset($data->plan_code) && !empty($data->plan_code))
         {
            $result=$this->transactionInitialize($data);
            $result=json_decode($result);           
            if(!empty($result) && (isset($result->status) && $result->status==true) && (isset($result->message) && $result->message=="Authorization URL created"))
            {
                $result=$result->data;
                
                if(isset($result->authorization_url))
                {
                   
                    // return Redirect::away($result->authorization_url);
                    return redirect()->away($result->authorization_url);
                }
                else
                {
                    return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
                }
              
              
            }
            else
            {
                return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
            }
           
         }
         else
         {
           if(!empty($data) && $data->price<=0 && $data->package_type=='free' && $data->status=='active')
           {
                $customerPackage=null;
                $buyNow=PackageBuy::where('seller_id','=',Auth::user()->id)->first();
                if(empty($buyNow))
                {
                    $buyNow=new PackageBuy();
                }
                if(!empty($buyNow))
                {
                    $customerPackage=$buyNow;
                }
                $buyNow->subscription_packages_id=$data->id;
                $buyNow->payment_status='paid';
                $buyNow->status='active';
                $buyNow->subscription_status='enabled'; 
                $buyNow->seller_id=Auth::user()->id;
                if($buyNow->save())
                {
                    $pkgBuyHistory=new PackageBuyHistory();
                    $pkgBuyHistory->seller_id=Auth::user()->id;
                    $pkgBuyHistory->package_details=null;
                    $pkgBuyHistory->event='free';
                    $pkgBuyHistory->price=$data->price;
                    $pkgBuyHistory->subscription_packages_id=$data->id;
                    $pkgBuyHistory->save();
                    if(!empty($customerPackage) && isset($customerPackage->customer_id) && !empty($customerPackage->customer_id))
                    {
                        $subscription = Paystack::getCustomerSubscriptions($customerPackage->customer_id);           
                        $disabledData =[];
                        if(!empty($subscription))
                        {

                            foreach($subscription as $subsKey=>$subs)
                            {
                               
                                    $disabledData = [
                                        'code' => $subs['subscription_code'],
                                        'token' =>$subs['email_token']
                                    ];            
                                    $disabled=$this->disableSubscription($disabledData);
                                    $disabled=json_decode($disabled);
                            }
                        }
                    }
                   
                }
                return response()->json([
                    'status' => 'success',
                    'message' => $data->title.' subscription successfully activated!',
                ]);
            //    return redirect()->route('pricing')->with('success',$data->title.' subscription successfully purchased!');
           }

         }
        
    }
    public function transactionInitialize($data)
    {
        try
        {
            $url="https://api.paystack.co/";
            $headers = [
                'Authorization' => 'Bearer ' . env('PAYSTACK_SECRET_KEY'),
                'Cache-Control' => 'no-cache',
            ];
            
            $data = [
                "email" => Auth::user()->email,
                "amount" => $data->price*$data->duration,
                "plan" => $data->plan_code,
            ];
            
            $options = [
                "headers" => $headers,
                "json" => $data,
            ];
            $client = new Client(['base_uri' =>$url,'verify' => false]);     
            $response=$client->request('POST', 'transaction/initialize', $options);
            
            $result= $response->getBody()->getContents();           
            return $result;
        }
        catch (\Exception $e) 
        {
            $response = $e->getResponse();
            $statusCode = $response->getStatusCode();
            $errorMessage = $response->getBody()->getContents();
            $errorMessage=json_decode($errorMessage);
            $message=$statusCode.' '.$errorMessage->message;
            return redirect()->route('pricing')->with('error',$message);
        }
    }
    public function paymentVerification($reference)
    {
        $url="https://api.paystack.co/";
        $headers = [
            'Authorization' => 'Bearer ' . env('PAYSTACK_SECRET_KEY'),
            'Cache-Control' => 'no-cache',
        ];
        $options = [
            "headers" => $headers
        ];
        $client = new Client(['base_uri' =>$url,'verify' => false]);     
        $response=$client->request('GET', 'transaction/verify/'.$reference, $options);
        $result= $response->getBody()->getContents();
        return $result;
    }
    

    /**
     * Obtain Paystack payment information
     * @return void
     */
    public function handleStackGatewayCallback(Request $request)
    {
        
          try
          {
            if(!empty($request->all()) && isset($request->trxref))
            {
              $verifyPayment= $this->paymentVerification($request->trxref);
              $result=json_decode($verifyPayment);
              $resultObject=$verifyPayment;
             
              if(!empty($result) && isset($result->data))
              {
                $result=$result->data;
                if($result->status=='success'  && $result->domain==env('PAYSTACK_DOMAIN') && $result->reference==$request->trxref && isset($result->plan) && $result->amount>0)
                {
                    $data=SubscriptionPackages::where('plan_code','=',$result->plan)->first();  
                  
                    if(!empty($data) && $data->price>0 && $data->package_type=='paid' && $data->status=='active')
                    {
                        $buyNow=PackageBuy::where('seller_id','=',Auth::user()->id)->first();
                        if(empty($buyNow))
                        {
                            $buyNow=new PackageBuy();
                        }

                        $buyNow->subscription_packages_id=$data->id;
                        $buyNow->seller_id=Auth::user()->id;
                        $buyNow->reference=$request->trxref;
                        $buyNow->plan_code=$result->plan;
                        $buyNow->payment_details=$resultObject;
                        $buyNow->customer_id=$result->customer->id;
                        $buyNow->customer_code=$result->customer->customer_code;
                        $buyNow->customer_email=$result->customer->email;

                        if($buyNow->save())
                        {
                            $pkgBuyHistory=new PackageBuyHistory();
                            $pkgBuyHistory->seller_id=Auth::user()->id;
                            $pkgBuyHistory->package_details=$resultObject;
                            $pkgBuyHistory->event='transaction.verify';
                            $pkgBuyHistory->price=$result->amount/100;
                            $pkgBuyHistory->subscription_packages_id=$data->id;
                            $pkgBuyHistory->save();
                        }

                        return redirect()->route('pricing')->with('success',$data->title.' package successfully purchased!');
                    }
                    else
                    {
                        return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
                    }
                }
                else
                {
                    return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
                }

              }
              else
              {
                return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
              }
            }
            else
            {
              return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');
            }

          }
           catch (\Exception $e) 
          {
            $response = $e->getResponse();
            $statusCode = $response->getStatusCode();
            $errorMessage = $response->getBody()->getContents();
            $errorMessage=json_decode($errorMessage);
            $message=$statusCode.' '.$errorMessage->message;
            return redirect()->route('pricing')->with('error',$message);
          }
          
      
       
        return redirect()->route('pricing')->with('error','Sorry! Somthing Went Wrong');;
           
    }
    public function payStackWebHook(Request $request)
    {
      
       // Retrieve the request's body and parse it as JSON
        $input = $request->getContent();
        $event = json_decode($input);
      
        // Verify that the webhook came from Paystack
        $paystack_secret_key = env('PAYSTACK_SECRET_KEY');
        $paystack_signature = $request->header('X-Paystack-Signature');
        $expected_signature = hash_hmac('sha512', $input, $paystack_secret_key);

        if ($paystack_signature !== $expected_signature) 
        {
            return response()->json(['message' => 'Invalid signature'], 400);
        }

        // Handle the event based on its type
      
        switch ($event->event) 
        {
            case 'charge.success':
                if(!empty($event) && isset($event->event))
                {                  
                    $this->chargedSuccess($event);
                }                
                break;

            case 'subscription.create':
                 if(!empty($event) && isset($event->event))
                 {
                    $this->subscriptionCreate($event);
                 }
                break;

            case 'subscription.disable':
                if(!empty($event) && isset($event->event))
                {                  
                   $this->subscriptionDisable($event);   
                }             
                break;

            default:
                break;
        }

        return response()->json(['message' => 'success'], 200);
    }
    protected function chargedSuccess($event)
    {
            if($event->event=='charge.success')
            {
              
              $result=$event;             
              $resultObject=json_encode($event);
              if(!empty($result) && isset($result->data))
              {
                $result=$result->data;
                if($result->status=='success' && $result->domain==env('PAYSTACK_DOMAIN') && isset($result->plan) && $result->amount>0)
                {
                    $pkg=SubscriptionPackages::where('plan_code','=',$result->plan->plan_code)->first();  
                  
                    if(!empty($pkg) && $pkg->price>0 && $pkg->package_type=='paid' && $pkg->status=='active')
                    {
                        $buyNow=PackageBuy::where([['customer_id','=',$result->customer->id],['customer_code','=',$result->customer->customer_code],['customer_email','=',$result->customer->email]])->first();
                        if(!empty($buyNow))
                        {
                                $buyNow->subscription_packages_id=$pkg->id;
                                $buyNow->payment_details=$resultObject;                                
                                $buyNow->payment_status="paid";
                                $buyNow->subscription_status="enabled";
                                $buyNow->status="active";
                                $buyNow->customer_id=$result->customer->id;
                                $buyNow->customer_code=$result->customer->customer_code;
                                $buyNow->customer_email=$result->customer->email;
                                if($buyNow->save())
                                {
                                    $pkgBuyHistory=new PackageBuyHistory();
                                    $pkgBuyHistory->seller_id=$buyNow->seller_id;
                                    $pkgBuyHistory->package_details=$resultObject;
                                    $pkgBuyHistory->event='charge.success';
                                    $pkgBuyHistory->price=$result->amount/100;
                                    $pkgBuyHistory->subscription_packages_id=$pkg->id;
                                    $pkgBuyHistory->save();
                                }
                              
                        }
                      
                    }
                }

              }


            }
    }
    protected function subscriptionDisable($event)
    {
        
        if($event->event=='subscription.disable')
        {
            $result=$event;              
            $resultObject=json_encode($event);
            if(!empty($result) && isset($result->data))
            {
                $result=$result->data;
            
                if($result->status=='complete' && $result->domain==env('PAYSTACK_DOMAIN') && isset($result->plan) && $result->amount>0)
                {
                    $pkg=SubscriptionPackages::where('plan_code','=',$result->plan->plan_code)->first();  
                
                    if(!empty($pkg) && $pkg->price>0 && $pkg->package_type=='paid' && $pkg->status=='active')
                    {
                        $buyNow=PackageBuy::where([['customer_id','=',$result->customer->id],['customer_code','=',$result->customer->customer_code],['customer_email','=',$result->customer->email]])->first();
                        if(!empty($buyNow))
                        {
                            
                                $buyNow->payment_details=$resultObject;
                                $buyNow->subscription_status="disabled";
                                if($buyNow->save())
                                {
                                    $pkgBuyHistory=new PackageBuyHistory();
                                    $pkgBuyHistory->seller_id=$buyNow->seller_id;
                                    $pkgBuyHistory->package_details=$resultObject;
                                    $pkgBuyHistory->event='subscription.disable';
                                    $pkgBuyHistory->price=$result->amount/100;
                                    $pkgBuyHistory->subscription_packages_id=$pkg->id;
                                    $pkgBuyHistory->save();
                                }
                            
                        }
                    
                    }
                }

            }
        }
    } 
    protected function subscriptionCreate($event)
    {
        if($event->event=='subscription.create')
        {
            $result=$event;            
            $resultObject=json_encode($event);
          if(!empty($result) && isset($result->data))
          {
            $result=$result->data;
            if($result->status=='active' && $result->domain==env('PAYSTACK_DOMAIN') && isset($result->plan) && $result->amount>0)
            {
                $pkg=SubscriptionPackages::where('plan_code','=',$result->plan->plan_code)->first(); 
                if(!empty($pkg) && $pkg->price>0 && $pkg->package_type=='paid' && $pkg->status=='active')
                {
                    $buyNow=PackageBuy::where([['customer_id','=',$result->customer->id],['customer_code','=',$result->customer->customer_code],['customer_email','=',$result->customer->email]])->first();
                    if(!empty($buyNow))
                    {
                            $buyNow->subscription_packages_id=$pkg->id;
                            $buyNow->renew_date=$result->next_payment_date;
                            $buyNow->payment_details=$resultObject;                                
                            $buyNow->payment_status="paid";
                            $buyNow->subscription_status="enabled";
                            $buyNow->status="active";
                            $buyNow->customer_id=$result->customer->id;
                            $buyNow->customer_code=$result->customer->customer_code;
                            $buyNow->customer_email=$result->customer->email;
                            if($buyNow->save())
                            {
                                $pkgBuyHistory=new PackageBuyHistory();
                                $pkgBuyHistory->seller_id=$buyNow->seller_id;
                                $pkgBuyHistory->package_details=$resultObject;
                                $pkgBuyHistory->event='subscription.create';
                                $pkgBuyHistory->price=$result->amount/100;
                                $pkgBuyHistory->subscription_packages_id=$pkg->id;
                                $pkgBuyHistory->save();
                            }
                          
                    }
                  
                }
            }

          }
        }
    }
    public function updateSubscription($package)
    {
        
        $customerPackage=PackageBuy::where('seller_id','=',Auth::user()->id)->first();
         if(empty($customerPackage))
         {
            return $this->redirectToGateway($package);
            // return response()->json([
            //     'status' => 'error',
            //     'message' => 'Subscription un-availablle.',
            // ]);
         }
         if(empty($customerPackage->payment_details) || $customerPackage->payment_details=='free' || empty($customerPackage->reference) || $package->package_type=='free')
         {
           
           return $this->redirectToGateway($package);
           
         }

         $subsDetails=json_decode($customerPackage->payment_details);         
       

        try {
            // Get the current subscription details from Paystack
            $subscription = Paystack::getCustomerSubscriptions($customerPackage->customer_id);
           
            $disabledData =[];
            foreach($subscription as $subsKey=>$subs)
            {
               
                if(!empty($subs) && $subsKey==0)
                {
                    $disabledData = [
                        'code' =>$subs['subscription_code'],
                        'token' =>$subs['email_token']
                    ]; 
                }
                if(!empty($subs) && $subsKey!=0 && $subs['status']=='active')
                {
                    $disabledData = [
                        'code' => $subs['subscription_code'],
                        'token' =>$subs['email_token']
                    ];            
                    $disabled=$this->disableSubscription($disabledData);
                    $disabled=json_decode($disabled);
                }
            }
           
         $createSubsdata = [
            'customer' => $customerPackage->customer_code,
            'plan' => $package->plan_code,
            'amount' => $package->price*$package->duration,
        ];
           $createPkg= $this->createSubscription($createSubsdata);          
           $disabled=$this->disableSubscription($disabledData);
         
            return $createPkg;

        } 
        catch (\Exception $e) 
        {
            $response = $e->getResponse();
            $statusCode = $response->getStatusCode();
            $errorMessage = $response->getBody()->getContents();
            $errorMessage=json_decode($errorMessage);
            return response()->json([
                'status' => 'error',
                'message' => $errorMessage->message,
            ]);
        }
    }
    public function disableSubscription($data)
    {
         try{
                $url="https://api.paystack.co/";
                $headers = [
                    'Authorization' => 'Bearer ' . env('PAYSTACK_SECRET_KEY'),
                    'Cache-Control' => 'no-cache',
                ];
                
                $options = [
                    "headers" => $headers,
                    "json" => $data,
                ];
                $client = new Client(['base_uri' =>$url,'verify' => false]);     
                $response=$client->request('POST', 'subscription/disable', $options);
                $result= $response->getBody()->getContents();
                if(!empty($result))
                {
                    $result= json_decode($result);
                    
                    return response()->json([
                        'status' => ($result->status==true) ? 'success' : 'error',
                        'message' => $result->message,
                        'data' => $result->data,
                    ]);
                }
            } 
            catch (\Exception $e) 
            {
                $response = $e->getResponse();
                $statusCode = $response->getStatusCode();
                $errorMessage = $response->getBody()->getContents();
                $errorMessage=json_decode($errorMessage);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage->message,
                ]);
            }
    }
    public function enableSubscription($data)
    {
        try {
        $url="https://api.paystack.co/";
        $headers = [
            'Authorization' => 'Bearer ' . env('PAYSTACK_SECRET_KEY'),
            'Cache-Control' => 'no-cache',
        ];
        
        $options = [
            "headers" => $headers,
            "json" => $data,
        ];
        $client = new Client(['base_uri' =>$url,'verify' => false]);     
        $response=$client->request('POST', 'subscription/enable', $options);
        $result= $response->getBody()->getContents();
        if(!empty($result))
        {
            $result= json_decode($result);
            
            return response()->json([
                'status' => ($result->status==true) ? 'success' : 'error',
                'message' => $result->message,
                'data' => $result->data,
            ]);
        }
        } 
        catch (\Exception $e) 
        {
            $response = $e->getResponse();
            $statusCode = $response->getStatusCode();
            $errorMessage = $response->getBody()->getContents();
            $errorMessage=json_decode($errorMessage);
            return response()->json([
                'status' => 'error',
                'message' => $errorMessage->message,
            ]);
        }
    }
    public function createSubscription($data)
    {
        try {
        $url="https://api.paystack.co/";
        $headers = [
            'Authorization' => 'Bearer ' . env('PAYSTACK_SECRET_KEY'),
            'Cache-Control' => 'no-cache',
        ];        
        
        $options = [
            "headers" => $headers,
            "json" => $data,
        ];
        $client = new Client(['base_uri' =>$url,'verify' => false]);     
        $response=$client->request('POST', 'subscription', $options);
        $result= $response->getBody()->getContents();
        if(!empty($result))
        {
            $result= json_decode($result);
         
            return response()->json([
                'status' => ($result->status==true) ? 'success' : 'error',
                'message' => $result->message,
                'data' => $result->data,
            ]);
        }
       } 
        catch (\Exception $e) 
        {
            $response = $e->getResponse();
            $statusCode = $response->getStatusCode();
            $errorMessage = $response->getBody()->getContents();
            $errorMessage=json_decode($errorMessage);
            $error= response()->json([
                'status' => 'error',
                'message' => $errorMessage->message,
            ]);
            return $error;
        }
    }
    public function checkAllSubscriptions()
    {
        $customerPackage=PackageBuy::with('packageDetails')->get();
        if(!empty($customerPackage))
        {
            foreach($customerPackage as $item)
            {
                if($item->seller_id!=1)
                {
                    if($item->packageDetails->package_type!='free')
                    {
                        $subscription = Paystack::getCustomerSubscriptions($item->customer_id);
                        foreach($subscription as $subsKey=>$subs)
                        {       
                                            
                            if(!empty($subs) && $subsKey==0)
                            {         
                                $item->plan_code=$subs['plan']['plan_code'];
                                $item->subscription_details=json_encode($subs);
                                $item->subscription_status=($subs['status']=='active') ? 'enabled' : 'disabled';
                                $item->subscription_code=$subs['subscription_code'];
                                $item->status='active';
                                $item->email_token=$subs['email_token'];
                                $item->renew_date=$subs['next_payment_date'];
                                $item->payment_status='paid';
                                $item->authorization_code=$subs['authorization']['authorization_code'];
                                $item->customer_id=$subs['customer']['id'];
                                $item->customer_email=$subs['customer']['email'];
                                $item->customer_code=$subs['customer']['customer_code'];
                                $item->save();
                            }
                            if(!empty($subs) && $subsKey!=0 && $subs['status']=='active')
                            {
                                $disabledData = [
                                    'code' => $subs['subscription_code'],
                                    'token' =>$subs['email_token']
                                ];            
                                $disabled=$this->disableSubscription($disabledData);
                                $disabled=json_decode($disabled);
                            }
                            
                        }
                        
                    }
                }
               
            }
        }
             
    }
}
