<?php

namespace App\Http\Controllers\Seller;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\UserDetails;
use App\Models\TakealotOffers;
use App\Models\TakealotOrders;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\TakealotLeadtimeOrders;
use PDF;
use Auth;
class InventoryController extends Controller
{

    public function index()
    {
      
      return view('seller.inventory.index');

    } 
    public function replenishment()
    {
      
      return view('seller.replenishment.list');

    }
    public function replenishmentPdf(Request $request)
    {
      ini_set('max_execution_time', 0);
       //start check active shop
       if(empty(session('active_shop_id')))
       {
          $activeShop=Auth::user()->AllTakealotShops->first()->id;
          session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
       }
       $active_shop_id=session('active_shop_id');
      //end active shop id
      $data = [];
      $fileName=Carbon::now()->toDateTimeString().'-Replenishment-Pdf';
      $data['offers'] =$this->getReplanishmentData($request,$active_shop_id);
      $pdf = PDF::loadView('livewire.seller.replenishment.replenishment-pdf',$data);
      return $pdf->stream();
    }
    public function getReplanishmentData($request,$active_shop_id)
    {
        $sellerID=Auth::user()->id;
        $thirtyDays=Carbon::now()->subDays(30)->toDateString();
        $takealotOffers=TakealotOffers::distinct('takealot_offers.id')->select('takealot_offers.id','takealot_offers.offer_id','takealot_offers.other_status','takealot_offers.seller_id','takealot_offers.leadtime_stock','takealot_offers.stock_at_takealot_total','takealot_offers.leadtime_days','takealot_offers.takealot_shops_id','takealot_offers.stock_cover','takealot_offers.stock_on_way','takealot_offers.offer_url','takealot_offers.tsin_id','takealot_offers.sku','takealot_offers.stock_at_takealot','takealot_offers.status','takealot_offers.title','takealot_offers.image_url','takealot_offers.selling_price','takealot_offers.total_stock_on_way','takealot_offers.date_created','takealot_offers.sales_units','takealot_orders.order_date',DB::raw('sum(takealot_orders.quantity) as totalquantity'))->with('takealotShops','takealotOrders','rePricing','takealotOfferDetails') 
        ->join('takealot_orders', function($query) use($sellerID,$active_shop_id,$thirtyDays)
        {
            $query->on('takealot_offers.offer_id', '=', 'takealot_orders.offer_id')
            ->where([['takealot_orders.seller_id','=',$sellerID],['takealot_orders.takealot_shops_id','=',$active_shop_id]])
            ->whereDate('takealot_orders.order_date','>=',$thirtyDays);
        })
        ->where([['takealot_offers.other_status','=',$request->otherStatus],['takealot_offers.takealot_shops_id','=',$active_shop_id],['takealot_offers.seller_id','=',$sellerID]])
        ->groupBy('takealot_offers.id');           
         $takealotOffers=$takealotOffers->orderBy('totalquantity','asc')->get();       
         return $takealotOffers; 
    }
    public function leadtimeStock()
    {
      
      return view('seller.leadtime.leadtime-stock');

    }   
    public function generate_pdf(Request $request)
    {
     
       //start check active shop
       if(empty(session('active_shop_id')))
       {
          $activeShop=Auth::user()->AllTakealotShops->first()->id;
          session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
       }
       $active_shop_id=session('active_shop_id');
      //end active shop id
      $data = [];
      $fileName=Carbon::now()->toDateTimeString().'-Leadtime-Stock-List';
      if(!empty($request->warehouse))
      {
        $fileName=Carbon::now()->toDateTimeString().'-Leadtime-Stock-'.$request->warehouse.'-List';
        $data['order_lists'] = TakealotLeadtimeOrders::where([['seller_id','=',Auth::user()->id],['takealot_shops_id','=',$active_shop_id],['warehouse','=',$request->warehouse]])->get();

      }
      else
      {
        
        $data['order_lists'] = TakealotLeadtimeOrders::where([['seller_id','=',Auth::user()->id],['takealot_shops_id','=',$active_shop_id]])->get();

      }
     
      $pdf = PDF::loadView('livewire.seller.leadtime.leadtime-stock-pdf',$data);
      return $pdf->download(''.$fileName.'.pdf');
  }

}
