<?php

namespace App\Http\Controllers\Seller;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TakealotRePricing;
use App\Models\TakealotOffers;
use App\Models\TakealotOfferDetails;
use App\Models\TakealotBrands;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Str;
use App\Jobs\TakealotOfferDetailsJob;
use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
class TakealotDetailsController extends Controller
{
    public function __construct()
    {
      $this->rateLimit=get_setting('takealot_ratelimit');
    }
    public function index()
    {
      
      return view('seller.dashboard.index');

    } 
    public function fetchTakealotProductDetails()
    {
	       ini_set('max_execution_time', 0);
         DB::transaction(function ()  {
         $allOffers =TakealotOffers::where([['takealot_offer_details_id','=',0],['status','=','Buyable']])->get();
          if(!empty($allOffers) && count($allOffers)>0)
          {
              $orderStatusBatch=Bus::batch([])->name('fetch Takealot Product Details Batch')->dispatch();
              $jobs = [];
              foreach($allOffers->chunk(100) as $chunk)
              {               
                $job = new TakealotOfferDetailsJob($chunk);
                $jobs[] = $job;  
                
              }
              if(!empty($jobs))
              {
                  $batch = Bus::batch($jobs)->name('Fetch Takealot Product Details Batch')->dispatch();
                  $jobs=[];
              }

          }
        });

    }
      public function offerDetailsCurl($chunk)
      {
                foreach ($chunk as $key=>$offer)
                {
                    ini_set('max_execution_time', 0);
                    $apiCall=apiProxyCall();                
                    if(!empty($apiCall) && $apiCall->active_status==1 && $apiCall->remaining_limit>0 &&  $apiCall->status==1 && isset($apiCall->api_url))
                    {
                      if($apiCall->api_url==env('APP_URL')) 
                      {
                    $headers = array(
                        "Content-Type: application/json",
                        "Transfer-Encoding: chunked",
                        "Connection: keep-alive",
                        "Vary: Accept-Encoding",
                        "ETag: W/'di6pFKLDnXBGJE/1AhlIlQ'",
                        "Cache-Control: max-age=0",
                        "Content-Encoding: gzip",
                        "X-Varnish: 1070401971",
                        "Via: 1.1 varnish (Varnish/6.6)",
                        "X-Powered-By: Awesome",
                        "CF-Cache-Status: EXPIRED",
                        "Expect-CT: max-age=604800, report-uri='https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct'",
                        "Strict-Transport-Security: max-age=2592000",
                        "Server: cloudflare",
                        "CF-RAY: 6d5be5b8bcb6d3fb-KHI",
                     );
                    //  $url ="https://api.takealot.com/rest/v-1-10-0/product-details/PLID91075159";   
                     $url="https://api.takealot.com/rest/v-1-10-0/product-details/".str_replace("https://www.takealot.com/x/","",$offer->offer_url);
                     $curl = curl_init($url);
                     curl_setopt($curl, CURLOPT_URL, $url);
                     curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
                     curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
                     curl_setopt($curl, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2 GTB5');
                     //for debug only!
                     curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
                     curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
                     $result = json_decode(curl_exec($curl));
                     $images=null;
                     $uploadID=null;
                    if(!empty($result))
                    {
                      if(empty($offer->upload_id) && $offer->upload_id<=0 && !empty($result->gallery) && isset($result->gallery))
                      {
                        $images=$result->gallery->images;	
                        $replacedImages=[];
                        $context = stream_context_create(
                            array(
                            'http' => array(
                                'user_agent' => 'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 Safari/537.36',
                            ),
                        ));
            
                
                        if(!empty($images))
                        {
                            
                            foreach($images as $keyi=>$img)
                            {
                              if($keyi==0)
                              {
                                $url=str_replace("{size}","zoom",$img);
                                $url=str_replace(" ","%20",$url);                       
                                $replacename=str_replace("https://media.takealot.com/covers_images/","",$url);
                                $replacename=str_replace("https://media.takealot.com/covers_tsins/","",$replacename);
                                $replacename=str_replace("https://media.takealot.com/covers/","",$replacename);
                                $name=str_replace("/s-zoom.file",".png",$replacename);
                                $name=str_replace("/s-zoom.png",".png",$name);
                                $name=str_replace("/s-zoom.jpg",".jpg",$name);
                                $name=str_replace("/s-zoom.jpeg",".jpeg",$name);
                                $name=str_replace("/s-zoom.file",".png",$name);
                                $path = "media/{$name}";
                                $replacedImages[]=$name;                    
                                if($keyi<5)
                                {
                                    $img=[];
                                    $img['image']=file_get_contents($url, false, $context);
                                    $img['imageName']=$name;                                                               
                                    $uploadID= takealot_upload_image($img,$offer->seller_id);    
                                    if(!empty($uploadID) && $uploadID>0)
                                    {
                                      $offer->upload_id= $uploadID;
                                      $offer->save(); 
                                    }                           
                                
                                }   
                              }                     
                            
                            }                            
                           
                        }
                      }
                      $this->insertProductDetails($result,$offer);
                    }
                     
                     curl_close($curl);

         
                }
                }
                }
      }
      public function insertProductDetails($result,$offer)
      {
          $desc=null;
          if((!empty($result->description->html)))
          {
            $textDescription=utf8_encode($result->description->html);
            $desc = Str::ascii(html_entity_decode($result->description->html),'tr');    
          }       
          $checkAlreadyOffer=TakealotOfferDetails::where('takealot_offers_id','=',$offer->id)->first();
          if(empty($checkAlreadyOffer) && (!empty($desc) || !empty($result->core->star_rating)))
          {
            $brand_id=0;
            if(!empty($result->core->brand))
            {
              $brand=TakealotBrands::where('name','=',$result->core->brand)->first();
              if(empty($brand))
              {
                $brand=new TakealotBrands();
                $brand->name=$result->core->brand;
                if($brand->save())
                {
                  $brand_id=$brand->id;
                }
              }
              else
              {
                $brand_id=$brand->id;
              }
            }
            
            $TakealotOfferDetails=new TakealotOfferDetails();
            $TakealotOfferDetails->seller_id=$offer->seller_id;
            $TakealotOfferDetails->takealot_shops_id=$offer->takealot_shops_id;
            $TakealotOfferDetails->takealot_offers_id=$offer->id;
            $TakealotOfferDetails->brand_id= $brand_id;
            $TakealotOfferDetails->descriptions= $desc;
            $TakealotOfferDetails->star_rating=(!empty($result->core->star_rating)) ? $result->core->star_rating : 0;
            $TakealotOfferDetails->total_sellers=(!empty($result->other_offers->conditions[0]->items)) ? count($result->other_offers->conditions[0]->items) : 0;
            if($TakealotOfferDetails->save())
            {
              $offer->takealot_offer_details_id=$TakealotOfferDetails->id;
              $offer->save();
            }

          }        
          
      }

}
