<?php
use App\Models\Upload;
use App\Models\Translation;
use App\Models\ApiError;
use App\Models\TakealotShops;
use App\Models\BusinessSettings;
use App\Models\UserDetails;
use App\Models\PackageBuy;
use App\Models\RotateProxy;
use App\Models\ApiProxyCall;
use App\Models\TakealotRePricing;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\DB;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Cookie;
use Carbon\Carbon;
//guzzel request

use GuzzleHttp\Client;
use GuzzleHttp\Psr7;
use GuzzleHttp\Exception\RequestException;
use GuzzleHttp\Pool;
use GuzzleHttp\Promise;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Psr7\Response;


//error store
if (!function_exists('saveError')) 
{
        function saveError($data)
        {
            $apiError=new ApiError();
            $apiError->data=json_encode($data['data']);
            $apiError->save();
        }
 }
 //for ip rate limit
 if (!function_exists('apiProxyCall')) 
 {

    function apiProxyCall($type=null)
    { 
        // usleep(500000);
         sleep(1);
        if($type=='manual')
        {
            sleep(2);
            $apiIpLimit   = ApiProxyCall::where([['api_url','=',env('APP_URL')],['remaining_limit','>',0],['status','=',1]])->orderBy('reserved_limit', 'desc')->first();
            if(!empty($apiIpLimit) &&  $apiIpLimit->remaining_limit>0)
            {            
                $apiIpLimit->remaining_limit= (int)$apiIpLimit->remaining_limit-1;
                $apiIpLimit->save();
                return  $apiIpLimit;
            }
            else
            {   
                return null;
            } 
            // $apiIpLimit   = ApiProxyCall::where('reserved_limit','>',0)->orderBy('reserved_limit', 'desc')->first();
            // if(!empty($apiIpLimit) &&  $apiIpLimit->reserved_limit>0)
            // {            
            //     $apiIpLimit->reserved_limit= (int)$apiIpLimit->reserved_limit-1;
            //     $apiIpLimit->save();
            //     return  $apiIpLimit;
            // }
            // else
            // {   
            //     sleep(59);
            //     return null;
            // }            
            
        }
        else
        {
            $apiIpLimit   = ApiProxyCall::where([['remaining_limit','>',1],['status','=',1],['api_url','!=',env('APP_URL')]])->orderBy('remaining_limit', 'desc')->first();
            if(!empty($apiIpLimit) &&  $apiIpLimit->remaining_limit>1)
            {            
                $apiIpLimit->remaining_limit= (int)$apiIpLimit->remaining_limit-1;
                if($apiIpLimit->remaining_limit<=1)
                {
                    $limitTime = Carbon::now(); 
                    $apiIpLimit->status=0;
                    $apiIpLimit->reset_time=$limitTime;
                }
                $apiIpLimit->save();
                return  $apiIpLimit;
            }
            else
            {
            //    sleep(2);
            //    ini_set('max_execution_time', 0);
            //    sleep(3);
            //    $ip_rate_limit=get_setting('ip_rate_limit');
            //    $reserved_rate_limit=get_setting('ip_reserved_rate_limit');
            //    sleep(54);
            //    $apiIpLimit=ApiProxyCall::where('status','=', 0)->update(['total_limit' => $ip_rate_limit,'remaining_limit' => $ip_rate_limit,'reserved_limit' => $reserved_rate_limit,'status' => 1]);
            //    return apiProxyCall();

               
                // $apiIpLimit=ApiProxyCall::where('status','=', 0)->where('time_status_changed','=',$limitTime)->get();
                // if(!empty($apiIpLimit))
                // {
                //     foreach($apiIpLimit as $apiItem)
                //     {
                //         $apiItem->remaining_limit=1;
                //         $apiItem->reserved_limit=1;
                //         $apiItem->status=0;
                //         $apiItem->active_status=1;
                //         $apiItem->reset_time=$limitTime;
                //         $apiItem->save();
                //     }
                // }
                return null;
            }
        }
       

                      
           
    }

 }

//return formated date
if (!function_exists('checkUserPackageOffers')) {

    function checkUserPackageOffers($userID)
   {  
      if(!empty($userID))
      {
        $packageBuy=PackageBuy::with('packageDetails')->where('seller_id','=',$userID)->first();       
        if(!empty($packageBuy))
        {
            $offersAlready=TakealotRePricing::where('seller_id','=',$userID)->count();           
            if(!empty($packageBuy->packageDetails) && isset($packageBuy->packageDetails->repricable_offers) && $offersAlready<=$packageBuy->packageDetails->repricable_offers)
            {
                return true;
            }
        }
      
      }
      return true;
   }

 }
 //return shop api limit
 if (!function_exists('shopRateLimitChecker')) 
 {

    function shopRateLimitChecker($shop,$defaultRateLimit)
    {
           
            // ini_set('max_execution_time', 0);
            if($shop->api_rate_limit<=0)
            {
                
                
                $shop->api_rate_limit=$defaultRateLimit;
                $shop->save();
                sleep(60); 
                $ratelimit=$shop->api_rate_limit;

                //update ip limit
                $remainingRateLimitUpdate = BusinessSettings::where('type','=','remaining_ip_rate_limit')->first();                   
                $totalIpRateLimit = BusinessSettings::where('type','=','ip_rate_limit')->first();                   
                if(!empty($remainingRateLimitUpdate))
                {
                    $remainingRateLimitUpdate->value=(!empty($totalIpRateLimit) && (int)$totalIpRateLimit->value>0) ?  ((int)$totalIpRateLimit->value) : 0;
                    $remainingRateLimitUpdate->save();
                }

                //return api limit
                return $ratelimit;
            }
            else
            {
                $shop->api_rate_limit=$shop->api_rate_limit-1;
                $shop->save();
                $ratelimit=$shop->api_rate_limit;
                return $ratelimit;
            }
    }

 }
 //for ip rate limit
 if (!function_exists('IpRateLimitChecker')) 
 {

    function IpRateLimitChecker()
    { 
          
            // ini_set('max_execution_time', 0);
            $ipRateLimit   = BusinessSettings::select('type','value')->where('type','=','ip_rate_limit')->orWhere('type','=','remaining_ip_rate_limit')->get()->toArray();
            if(!empty($ipRateLimit))
            {
                $ipTotalRateLimit     = $ipRateLimit[0]['type']=='ip_rate_limit' ?  $ipRateLimit[0]['value'] : ($ipRateLimit[1]['type']=='ip_rate_limit' ?  $ipRateLimit[1]['value'] : null);
                $remainingIpRateLimit = ($ipRateLimit[0]['type']=='remaining_ip_rate_limit') ?  $ipRateLimit[0]['value'] : ($ipRateLimit[1]['type']=='remaining_ip_rate_limit' ?  $ipRateLimit[1]['value'] : null);
               
                if($remainingIpRateLimit<=0)
                {
                    sleep(60); 
                    $remainingRateLimitUpdate = BusinessSettings::where('type','=','remaining_ip_rate_limit')->first();                  
                    if(!empty($remainingRateLimitUpdate))
                    {
                        $remainingRateLimitUpdate->value=$ipTotalRateLimit-1;
                        $remainingRateLimitUpdate->save();
                        //update all shops limit
                        $apiRateLimitUpdate=get_setting('takealot_ratelimit');
                        TakealotShops::updateApiRateLimits($apiRateLimitUpdate);
                        return $ipTotalRateLimit;
                    }
                }
                else
                {
                   
                    $remainingRateLimitUpdate = BusinessSettings::where('type','=','remaining_ip_rate_limit')->first();                   
                    if(!empty($remainingRateLimitUpdate))
                    {
                        $remainingRateLimitUpdate->value=(!empty($remainingIpRateLimit) && $remainingIpRateLimit>0) ?  ((int)$remainingIpRateLimit)-1 : 0;
                        $remainingRateLimitUpdate->save();
                        return $remainingIpRateLimit;
                    }else
                    {
                        return 0;
                    }
                  
                }
            }          
           
    }

 }
 //worked on getting ip from api
 if (!function_exists('rotateIpProxy')) 
 {
    function rotateIpProxy()
    {
        // try
        // {
        //     sleep(1);
        //     // $headers = ['Authorization' => 'Key '.$shop->takealot_api_key,'x-RateLimit-Limit'=>$this->rateLimit,'x-RateLimit-Remaining'=>$ratelimit];
        //     $client = new Client(['base_uri' =>'https://gimmeproxy.com/api/getProxy','verify' => true]);
        //     $request = new Request('GET', '?get=true&supportsHttps=true');
        //     $response = $client->send($request);    
        //     if(!empty($response) && $response->getStatusCode()==200)
        //     {
                 
        //         //  $result=json_decode($response->getBody()->getContents(), true);
        //         //  if(!empty($result) )
        //         //  {                     
        //         //      if(isset($response['curl']))
        //         //      {
        //         //         // $rotateProxey=new RotateProxy();
        //         //         // $rotateProxey->
        //         //      }
                     
        //         //  }
        //         $data=['status'=>'success','data'=>$response->getBody()->getContents()];   
        //         return $data;
        //     }
        //     else
        //     {
        //         $data=['status'=>'error','data'=>'Ip not found'];
        //         return $data;
        //     }
           
        // }
        // catch (\Exception $e) 
        // {
        //     sleep(60);
        //     Logger($e);
        //     $data=['status'=>'error','data'=>$e];
        //     return $data;
        // }
    }
}
 //end ip limit code
 //return shop api limit
 if (!function_exists('shopReservedRateLimitChecker')) 
 {

    function shopReservedRateLimitChecker()
    {
            $takealot_reserved_rate_limit=get_setting('re_tk_reserved_rate_limit');
            $takealot_reserved_rate_limit=(int)$takealot_reserved_rate_limit;
            if($takealot_reserved_rate_limit>0)
            {
                $remainingRateLimitUpdate = BusinessSettings::where('type','=','re_tk_reserved_rate_limit')->first(); 
                $reAPitotal=(int)$remainingRateLimitUpdate->value;     
                $totalrem=$reAPitotal-1;     
                $remainingRateLimitUpdate->value=$totalrem;
                $remainingRateLimitUpdate->save();
                return $reAPitotal;
            } 
            else
            {
                return 0;
            } 
    }

 }
 //for ip rate limit
 if (!function_exists('IpReservedRateLimitChecker')) 
 {

    function IpReservedRateLimitChecker()
    { 
          
        $re_ip_reserved_rate_limit=get_setting('re_ip_reserved_rate_limit');
        $re_ip_reserved_rate_limit=(int)$re_ip_reserved_rate_limit;
        if($re_ip_reserved_rate_limit>0)
        {
            $remainingRateLimitUpdate = BusinessSettings::where('type','=','re_ip_reserved_rate_limit')->first(); 
            $reiptotal=(int)$remainingRateLimitUpdate->value;
            $totalrem=$reiptotal-1;     
            $remainingRateLimitUpdate->value=$totalrem;
            $remainingRateLimitUpdate->save();
            return $reiptotal;
        } 
        else
        {
            return 0;
        }         
           
    }

 }
  //return formated date
 if (!function_exists('dateFormate')) {

    function dateFormate($date)
   {
    return Carbon::parse($date)->format('d-m-y h:i:s A');
   }

 }
 if (!function_exists('timeAgo')) 
 {

    function timeAgo($date)
   {
    return Carbon::parse($date)->diffForHumans();
   }

 }
if (!function_exists('offerMap')) 
{
   function offerMap($offer,$through=null)
   {

        $leadtime_decode=null;
        $leadtime_qty=0;
        if(!empty($offer->leadtime_stock))
        {
            $leadtime_decode=json_decode($offer->leadtime_stock);
            $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
            
        }
    
      $data=[
        'seller_id'=>$offer->seller_id,
        'takealot_shops_id'=>$offer->takealot_shops_id,
        'tsin'=>$offer->tsin_id,
        'selling_price'=>$offer->selling_price,
        'rrp'=>$offer->rrp,
        'leadtime_stock'=> (int)$leadtime_qty,
        'status'=>$offer->status,
        'discount'=>$offer->discount,
        'ip'=>$offer->ip,
        'updated_at'=>dateFormate($offer->updated_at),
        'updated_through'=>(!empty($through)) ? $through : $offer->updated_through
      ];
      return $data;
   }

}
if (!function_exists('repricingMap')) 
{
   function repricingMap($updatePrice,$through=null)
   {
      $old=[
        'seller_id'=>$updatePrice->seller_id,
        'takealot_shops_id'=>$updatePrice->takealot_shops_id,
        'tsin'=>$updatePrice->offer->tsin_id,
        'min_price'=>$updatePrice->min_price,
        'max_price'=>$updatePrice->max_price,
        'status'=>$updatePrice->status,
        'winner'=>$updatePrice->winner,
        'ip'=>$updatePrice->ip,
        'updated_at'=>dateFormate($updatePrice->updated_at),
        'updated_through'=>(!empty($through)) ? $through : $updatePrice->updated_through
      ];
      return $old;
   }

}
if (!function_exists('getUserIp')) 
{
   function getUserIp()
   {
      $ip= \Request::ip();
      return $ip;
   }

}
if (!function_exists('takealotBaseUrl')) 
{
   function takealotBaseUrl()
   {
      $baseUrl='https://seller-api.takealot.com/v2/';
      return $baseUrl;
   }

}
 if (!function_exists('currentShop')) 
{

    function currentShop($currentShop)
   {
        $active_shop_id=session('active_shop_id');
         if(!empty($active_shop_id) && !empty($currentShop) && $currentShop>0)
         {
             $shop=TakealotShops::where('id','=',$active_shop_id)->first();
             if(!empty($shop))
             {
                return $shop;
             }
             return null;
         }    
         else
         {
            return null;
         }
    
   }

 }
 if (!function_exists('dateFormate')) {

    function dateFormate($date)
   {
    return $date->format('Y-m-d');
   }

 } 
 if (!function_exists('dateTimeSpliteFormate')) {

    function dateTimeSpliteFormate($input)
   {
    
        $format1 = 'd-m-Y';
        $format2 = 'g:i a';
        $date = Carbon::parse($input)->format($format1);
        $time = Carbon::parse($input)->format($format2);
        $data=[
            'date'=> $date,
            'time'=> $time
        ];
        return $data;

   }

 }

if (!function_exists('ticket_status')) {
    function ticket_status($status,$user_id)
    {
        $countStatus = \App\Models\Ticket::where([['user_id',decrypt($user_id)],['status',$status]])->count();
        if (!empty($countStatus)){
            return $countStatus;
        }else{
            return 0;
        }
    }
}
if (!function_exists('uploaded_asset')) {
    function uploaded_asset($id,$p_image = null)
    {
        if (($asset = \App\Models\Upload::find($id)) != null) {
            if (file_exists($asset->file_name)) {
                return my_asset($asset->file_name);
            } else {
                if ($p_image == 'profile') {
                    return static_asset('') . 'assets/images/profile.svg';
                } else {
                    return static_asset('') . 'assets/images/notfound.png';
                }
            }
        } else {
            if ($p_image == 'profile') {
                return static_asset('') . 'assets/images/profile.svg';
            } else {
                return static_asset('') . 'assets/images/notfound.png';
            }
        }

    }
}
if (! function_exists('my_asset')) {
    /**
     * Generate an asset path for the application.
     *
     * @param  string  $path
     * @param  bool|null  $secure
     * @return string
     */
    function my_asset($path, $secure = null)
    {
        return app('url')->asset('/' . $path, $secure);
    }
}

if (! function_exists('static_asset')) {
    /**
     * Generate an asset path for the application.
     *
     * @param  string  $path
     * @param  bool|null  $secure
     * @return string
     */
    function static_asset($path, $secure = null)
    {
        return app('url')->asset('/'.$path, $secure);
    }
}
if (!function_exists('send_email'))
{
    function send_email($details){

        \Mail::to($details['to'])->send(new \App\Mail\testmail($details));
    }
}
if (!function_exists('overWriteEnvFile'))
{
    function overWriteEnvFile($type, $val)
    {
        if(env('DEMO_MODE') != 'On'){
            $path = base_path('.env');
            if (file_exists($path)) {
                $val = '"'.trim($val).'"';
                if(is_numeric(strpos(file_get_contents($path), $type)) && strpos(file_get_contents($path), $type) >= 0){
                    file_put_contents($path, str_replace(
                        $type.'="'.env($type).'"', $type.'='.$val, file_get_contents($path)
                    ));
                }
                else{
                    file_put_contents($path, file_get_contents($path)."\r\n".$type.'='.$val);
                }
            }
        }
    }
}
if (!function_exists('get_setting'))
{
    function get_setting($key, $default = null)
    {
        $setting = BusinessSettings::where('type', trim($key))->first();
        $settingValue=(!empty($setting)) ? $setting->value : $default;
        return $settingValue;
        // return $setting == null ? $default : $setting->value;
    }
}
if (!function_exists('set_setting'))
{
    function set_setting($key, $value)
    {
        if(!empty($key) && !empty($value))
        {
            $setting = BusinessSettings::where('type', trim($key))->first();
            if(!empty($setting))
            {
                $setting->value=$value;
                $setting->save();
                return $setting;
            }
            else
            {
                return null;
            }
            
            
        }
        else
        {
            return null;
        }
        
    }
}
if (!function_exists('isHttps')) {
    function isHttps()
    {
        return !empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS']);
    }
}
// if (!function_exists('getBaseURL')) {
//     function getBaseURL()
//     {
//         $root = (isHttps() ? "https://" : "http://").$_SERVER['HTTP_HOST'];
//         $root .= str_replace(basename($_SERVER['SCRIPT_NAME']), '', $_SERVER['SCRIPT_NAME']);

//         return $root;
//     }
// }
if (!function_exists('getBaseURL')) {
    function getBaseURL()
    {
        $root = (request()->isSecure() ? "https://" : "http://") . request()->getHttpHost();
        $root .= str_replace(basename(request()->getScriptName()), '', request()->getBasePath());

        return $root;
    }
}
if (!function_exists('timezones'))
{
function timezones(){
    return \App\Models\Timezone::get();
}
}
if (!function_exists('app_timezone'))
{
    function app_timezone()
    {
        return config('app.timezone');
    }
}
if (!function_exists('getFileBaseURL')) {
    function getFileBaseURL()
    {
        if(env('FILESYSTEM_DRIVER') == 's3'){
            return env('AWS_URL').'/';
        }
        else {
            
            if(env('APP_URL') == 'http://127.0.0.1:8000')
            {
                 return getBaseURL().'public/';
            }
            else
            {
                return getBaseURL().'/';
            }
           
           
        }
    }
}
if (! function_exists('translate')) {
    function translate($key, $lang = null){
        if($lang == null){
            $lang = App::getLocale();
        }
    
        $translation_def = Translation::where('lang', env('DEFAULT_LANGUAGE', 'en'))->where('lang_key', $key)->first();
        if($translation_def == null){
            $translation_def = new Translation;
            $translation_def->lang = env('DEFAULT_LANGUAGE', 'en');
            $translation_def->lang_key = $key;
            $translation_def->lang_value = $key;
            $translation_def->save();
        }
    
        //Check for session lang
        $translation_locale = Translation::where('lang_key', $key)->where('lang', $lang)->first();
        if($translation_locale != null && $translation_locale->lang_value != null){
            return $translation_locale->lang_value;
        }
        elseif($translation_def->lang_value != null){
            return $translation_def->lang_value;
        }
        else{
            return $key;
        }
    }
    }
if (!function_exists('resize_images'))
{
    function resize_images($request,$width)
    {
        //start thumbnail picture
        $resizepath = $request->file('aiz_file')->resizestore('uploads/all', 'local',$width);
        //dd($request->file('aiz_file'));
        $img = Image::make($request->file('aiz_file'));
        $img->resize($width, null, function($constraint)
        {
            $constraint->aspectRatio();
        });
        $img->save(base_path('public/').$resizepath);
        //end thumbnail picture
    }
}
if (!function_exists('takealot_upload_image')) {
    function takealot_upload_image($data,$userID)
    {
        $imageSizeInBytes = strlen(base64_decode($data['image'])) - 22;
        if($imageSizeInBytes<=2097152)
        {
            $type = array(
                "jpg"=>"image",
                "jpeg"=>"image",
                "png"=>"image",
                "svg"=>"image",
                "webp"=>"image",
                "jfif"=>"image"
            );
            $upload       = new Upload;
            $Image        = $data['image'];
                $Image       = Image::make($Image)->encode();
                $extension   = strtolower($Image->mime());
            $GetExtension = explode('/',$extension);
            $extension    = $GetExtension[1];
            if(isset($type[$extension]))
            {
                $upload->file_original_name = null;
                $arr = explode('.', $data['imageName']);
                for($i=0; $i < count($arr)-1; $i++)
                {
                    if($i == 0)
                    {
                        $upload->file_original_name .= $arr[$i];
                    }
                    else
                    {
                        $upload->file_original_name .= ".".$arr[$i];
                    }
                }
                $hash = md5($Image->__toString());
                // use hash as a name
                $path = "uploads/all/{$hash}.{$extension}";
                //  $path = $Image->store('uploads/all', 'local');
                $size = $Image->filesize();
                if($type[$extension] == 'image')
                {
                    try {
                        $img    = $Image;
                        $height = $img->height();
                        $width  = $img->width();
                        if($width > $height && $width > 1500)
                        {
                            $img->resize(1500, null, function ($constraint)
                            {
                                $constraint->aspectRatio();
                            });
                        }
                        elseif ($width > 800)
                        {
                            $img->resize(800, null, function ($constraint)
                            {
                                $constraint->aspectRatio();
                            });
                        }
                        $img->save(base_path('public/').$path);
                        
                        clearstatcache();
                        $size = $img->filesize();
                        if (env('FILESYSTEM_DRIVER') == 's3')
                        {
                            Storage::disk('s3')->put($path, file_get_contents(base_path('public/').$path));
                            unlink(base_path('public/').$path);
                        }
                    }
                    catch (\Exception $e)
                    {
                        //dd($e);
                    }
                }
        
                $upload->extension = $extension;
                $upload->file_name = $path;
                $upload->user_id   = $userID;
                $upload->type      = $type[$upload->extension];
                $upload->file_size = $size;
                if($upload->save())
                {
                    return $upload->id;
                }
                else
                {
                    return null;
                }
            }
        }
    }
}