<?php

namespace App\Http\Livewire\Admin\Api;

use Livewire\Component;
use App\Models\ApiError;
use Livewire\WithPagination;
class ApiErrorList extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $readyToLoad    = false;
    public $entries;    
    public $orderBy;
    public function mount()
    {    
         $this->entries  = 100;
         $this->orderBy  = 'desc';
    }
    public function readyToLoad()
    {
        $this->readyToLoad = true;
    }
    public function render()
    {
       
        $apiErrorList = $this->readyToLoad ? ApiError::orderBy('id', $this->orderBy)->paginate($this->entries) : [];
        return view('livewire.admin.api.api-error-list',['apiErrorList'=>$apiErrorList])->extends('admin.layouts.app');
    }
}
