<?php

namespace App\Http\Livewire\Admin\Blogs\BlogCategory;

use App\Models\BlogCategories;
use Livewire\Component;
use Livewire\WithPagination;

class Blogcategory extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $search;
    public $entries;
    public $orderBy;
    public $readyToLoad  = false;
    protected $listeners = ['delete'];
    public function loadCategories()
    {
        $this->readyToLoad = true;
    }
    public function mount()
    {
        $this->search   = null;
        $this->entries  = 10;
        $this->orderBy  = 'desc';
        $this->pageType = null;
    }
    public function clear_search()
    {
        $this->search = null;
    }
    public function Categorydelete($id)
    {
        $this->dispatchBrowserEvent('swal:confirm',[ 'id' => $id ]);
    }
    public function delete($id)
    {
        $categories = BlogCategories::Where('id', decrypt($id))->delete();
    }
   public function render()
    {
        $categories = $this->readyToLoad
            ? Blogcategories::select('id','slug','category_name')->when($this->search, function ($query, $q) {
                return $query->where('category_name', 'LIKE', "%{$q}%");
            })
                ->when($this->orderBy, function ($query, $orderBy) {
                    return $query->orderBy('id',$orderBy);
                })
                ->paginate($this->entries)
            : [];
        return view('livewire.admin.blogs.BlogCategory.blogcategories',['categories'=>$categories])->extends('admin.layouts.app');
    }

}
