<?php

namespace App\Http\Livewire\Admin\Blogs\BlogCategory;

use App\Models\BlogCategories;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Str;
use Livewire\Component;

class BlogcategoryEdit extends Component
{
    public $id;
    public function __construct()
    {
        $this->id=Route::current()->parameter('id');

    }
    public function mount()
    {
        //$category = BlogCategories::find($this->id);
    }
    public function update($input)
    {
        Validator::make($input, [
                                'category_name'       => 'required',
                                ])->validate();
        $category                   = BlogCategories::find(decrypt($this->id));
        $category->category_name    = $input['category_name'];
        $category->slug             = Str::slug($input['category_name']);
        $category->save();
        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Blog Category Updated Successfully']);
    }
    public function render()
    {
        $category = BlogCategories::where('id',decrypt($this->id))->first();
        return view('livewire.admin.blogs.BlogCategory.blogcategory-edit',compact('category'))->extends('admin.layouts.app');
    }
}
