<?php

namespace App\Http\Livewire\Admin\Blogs;

use App\Models\Blog;
use App\Models\BlogCategories;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Str;
use Livewire\Component;

class BlogEdit extends Component
{

    public $id;
    public function __construct()
    {
        $this->id = Route::current()->parameter('id');
    }
   public function update($input)
   {
       
      
       Validator::make($input, [   'title'         => 'required|unique:blogs,title,'.decrypt($this->id),
                                   'category_id'   => 'required',
                                   'banner'        => 'required',
                                   'meta_img'      => 'required',
                                ])->validate();
       $MetaData  = (json_decode($input['meta_keywords']));
       $keyword   = [];
       foreach ($MetaData as $key => $row)
       {
           $keyword[] = $row->value;
       }
       $keyword = implode(",", $keyword);
       $blog                           = Blog::find(decrypt($this->id));
       $blog->title                    = $input['title'];
       $blog->category_id              = $input['category_id'];
       $blog->slug                     = Str::slug($input['title'],"-");
       $blog->banner                   = $input['banner'];
       $blog->short_description        = $input['short_description'];
       $blog->description              = $input['description'];
       $blog->meta_title               = $input['meta_title'];
       $blog->meta_img                 = $input['meta_img'];
       $blog->meta_description         = $input['meta_description'];
       $blog->meta_keywords            = $keyword;
       if ($blog->save()){
           $this->dispatchBrowserEvent('reload-aizJs');
           $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Blog Updated Successfully']);
           return redirect()->route('admin.blogs');
       }
   }
    public function render()
    {
        $this->dispatchBrowserEvent('reload-aizJs');
        $categories = BlogCategories::select('id','category_name')->get();
            $blog       = Blog::find(decrypt($this->id));
        return view('livewire.admin.blogs.blog-edit',compact('categories','blog'))->extends('admin.layouts.app');
    }
}
