<?php

namespace App\Http\Livewire\Admin\Blogs;

use App\Models\Blog;
use Livewire\Component;
use Livewire\WithPagination;

class Blogs extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $search;
    public $entries;
    public $orderBy;
    public $readyToLoad = false;
    protected $listeners = ['delete'];
    public function loadBlogs()
    {
        $this->readyToLoad = true;
    }
    public function mount(){
        $this->search   = null;
        $this->entries  = 10;
        $this->orderBy  = 'desc';
        $this->pageType = null;
    }
    public function clear_search()
    {
        $this->search = null;
    }
    public function blogDelete($id)
    {
        $this->dispatchBrowserEvent('swal:confirm',[ 'id'=>$id ]);
    }
    public function delete($id)
    {
        $blog = Blog::Where('id', decrypt($id))->delete();
    }
    public function render()
    {
        $blogs = $this->readyToLoad
            ? Blog::select('id','title','meta_keywords')->when($this->search, function ($query, $q) {
                return $query->where('title', 'LIKE', "%{$q}%");
            })
                ->when($this->orderBy, function ($query, $orderBy) {
                    return $query->orderBy('id',$orderBy);
                })
                ->paginate($this->entries)
            : [];

        return view('livewire.admin.blogs.blogs',compact('blogs'))->extends('admin.layouts.app');
    }
}
