<?php

namespace App\Http\Livewire\Admin\Blogs\Metadata;

use App\Models\MetaData;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Validator;
use Livewire\Component;

class Edit extends Component
{
    public $id;
    public function __construct()
    {
        $this->id = Route::current()->parameter('id');
    }
    public function meta_edit($input)
    {
       
        Validator::make($input, [
            'page_url'         => 'required',
            'title'            => 'required',
            'keyword'          => 'required',
            'description'      => 'required',
        ])->validate();
        $keywords    = (json_decode($input['keyword']));
        $keyword     = [];
        if (!empty($keywords))
        {
            foreach ($keywords as $key => $row)
            {
                $keyword[] = $row->value;
            }
            $keyword = implode(",", $keyword);
        }
        $blog                  =  MetaData::find(decrypt($this->id));
        $blog->page_name       = $input['page_url'];
        $blog->title           = $input['title'];
        $blog->keywords        = $keyword;
        $blog->description     = $input['description'];
        $blog->meta_image      = $input['thumbnail'];
        if ($blog->save()) {
            $this->dispatchBrowserEvent('reload-aizJs');
            $this->dispatchBrowserEvent('notify', ['error' => 'success', 'msg' => 'MetaData Updated Successfully']);
            return redirect()->route('admin.meta-data');
        } else {
            $this->dispatchBrowserEvent('notify', ['error' => 'error', 'msg' => 'Something went wrong']);
        }
    }
    public function render()
    {
        $this->dispatchBrowserEvent('reload-aizJs');
        $metadata       = MetaData::find(decrypt($this->id));
        return view('livewire.admin.blogs.metadata.edit',compact('metadata'))->extends('admin.layouts.app');
    }
}
