<?php

namespace App\Http\Livewire\Admin\Blogs\Metadata;

use App\Models\Blog;
use App\Models\MetaData;
use Livewire\Component;
use Livewire\WithPagination;

class Index extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $search;
    public $entries;
    public $orderBy;
    public $readyToLoad = false;
    protected $listeners = ['delete'];
    public function loadData()
    {
        $this->readyToLoad = true;
    }
    public function mount()
    {
        $this->search   = null;
        $this->entries  = 50;
        $this->orderBy  = 'desc';
        $this->pageType = null;
    }
    public function clear_search()
    {
        $this->search = null;
    }
    public function Meta_Delete($id)
    {
        $this->dispatchBrowserEvent('swal:confirm',[ 'id'=>$id ]);
    }
    public function delete($id)
    {
        MetaData::findorFail(decrypt($id))->delete();
    }
    public function render()
    {
        $metadata = $this->readyToLoad
            ? MetaData::select('id','page_name','keywords','description','title','meta_image')->when($this->search, function ($query, $q) {
                return $query->where('title', 'LIKE', "%{$q}%");
            })
                ->when($this->orderBy, function ($query, $orderBy) {
                    return $query->orderBy('id',$orderBy);
                })
                ->paginate($this->entries)
            : [];
        return view('livewire.admin.blogs.metadata.index',compact('metadata'))->extends('admin.layouts.app');
    }
}
