<?php

namespace App\Http\Livewire\Admin\RePricing;

use Livewire\Component;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotCompetitionHistory;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Http\Controllers\Seller\OffersController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->active_shop_id=null;
       //end active shop id
    }    
    public function updateStatus($id)
    {            
        $updateStatus=TakealotRePricing::where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
        if(!empty($updateStatus))
        {
            $oldData=repricingMap($updateStatus);
            $updateStatus->status=( $updateStatus->status==1) ? 0 : 1;
            if($updateStatus->save())
            {
                 $status='Disabled';
                 $this->data->status=$updateStatus->status;
                 if($updateStatus->status==1)
                 {
                    $status='Enabled';
                    if(!empty($updateStatus->min_price) && !empty($updateStatus->max_price))
                    {
                        $repricing=new RePricingController();
                        $repricing->repriceVariantParams($updateStatus->id,'manual');
                    }
                    
                 }
                 $newData=repricingMap($updateStatus,1);
                 $diff2=array_diff($oldData,$newData);
                 if((count($diff2)==1) && !empty($diff2['updated_at']))
                 {
                     $diff2=[];
                 }
                 if(!empty($diff2))
                 {
                    //  TakealotTsinUpdateHistoryJob::dispatch($oldData,$newData,'repricing')->onQueue('default'); 
                    $repricing=new OffersController();
                    $repricing->tsinUpdateHistory($oldData,$newData,'repricing'); 
                 }


                $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Successfully '.$status,'move'=>0]);

            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

            }
        }
    }   
    public function updateOfferPrice($input)
    {
       
        Validator::make($input, [
            'minPrice'  => 'required|min:1|max:12',             
            'maxPrice'  => 'required|min:1|max:12',             
            'my_soh'    => 'required|min:1|max:12',             
            'updateFor' => 'required',             
        ])->validate();
        
        if(empty($input['my_soh']))
        {
            $input['my_soh']=0;
        }
        if(($input['minPrice']>0 && $input['maxPrice']>0) && $input['minPrice']<$input['maxPrice'])
        {
            $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            if(!empty($updatePrice))
            {
                // $oldData=repricingMap($updatePrice);
                $oldOfferData=offerMap($updatePrice->offer);
                $updatePrice->min_price=$input['minPrice'];
                $updatePrice->max_price=$input['maxPrice'];
                $updatePrice->ip=getUserIp();
                $updatePrice->updated_through=1;
                $updatePrice->status=1;
                if($updatePrice->save())
                {
                    $this->data->min_price=$updatePrice->min_price;
                    $this->data->max_price=$updatePrice->max_price;
                    $this->data->status=$updatePrice->status;
                    $newData=repricingMap($updatePrice,1);                    
                    if($updatePrice->status==1)
                    {                  
                       
                            $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);
                            // if(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available) )
                          
                            if(!empty($leadtime_decode[0]) && ($input['my_soh']>$leadtime_decode[0]->quantity_available || $input['my_soh']<$leadtime_decode[0]->quantity_available))
                            {
                                
                                $leadtime_decode[0]->quantity_available=$input['my_soh'];
                                $leadtime_encode=json_encode($leadtime_decode);
                                $updatePrice->offer->leadtime_stock=$leadtime_encode;
                                $updatePrice->offer->ip=getUserIp();
                                if($updatePrice->offer->save())
                                { 
                                    $newOfferData=offerMap($updatePrice->offer,1);
                                    
                                    // $diff=array_diff($oldOfferData,$newOfferData);
                                    
                                    // if(((count($diff)==1) && !empty($diff['updated_at'])) || (count($diff)==2 && !empty($diff['updated_at']) && !empty($diff['ip'])))
                                    // {
                                    //     $diff=[];
                                    // }
                                                
                                    // if(!empty($diff))
                                    // {                                   
                                    //   $repricing=new OffersController();
                                    //   $repricing->tsinUpdateHistory($oldOfferData,$newOfferData,'offer'); 
                                    // }
                                   
                                    // if($updatePrice->offer->status!='Buyable')
                                    // {
                                        
                                    //     $updateOfferSoh=new OffersController();
                                    //     $updateOfferSoh->updateTakealotOfferSoh($updatePrice->offer->offer_id,$updatePrice->takealotShopDetails,$updatePrice);                              
                                    // }

                                }
                                
                               
                            }
                        
                        

                        // if(($updatePrice->offer->selling_price<$updatePrice->min_price) || $updatePrice->offer->selling_price>$updatePrice->min_price)
                        if($updatePrice->offer->selling_price<$updatePrice->min_price)
                        {
                            //start update new price
                              $updatePrice->offer->selling_price=$updatePrice->min_price;                              
                              if($updatePrice->offer->save())
                              {

                                $updateOfferPrice=new OffersController();
                                $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->min_price,$updatePrice->takealotShopDetails,$updatePrice); 
                             
                              }
                            //end update new price 
                        }
                        else
                        {
                            //start update new price
                            $updatePrice->offer->selling_price= $updatePrice->offer->selling_price;                              
                            if($updatePrice->offer->save())
                            {

                              $updateOfferPrice=new OffersController();
                              $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->offer->selling_price,$updatePrice->takealotShopDetails,$updatePrice); 
                           
                            }
                          //end update new price 
                        }
                       
                        //repricing
                        // $diff2=array_diff($oldData,$newData);
                        // if(((count($diff2)==1) && !empty($diff2['updated_at'])) || (count($diff2)==2 && !empty($diff2['updated_at']) && !empty($diff2['ip'])))
                        // {
                        //     $diff2=[];
                        // }
                        // if(!empty($diff2))
                        // {
                      
                        //    $repricing=new OffersController();
                        //    $repricing->tsinUpdateHistory($oldData,$newData,'repricing'); 
                        // }


                        $repricing=new RePricingController();
                        $repricing->repriceVariantParams(decrypt($input['updateFor']),'manual');
                        $this->data=$updatePrice;
                        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Price Updated Successfully','move'=>0]);

                    }  
                    else
                    {

                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

                    }
                }
                else
                {
                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

                }
                
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

            }
            
        }
        else       
        {
            
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Min and max price must be greater than 0','move'=>0]);

        }
         
        
    }
    public function updatetakealotOffer($offer_id)
    {
      
        $offControl=new OffersController();
        $reftechOffer=TakealotOffers::with('rePricing','takealotShops')->where('id','=',decrypt($offer_id))->orderBy('id','asc')->first();
        if(!empty($reftechOffer))
        {

            $flag=$offControl->reFetchOffer($reftechOffer);    
            $this->data=TakealotRePricing::with('offer','takealotOfferDetails')->where([['id','=',$reftechOffer->rePricing->id],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer Updated Successfully','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer Not Updated','move'=>0]);
        }
      
        
    }    
    public function reCheckWinner($id)
    {          
        $repricing=new RePricingController();
        $repricing->repriceVariantParams(decrypt($id),'manual');
        $this->data=TakealotRePricing::with('offer','takealotOfferDetails')->where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Winner Re-Checked Successfully','move'=>0]);

    }
    public function removeFromRePricing($id)
    {
        if($rePricing=TakealotRePricing::where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->delete())
        {
            $this->data=[];
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Successfully Removed From Re-Pricing List','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

        }
       
    }
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey;
        return view('livewire.admin.re-pricing.list-view',compact('item','key'));
    }
}

