<?php

namespace App\Http\Livewire\Admin\Subscriptions;

use Livewire\Component;
use App\Models\PackageBuy;
use App\Models\SubscriptionPackages;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
class ListView extends Component
{
    public $newDate;
    public function mount($subs,$key)
    {
        $this->data=$subs;
        $this->dataKey=$key;
    }
    public function logintoSellerAccount($userId)
    {
        Auth::loginUsingId(decrypt($userId));
        return redirect()->route('seller.dashboard');
    }
    public function updatedNewDate()
    {
        $package=PackageBuy::where('id','=',$this->data->id)->first();
        if(!empty($package))
        {
            $package->renew_date=$this->newDate;
            if($package->save())
            {                
                $this->data->renew_date=$this->newDate;
                $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Expiry date updated successfully','move'=>0]);
            }
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }
    } 
    public function changePackage($id,$value)
    {
        $package=PackageBuy::where('id','=',decrypt($id))->first();
        if(!empty($package))
        {
            $newPackage=SubscriptionPackages::where([['status','=','active'],['id','=',decrypt($value)]])->first();
            if(!empty($newPackage))
            {
                $newExpiryDate = Carbon::now()->addDays($newPackage->duration*30);
                $package->subscription_packages_id=decrypt($value);
                $package->renew_date=$newExpiryDate;
                if($package->save())
                {    
                    $package=PackageBuy::where('id','=',decrypt($id))->first();
                    $this->data->subscription_packages_id=$package->subscription_packages_id;
                    $this->data->renew_date= $package->renew_date;
                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Package updated successfully','move'=>0]);
                }
            }
            
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }
    }
    public function render()
    {
        $item=$this->data;
        $key= $this->dataKey+1;
        $shopsActive=(!empty($item) && isset($item->shops) && !empty($item->shops)) ? $item->shops->count() : 0;
        $colors=($shopsActive>0) ? '#65e9324f' : null;  
        $packages=SubscriptionPackages::where('status','=','active')->get();
        return view('livewire.admin.subscriptions.list-view',compact('item','key','packages','shopsActive','colors'));
    }
}
