<?php

namespace App\Http\Livewire\Front\Blog;

use Livewire\Component;
use App\Models\BlogCategories;
use Livewire\WithPagination;
class AllBlogs extends Component
{
    use WithPagination;
    public $category_id;
    protected $paginationTheme = 'bootstrap';
    public $search;
    public $entries;
    public $orderBy;
    public $readyToLoad = true;
    public function loadBlogs()
    {
        $this->readyToLoad = true;
    }
    public function mount()
    {
        $this->search   = null;
        $this->entries  = 20;
        $this->orderBy  = 'desc';
        $this->pageType = null;
    }
    public function render()
    {
        $blogs = \App\Models\Blog::when($this->category_id,function($query, $category_id){
          return  $query->where('category_id', $category_id);
        })->paginate($this->entries);
        $categories = BlogCategories::orderBy('id', 'desc')->get();
        return view('livewire.front.blog.all-blogs',compact('blogs','categories'));
    }
}
