<?php

namespace App\Http\Livewire\Front\Home;

use Illuminate\Support\Facades\Validator;
use Livewire\Component;
use Illuminate\Contracts\Validation\Rule;

class ContactUs extends Component
{
    public function create($input)
    {
        Validator::make($input, [
            'first_name'           => 'required|min:3|max:50',
            'last_name'            => 'required|min:3|max:50',
            'phone'                => 'required|min:7|max:20',
            'subject'              => 'required|min:7|max:100',
            'email'                => 'required|email',
            'terms_and_conditions' => 'required',
            'message'              => 'required|min:20|max:2000',
        ]
        )->validate();
        $contactUs                 = new \App\Models\ContactUs();
        $contactUs->first_name     = strip_tags($input['first_name']);
        $contactUs->last_name      = strip_tags($input['last_name']);
        $contactUs->phone          = strip_tags($input['phone']);
        $contactUs->subject        = strip_tags($input['subject']);
        $contactUs->email          = strip_tags($input['email']);
        $contactUs->message        = strip_tags($input['message']);
        $contactUs->read_status    = 'unread';
        $contactUs->message_status = 'received';
        $contactUs->save();
        $this->dispatchBrowserEvent('resetForm');
        session()->flash('message', 'Message has been sent successfully!');

    }
    public function render()
    {
        return view('livewire.front.home.contact-us');
    }
}
