<?php

namespace App\Http\Livewire\Front\Pricing;

use Livewire\Component;
use App\Models\SubscriptionPackages;
use App\Models\SubscriptionPackagesDetails;
use App\Http\Controllers\Front\PaystackController;
use Illuminate\Support\Facades\Redirect;
use Auth;
class Packages extends Component
{
    public $packageType;
    public function mount()
    {
        $this->packageType='monthly';
    }
    public function selectPackageType($value)
    {
        $this->packageType=$value;
    }
    public function payNow($id)
    {      
        if(!Auth::check())
        {
            return redirect()->route('register');
        }
        else
        {
            if(!empty($id))
            {
                $package=SubscriptionPackages::where([['id','=',decrypt($id)],['status','=','active']])->first();  
                if(!empty($package))
                {
                    $paystack = new PaystackController();
                    $response=$paystack->updateSubscription($package);
                   
                    if(!empty($response) && isset($response->component->redirectTo))
                    {
                        return Redirect::away($response->component->redirectTo);
                    }
                    else
                    {
                        if($response->getContent())
                        {
                                $content = $response->getContent();
                                $data = json_decode($content, true);
                                
                                if($data['status']=='error')
                                {
                                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>$data['message'],'move'=>0]);
                
                                }
                                elseif($data['status']=='success')
                                {
                                    auth()->user()->PackageBuy->subscription_packages_id=$package->id;
                                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>$data['message'],'move'=>0]);
                
                                }
                                else
                                {
                                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Sorry! Something Went Wrong','move'=>0]);
                                }
                        }
                    }
                }
                else
                {
                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Sorry! Something Went Wrong','move'=>0]);
                }
            }
            
        }
        
    }
    public function render()
    {
        $package=SubscriptionPackages::where([['type','=',$this->packageType],['status','=','active']])->get();
        $packageDetails=SubscriptionPackagesDetails::where([['status','=','active']])->get();
        return view('livewire.front.pricing.packages',['package'=>$package,'packageDetails'=>$packageDetails]);
    }
}
