<?php

namespace App\Http\Livewire\Seller\Billing\Child;

use Livewire\Component;
use App\Models\SubscriptionPackages;
use App\Models\SubscriptionPackagesDetails;
use App\Http\Controllers\Front\PaystackController;
use Illuminate\Support\Facades\Redirect;
use Auth;
class UpdatePlan extends Component
{
    public $packageType;
    public $selectedID;
    public function mount()
    {
        $this->packageType='monthly';
        $this->selectedID=null;
    }
    // public function UpdatedPackageType()
    // {
    //     $this->selectedID=null;
    // }
    public function payNowPlan()
    {      
             if(!empty($this->selectedID))
             {
                $package=SubscriptionPackages::where([['id','=',decrypt($this->selectedID)],['status','=','active']])->first();  
                if(!empty($package))
                {
                    
                    $paystack = new PaystackController();
                    $response=$paystack->updateSubscription($package);
                    if(!empty($response) && isset($response->component->redirectTo))
                    {
                        return Redirect::away($response->component->redirectTo);
                    }
                    else
                    {
                        if($response->getContent())
                        {
                                $content = $response->getContent();
                                $data = json_decode($content, true);
                                
                                if($data['status']=='error')
                                {
                                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>$data['message'],'move'=>0]);
                
                                }
                                elseif($data['status']=='success')
                                {
                                    auth()->user()->PackageBuy->subscription_packages_id=$package->id;
                                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>$data['message'],'move'=>0]);
                
                                }
                                else
                                {
                                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Something Went Wrong','move'=>0]);
                                }
                        }
                    }
                    // if($response->getContent())
                    // {
                    //     $content = $response->getContent();
                    //     $data = json_decode($content, true);
                       
                    //     if($data['status']=='error')
                    //     {
                    //         $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>$data['message'],'move'=>0]);
        
                    //     }
                    //     if($data['status']=='success')
                    //     {
                    //         $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>$data['message'],'move'=>0]);
        
                    //     }
                    // }
                   
                }
             }
             else
             {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Please select a package for updation!','move'=>0]);
             }
            
        
        
    }
    public function render()
    {
        $selectedPackage=null;
        $package=SubscriptionPackages::where([['type','=',$this->packageType],['status','=','active'],['package_type','=','paid']])->get();
        $packageDetails=SubscriptionPackagesDetails::where([['status','=','active']])->get();
        if(!empty($this->selectedID))
        {
            $selectedPackage=SubscriptionPackages::where([['id','=',decrypt($this->selectedID)],['type','=',$this->packageType],['status','=','active'],['package_type','=','paid']])->first();
        }
        return view('livewire.seller.billing.child.update-plan',['selectedPackage'=>$selectedPackage,'package'=>$package,'packageDetails'=>$packageDetails]);
    }
}
