<?php

namespace App\Http\Livewire\Seller\Billing;

use Livewire\Component;
use App\Models\PackageBuy;
use App\Http\Controllers\Front\PaystackController;
use Auth;
use Paystack;
class Index extends Component
{
    public $seller_id;
    public function mount()
    {
        $this->seller_id=Auth::user()->id;
    }
    public function billingStatus($id,$val)
    {
        $packageBuy=PackageBuy::with('packageDetails')->where('id','=',decrypt($id))->first();
        if(!empty($packageBuy))
        {
             $status=null;
            if($packageBuy->subscription_status=='enabled')
            {
                if(!empty($packageBuy->customer_id) && !empty($packageBuy->subscription_code) && !empty($packageBuy->email_token))
                {
                    $disabledData = [
                        'code' => $packageBuy->subscription_code,
                        'token' =>$packageBuy->email_token
                    ];  
                    $content=$this->disablesubscription($disabledData);
                    $data = json_decode($content, true);                    
                    if(!empty($data) && $data['status']=='error')
                    {
                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>$data['message'],'move'=>0]);
    
                    }
                    elseif(!empty($data) && $data['status']=='success')
                    {
                        
                        $status='disabled';
                        $packageBuy->subscription_status='disabled';
                        $packageBuy->save();
                        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>$data['message'],'move'=>0]);
    
                    }
                    else
                    {
                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Something Went Wrong','move'=>0]);
                    }
                }
            }
            else
            {
                if(!empty($packageBuy->customer_id) && !empty($packageBuy->subscription_code) && !empty($packageBuy->email_token))
                {
                    $enabledData = [
                        'code' => $packageBuy->subscription_code,
                        'token' =>$packageBuy->email_token
                    ];  
                    $content=$this->enablesubscription($enabledData);
                    $data = json_decode($content, true);                    
                    if(!empty($data) && $data['status']=='error')
                    {
                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>$data['message'],'move'=>0]);
    
                    }
                    elseif(!empty($data) && $data['status']=='success')
                    {
                        
                        $packageBuy->subscription_status='enabled';
                        $status='enabled';
                        $packageBuy->save();
                        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>$data['message'],'move'=>0]);
    
                    }
                    else
                    {
                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Something Went Wrong','move'=>0]);
                    }
                }
               
            }

           
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);
        }
    }
    public function disablesubscription($disabledData)
    {           
        $paystack=new PaystackController(); 
        return $disabled=$paystack->disableSubscription($disabledData);            
    }
    public function enablesubscription($enabledData)
    {           
        $paystack=new PaystackController(); 
        return $enabled=$paystack->enableSubscription($enabledData);            
    }
    public function render()
    {
        $packageBuy=PackageBuy::with('packageDetails')->where('seller_id','=',$this->seller_id)->first();
        return view('livewire.seller.billing.index',compact('packageBuy'))->extends('seller.layouts.app');
    }
}
