<?php

namespace App\Http\Livewire\Seller\Inventory;

use Livewire\Component;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotCompetitionHistory;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Http\Controllers\Seller\OffersController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
    public $OfferStatus=null;
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        //start check active shop
        if(empty(session('active_shop_id')))
        {  
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }
    public function updatetakealotOffer($offer_id)
    {
      
        $offControl=new OffersController();
        $reftechOffer=TakealotOffers::with('rePricing','takealotShops')->where([['id','=',decrypt($offer_id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->orderBy('id','asc')->first();
        if(!empty($reftechOffer))
        {
            
            $flag=$offControl->reFetchOffer($reftechOffer,'manual');    
            $this->data=TakealotOffers::with('rePricing','takealotShops')->where([['id','=',decrypt($offer_id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->orderBy('id','asc')->first();
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer Updated Successfully','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer Not Updated','move'=>0]);
        }
      
        
    }
    public function removeFromRePricing($id)
    {
        if($rePricing=TakealotRePricing::where([['takealot_offers_id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->delete())
        {
            $this->data=[];
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Successfully removed from re-pricing list','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

        }
       
    }
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey+1;
        return view('livewire.seller.inventory.list-view',compact('item','key'));
    }
}
