<?php

namespace App\Http\Livewire\Seller\Leadtime;

use Livewire\Component;
use App\Models\Upload;
use Barryvdh\DomPDF\PDF;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Livewire\WithPagination;
use Livewire\WithFileUploads;
use App\Models\TakealotLeadtimeOrders;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Facades\Validator;
use Auth;
class LeadtimeStock extends Component
{
    use WithFileUploads;
    public $file_record;
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $search;
    public $entries;
    public $orderBy;
    public $readyToLoad  = false;
    protected $listeners = ['delete'];
    public $sellerID=null;
    public $active_shop_id=null;
    public function loadOrders()
    {
        $this->readyToLoad = true;
    }
    public function mount()
    {
        $this->sellerID         = Auth::user()->id;
        $this->search   = null;
        $this->entries  = 100;
        $this->orderBy  = 'asc';
        $this->pageType = null;

        //start check active shop
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }
    public function clear_search()
    {
     $this->search = null;
    }
    public function UpdatedFileRecord()
    {
        
        if ($this->file_record) {
            $this->deleteAll();
            $excelData = Excel::toArray([], $this->file_record);
            // dd($excelData);
           
            foreach ($excelData[0] as $key => $row) 
            {
                    $short_order          = TakealotLeadtimeOrders::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=', $this->active_shop_id],['tsin','=', $row[4]]])->first();
                    if (!empty($short_order))
                    {  
                        $short_order->quantity = (!empty($row[8]) && $row[8]>0 && is_numeric(trim($row[8]))) ? $short_order->quantity+$row[8] : $short_order->quantity;
                        $short_order->save();
                    }
                    else
                    {
                        $short_order              = new  TakealotLeadtimeOrders();
                        $short_order->tsin        = (!empty($row[4])) ? $row[4] : 0;
                        $short_order->sku         = (!empty($row[3])) ? $row[3] : 0;
                        $short_order->quantity    = (!empty($row[8]) && $row[8]>0  && is_numeric(trim($row[8]))) ? $row[8] : 0;
                        $short_order->status      = '0';
                        $short_order->warehouse   = (!empty($row[5])) ? $row[5] : 'N/A';
                        $short_order->seller_id   = $this->sellerID;
                        $short_order->takealot_shops_id   =  $this->active_shop_id;
                        $short_order->save();
                    }

                   
               
            }
            $this->dispatchBrowserEvent('notify', ['error' => 'success', 'msg' => 'Sort Order List Updated Successfully']);
        } else {
            $this->dispatchBrowserEvent('notify', ['error' => 'error', 'msg' => 'Please select a file']);
        }
    }
    public function deleteAll()
    {
        $sort_order =  TakealotLeadtimeOrders::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=', $this->active_shop_id]])->delete();
        return $sort_order;
    }
    public function delete_order($id)
    {
        $sort_order = TakealotLeadtimeOrders::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=', $this->active_shop_id],['id','=',decrypt($id)]])->delete();
    }
    public function render()
    {
        $order_lists = $this->readyToLoad
            ? TakealotLeadtimeOrders::with('offer')->where([['seller_id','=',$this->sellerID],['takealot_shops_id','=', $this->active_shop_id]])->when($this->search, function ($query, $q)
            {
                return $query->where('sku', 'LIKE', "%{$q}%")->orwhere('tsin', 'LIKE', "%{$q}%");
            })->when($this->orderBy, function ($query, $orderBy)
            {
                return $query->orderBy('id',$orderBy);
            })->paginate($this->entries) : [];
        return view('livewire.seller.leadtime.leadtime-stock',compact('order_lists'));
    }
}
