<?php
namespace App\Http\Livewire\Seller\Live;

use Livewire\Component;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotShops;
use App\Models\TakealotCompetitionHistory;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Http\Controllers\Seller\OffersController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
use App\Http\Controllers\Api\OfferApiController;
class ListView extends Component
{
    public $data;
    public $dataKey;
    public $sellerID=null;
    public $active_shop_id=null;
    // public $editMin=null;
    // public $editMax=null;   
    // public $OfferStatus=null;
    // public $skuEdit=null;
    public function mount($offer,$key)
    {
      
        $this->data = collect($offer);
       
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        //start check active shop
        if(empty(session('active_shop_id')))
        {  
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }
    public function importOffer($offerId)
    {
        $offer_id=decrypt($offerId);
        $checkoffer=TakealotOffers::where([['offer_id','=',$offer_id],['takealot_shops_id','=',$this->active_shop_id],['seller_id','=',$this->sellerID]])->first();
       
            if(empty($checkoffer))
            {
                $shop=TakealotShops::with('checkShopSubscription')->where([['id','=',$this->active_shop_id],['seller_id','=',$this->sellerID]])->orderBy('created_at','asc')->first();
                if(!empty($shop))
                {
                        $shopsDefaultRateLimit=get_setting('takealot_ratelimit');
                        $ratelimit=shopRateLimitChecker($shop,$shopsDefaultRateLimit);
                        if($ratelimit>0)
                        {
                
                                $apiCall=apiProxyCall('manual');           
                                if(!empty($apiCall) && $apiCall->remaining_limit>0 &&  $apiCall->status==1 && isset($apiCall->api_url))
                                {
                                    $headers = ['Authorization'=>'Key '.$shop->takealot_api_key,'x-RateLimit-Limit'=>$shopsDefaultRateLimit,'x-RateLimit-Remaining'=>$ratelimit,'Content-Type' => 'application/json'];

                                    if($apiCall->api_url==env('APP_URL')) 
                                    {
                                        $allData=[
                                        'takealot_api_key'=>$shop->takealot_api_key,
                                        'x-RateLimit-Limit'=>$shopsDefaultRateLimit,
                                        'x-RateLimit-Remaining'=>$ratelimit,
                                        'base_url'=>takealotBaseUrl(),
                                        'offer_id'=>$offer_id
                                        ];

                                        $offerCont = new OfferApiController(); 
                                        $result=$offerCont->fetchSingleOffer($allData);
                                    
                                        if(!empty($result) && !empty($shop))
                                        {                            
                                            $resultDecoded =json_decode($result->getContent(),true);    
                                            if(!empty($resultDecoded) && isset($resultDecoded['data']) && !empty($resultDecoded['data']))
                                            {
                                                $resultDecoded  = json_decode($resultDecoded['data']); 
                                                $resultReturned=$this->createOffer($resultDecoded,$offer_id); 
                                                    
                                                if( $resultReturned['status']=='success')
                                                {
                                                    $this->dispatchBrowserEvent('notify', ['error' => $resultReturned['status'],'msg'=> $resultReturned['message'],'move'=>0]);
                                                }
                                                else
                                                {
                                                    $this->dispatchBrowserEvent('notify', ['error' => $resultReturned['status'],'msg'=>$resultReturned['message'],'move'=>0]);
                                                }      
                                            }
                                            else
                                            {
                                                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Offer not found','move'=>0]);
                                            }
                                        }
                                        else
                                        {
                                            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! something went wrong','move'=>0]);
                                        }
                                    }
                                    
                                }
                                
                        }
                    }
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer already imported','move'=>0]);
            }
        
    }
    public function createOffer($data,$offer_id)
    {
        try
        { 
                    if(!empty($data))
                    {
                        $checkoffer=TakealotOffers::where([['offer_id','=',$offer_id],['takealot_shops_id','=',$this->active_shop_id],['seller_id','=',$this->sellerID]])->first();
                        if(empty($checkoffer) && isset($data->offer_id))
                        {
                            $offer=new TakealotOffers();    
                            $offer->seller_id=$this->sellerID;
                            $offer->takealot_shops_id=$this->active_shop_id;
                            $offer->tsin_id=(isset($data->tsin_id) && !empty($data->tsin_id)) ? $data->tsin_id : 0;
                            $offer->offer_id=(isset($data->offer_id) && !empty($data->offer_id)) ? $data->offer_id : 0;
                            $offer->sku=(isset($data->sku) && !empty($data->sku)) ? $data->sku : null;
                            $offer->barcode=(isset($data->barcode) && !empty($data->barcode)) ? $data->barcode : null;
                            $offer->product_label_number=(isset($data->product_label_number) && !empty($data->product_label_number)) ? $data->product_label_number : null;
                            $offer->selling_price=(isset($data->selling_price) && !empty($data->selling_price)) ? $data->selling_price : 0;
                            $offer->rrp=(isset($data->rrp) && !empty($data->rrp)) ? $data->rrp : 0;
                            $offer->leadtime_days=(isset($data->leadtime_days) && !empty($data->leadtime_days)) ? $data->leadtime_days : null;
                            $offer->leadtime_stock=(isset($data->leadtime_stock) && !empty($data->leadtime_stock)) ? $data->leadtime_stock : null;
                            $offer->status=(isset($data->status) && !empty($data->status)) ? $data->status : 'Not Buyable';
                            $offer->title=(isset($data->title) && !empty($data->title)) ? $data->title : null;
                            $offer->offer_url=(isset($data->offer_url) && !empty($data->offer_url)) ? $data->offer_url : null;
                            $offer->stock_at_takealot=(isset($data->stock_at_takealot) && !empty($data->stock_at_takealot)) ? $data->stock_at_takealot : null;
                            $offer->stock_on_way=(isset($data->stock_on_way) && !empty($data->stock_on_way)) ? $data->stock_on_way : null;
                            $offer->total_stock_on_way=(isset($data->total_stock_on_way) && !empty($data->total_stock_on_way)) ? $data->total_stock_on_way : 0;
                            $offer->stock_cover=(isset($data->stock_cover) && !empty($data->stock_cover)) ? $data->stock_cover : null;
                            $offer->total_stock_cover=(isset($data->total_stock_cover) && !empty($data->total_stock_cover)) ? $data->total_stock_cover : 0;
                            $offer->sales_units=(isset($data->sales_units) && !empty($data->sales_units)) ? $data->sales_units : 0;
                            $offer->stock_at_takealot_total=(isset($data->stock_at_takealot_total) && !empty($data->stock_at_takealot_total)) ? $data->stock_at_takealot_total : 0;
                            $offer->storage_fee_eligible=(isset($data->storage_fee_eligible) && !empty($data->storage_fee_eligible)) ? $data->storage_fee_eligible : 0;
                            $offer->discount=(isset($data->discount) && !empty($data->discount)) ? $data->discount : null;
                            $offer->discount_shown=(isset($data->discount_shown) && !empty($data->discount_shown)) ? $data->discount_shown : 0;
                            $offer->replen_block_jhb=(isset($data->replen_block_jhb) && !empty($data->replen_block_jhb)) ? $data->replen_block_jhb : 0;
                            $offer->replen_block_cpt=(isset($data->replen_block_cpt) && !empty($data->replen_block_cpt)) ? $data->replen_block_cpt : 0;
                            $offer->image_url=(isset($data->image_url) && !empty($data->image_url)) ? $data->image_url : null;
                            $offer->save();
                            $returnData=[
                                'status' => 'success',
                                'message' => 'Offer imported successfully'
                            ];
                            return $returnData;
                        }
                        else
                        {
                            $returnData=[
                                'status' => 'success',
                                'message' => 'Offer is already imported'
                            ];
                            return $returnData;
                        }
                    }
        }
        catch (\Exception $e) 
        {
            $errorMessage = $e->getMessage();
            $returnData=[
                'status' => 'error',
                'message' => $errorMessage
            ];
            return $returnData;
        }  
       
    }
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey+1;
        $takealotRePricing =TakealotRePricing::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['takealot_offers_id','=',$item['offer_id']]])->first();

        return view('livewire.seller.live.list-view',compact('item','takealotRePricing','key'));
    }
}
