<?php

namespace App\Http\Livewire\Seller\Offers;

use Livewire\Component;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotShops;
use App\Models\TakealotCompetitionHistory;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Http\Controllers\Seller\OffersController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
use App\Http\Controllers\Seller\ManualRePricingController;

class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
    public $editMin=null;
    public $editMax=null;   
    public $OfferStatus=null;
    public $skuEdit=null;
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        //start check active shop
        if(empty(session('active_shop_id')))
        {  
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }
    public function editSku($input)
    {
        Validator::make($input, [
            'skuUpdate'  => 'required|min:1|max:100',           
            'updateFor'  => 'required',           
        ])->validate();
     
        $offer=TakealotOffers::where([['id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
        if(!empty($offer))
        {           
            $shopDetails=TakealotShops::where([['seller_id','=',$this->sellerID],['id','=',$this->active_shop_id]])->first();
            $updateNow=new ManualRePricingController();
            $response=$updateNow->updateSku($shopDetails,$offer->offer_id,$input['skuUpdate']);
            if(!empty($response))
            {
                $responseData = json_decode($response->getContent(), true);
                $offer->sku=$input['skuUpdate'];
                $this->data->sku=$input['skuUpdate'];
                $offer->save();
                $this->skuEdit=null;
                $status = $responseData['status'];
                $message = $responseData['message'];
                $this->dispatchBrowserEvent('notify', ['error' => $status,'msg'=> $message,'move'=>0]);   
                
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
            }
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }


    }
    public function updateOfferStatus($id)
    {            
        $updateStatus=TakealotRePricing::where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
        if(!empty($updateStatus))
        {
          
            $updateStatus->status=( $updateStatus->status==1) ? 0 : 1;
            if($updateStatus->save())
            {              
                $this->data->re_status=$updateStatus->status;
                $this->data->re_min_price=$updateStatus->min_price;
                $this->data->re_max_price=$updateStatus->max_price;
                $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Status updated successfully','move'=>0]);
            }
            else
            {
              $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! something went wrong','move'=>0]);
            }
        }
    }
   
    public function updateOfferPrice($input)
    {
        // dd($input);
        $checkUserPackageOffers=checkUserPackageOffers($this->sellerID);
        if($checkUserPackageOffers==true)
        {
            Validator::make($input,[
                'minPrice'  => 'required|min:1|max:9999999',             
                'maxPrice'  => 'required|min:1|max:9999999',             
                'my_soh'    => 'required|min:0|max:9999999',             
                'updateFor' => 'required',             
            ])->validate();
            if(empty($input['my_soh']))
            {
                $input['my_soh']=0;
            }
            if(($input['minPrice']>0 && $input['maxPrice']>0) && $input['minPrice']<$input['maxPrice'])
            {
                $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['takealot_offers_id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
                if(empty($updatePrice) && !empty($input['minPrice']) && !empty($input['maxPrice']))
                {
                    $addOffer= new TakealotRePricing();
                    $addOffer->seller_id=$this->sellerID;
                    $addOffer->takealot_shops_id=$this->active_shop_id;
                    $addOffer->takealot_offers_id= decrypt($input['updateFor']);
                    $addOffer->min_price=$input['minPrice'];
                    $addOffer->max_price=$input['maxPrice'];
                    $addOffer->updated_through=1;
                    $addOffer->status=1;
                    $this->data->re_min_price=$addOffer->min_price;
                    $this->data->re_max_price=$addOffer->max_price;
                    $this->data->re_status=$addOffer->status;
                    $addOffer->save();
                    $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['takealot_offers_id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();

                }

                if(!empty($updatePrice))
                {

                    $oldOfferData=offerMap($updatePrice->offer);
                    $updatePrice->min_price=$input['minPrice'];
                    $updatePrice->max_price=$input['maxPrice'];
                    $updatePrice->ip=getUserIp();
                    $updatePrice->updated_through=1;
                    $updatePrice->status=1;
                    if($updatePrice->save())
                    {
                        
                        $this->data->re_min_price=$updatePrice->min_price;
                        $this->data->re_max_price=$updatePrice->max_price;
                        $this->data->re_status=$updatePrice->status;
                        $newData=repricingMap($updatePrice,1);                    
                        if($updatePrice->status==1)
                        {                  
                           
                                $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);                          
                                if(!empty($leadtime_decode[0]) && ($input['my_soh']>$leadtime_decode[0]->quantity_available || $input['my_soh']<$leadtime_decode[0]->quantity_available))
                                {
                                    
                                    $leadtime_decode[0]->quantity_available=$input['my_soh'];
                                    $leadtime_encode=json_encode($leadtime_decode);
                                    $updatePrice->offer->leadtime_stock=$leadtime_encode;
                                    $updatePrice->offer->ip=getUserIp();
                                    if($updatePrice->offer->save())
                                    { 
                                        $newOfferData=offerMap($updatePrice->offer,1);
                                    
                                    }
                                    
                                
                                }
                            if($updatePrice->offer->selling_price<$updatePrice->min_price)
                            {
                                //start update new price
                                $updatePrice->offer->selling_price=$updatePrice->min_price;                              
                                if($updatePrice->offer->save())
                                {
                                    // $updateOfferPrice=new OffersController();
                                    $updateOfferPrice=new ManualRePricingController();
                                    $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->min_price,$updatePrice->takealotShopDetails,$updatePrice); 
                                }
                                //end update new price 
                            }
                            else
                            {
                                //start update new price
                                $updatePrice->offer->selling_price= $updatePrice->offer->selling_price;                              
                                if($updatePrice->offer->save())
                                {
                                   
                                // $updateOfferPrice=new OffersController();
                                $updateOfferPrice=new ManualRePricingController();
                                $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->offer->selling_price,$updatePrice->takealotShopDetails,$updatePrice); 
                            
                                }
                                //end update new price 
                            }
                            
                            // $repricing=new RePricingController();
                            // $repricing->repriceVariantParams($updatePrice->id,'manual');
                            // $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Price Updated Successfully','move'=>0]);
                           
                            $repricing=new ManualRePricingController();        
                            $response=$repricing->repriceVariantParams($updatePrice->id);        
                            if(!empty($response))
                            {
                                $responseData = json_decode($response->getContent(), true);
                                // Access specific data from the array
                                if(!empty($responseData) && $responseData['status'] && $responseData['message'])
                                {
                                    $status = $responseData['status'];
                                    $message = $responseData['message'];
                                    $this->dispatchBrowserEvent('notify', ['error' => $status,'msg'=> $message,'move'=>0]);               
                    
                                }
                                else
                                {
                                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
                                }
                                
                            }
                            else
                            {
                                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
                            }

                        }  
                        else
                        {

                            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

                        }
                    }
                    else
                    {
                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

                    }
                    
                }
                else
                {
                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Product not founded in re-pricing list','move'=>0]);

                }
                
            }
            else       
            {
                
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Min and max price must be greater than 0','move'=>0]);

            }
        }
        else       
        {
            
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>"You are not able to add more offers in re-pricing. Please upgrade your package",'move'=>0]);

        }
         
        
    }
    public function updatetakealotOffer($offer_id)
    {
      
        $offControl=new OffersController();
        $reftechOffer=TakealotOffers::with('rePricing','takealotShops')->where([['id','=',decrypt($offer_id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->orderBy('id','asc')->first();
        if(!empty($reftechOffer))
        {

            $flag=$offControl->reFetchOffer($reftechOffer);    
            $this->data=TakealotOffers::leftJoin('takealot_repricing', 'takealot_offers.id', '=', 'takealot_repricing.takealot_offers_id')
            ->select('takealot_offers.*','takealot_repricing.id as re_id','takealot_repricing.takealot_offers_id as re_takealot_offers_id','takealot_repricing.min_price as re_min_price','takealot_repricing.max_price as re_max_price','takealot_repricing.status as re_status','takealot_repricing.stock_status as re_stock_status','takealot_repricing.leadtime_status as re_leadtime_status','takealot_repricing.winner as re_winner')
            ->where([['takealot_offers.id','=',$reftechOffer->id],['takealot_offers.seller_id','=',$this->sellerID],['takealot_offers.takealot_shops_id','=',$this->active_shop_id]])
            ->first();
           
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer Updated Successfully','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer Not Updated','move'=>0]);
        }
      
        
    }
   
    public function editOffer($id)
    {  
        $this->emitUp('repricedata',$id);
    }
    public function editPricing($id)
    {  
        $this->emitUp('pricingdata',$id);
    }
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey+1;
        return view('livewire.seller.offers.list-view',compact('item','key'));
    }
}
