<?php

namespace App\Http\Livewire\Seller\Profile;

use Livewire\Component;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
class Security extends Component
{
    public function change_password($input)
    {
      
          Validator::make($input, [
              'old_password'     => 'required|current_password',
              'new_password'     => 'required|different:old_password|min:8|max:20',
              'confirmed'        => 'required|same:new_password',

          ])->validate();
        $user           = User::find(Auth::user()->id);
        $user->password = Hash::make($input['new_password']);
        $user->save();
        $this->dispatchBrowserEvent('notify', ['error' => 'success', 'msg' => 'Password Updated Successfully']);
        return redirect()->route('login'); 
    }
    public function render()
    {
        return view('livewire.seller.profile.security');
    }
}
