<?php

namespace App\Http\Livewire\Seller\RePricing;

use Livewire\Component;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Models\TakealotShops;
use App\Models\TakealotCompetitionHistory;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Http\Controllers\Seller\ManualRePricingController;
use App\Http\Controllers\Seller\OffersController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Carbon;
use App\Http\Controllers\Seller\SettingsController;
class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
    public $editMin=null;
    public $editMax=null;
    public $OfferStatus=null;
    public $skuEdit=null;
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        //start check active shop
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    } 
    public function editSku($input)
    {

        Validator::make($input, [
            'skuUpdate'  => 'required|min:1|max:100',           
            'updateFor'  => 'required',           
        ])->validate();
     
        $offer=TakealotOffers::where([['id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();        
        if(!empty($offer))
        {           
            $shopDetails=TakealotShops::where([['seller_id','=',$this->sellerID],['id','=',$this->active_shop_id]])->first();
            $updateNow=new ManualRePricingController();
            $response=$updateNow->updateSku($shopDetails,$offer->offer_id,$input['skuUpdate']);
            if(!empty($response))
            {
                $responseData = json_decode($response->getContent(), true);
                $offer->sku=$input['skuUpdate'];
                $this->data->sku=$input['skuUpdate'];
                $offer->save();
                $this->skuEdit=null;
                $status = $responseData['status'];
                $message = $responseData['message'];
                $this->dispatchBrowserEvent('notify', ['error' => $status,'msg'=> $message,'move'=>0]);   
                
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
            }
            // $updateNow=new OffersController();
            // $checkReturn=$updateNow->updateSku($shopDetails,$offer->offer_id,$input['skuUpdate']);
            // if($checkReturn==true)
            // {
            //     $offer->sku=$input['skuUpdate'];
            //     $this->data->sku=$input['skuUpdate'];
            //     $offer->save();
            //     $this->skuEdit=null;
            //     $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Sku updated successfully','move'=>0]);
            // }
            // else
            // {
            //     $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong with api','move'=>0]);
            // }
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }

  
    }   
    public function updateOfferStatus($id)
    {            
        $updateStatus=TakealotRePricing::where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
        if(!empty($updateStatus))
        {
          
            $updateStatus->status=( $updateStatus->status==1) ? 0 : 1;
            if($updateStatus->save())
            {              
                $this->data->status=$updateStatus->status;
                $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Status updated successfully','move'=>0]);
            }
            else
            {
              $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);
            }
        }
    } 
    public function updateEditMin()
    {
        $this->dispatchBrowserEvent('setInputFocus', ['id' => 'min'.$editMin]);
    }
    public function minPriceUpdate($input)
    {
        Validator::make($input, [
            'minPrice'  => 'required|min:1|max:9999999',             
        ])->validate();
        //update min price

        if($input['minPrice']>0)
        {
          
            $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['id','=',$this->data->id],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            if(!empty($updatePrice))
            {
                $updatePrice->min_price=$input['minPrice'];
                if($updatePrice->save())
                {
                    $this->data->min_price=$updatePrice->min_price;
                    if(($updatePrice->min_price>0 && $updatePrice->max_price>0) && $updatePrice->min_price<$updatePrice->max_price)
                    {

                        $updatePrice->status=1;
                        if($updatePrice->save())
                        {
                            $this->data->status=1;
                            if($updatePrice->status==1)
                            {                                 
                                $leadtime_decode=null;
                                $leadtime_qty=0;
                                $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);
                                $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                                $input['minPrice']=$updatePrice->min_price;
                                $input['maxPrice']=$updatePrice->max_price;
                                $input['my_soh']=$leadtime_qty;
                                $input['updateFor']=encrypt($updatePrice->id);
                                $this->updateOfferPrice($input);
                            }
                        }                        
                      
                    }
                   
                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Min Price Updated Successfully','move'=>0]);
                }
            }
            
        $this->editMin=null;
        $this->editMax=null;
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

        }
    }
    public function maxPriceUpdate($input)
    {
        Validator::make($input, [
            'maxPrice'  => 'required|min:1|max:9999999',             
        ])->validate();
        //update min price
        if($input['maxPrice']>0)
        {
           
            $updatePrice=TakealotRePricing::with('offer')->where([['id','=',$this->data->id],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            if(!empty($updatePrice))
            {
                $updatePrice->max_price=$input['maxPrice'];
                if($updatePrice->save())
                {
                    $this->data->max_price=$updatePrice->max_price;
                    if(($updatePrice->min_price>0 && $updatePrice->max_price>0) && $updatePrice->min_price<$updatePrice->max_price)
                    {
                        $updatePrice->status=1;
                        if($updatePrice->save())
                        {
                            $this->data->status=1;
                            if($updatePrice->status==1)
                            {
                               
                    
                                $leadtime_decode=null;
                                $leadtime_qty=0;
                                $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);
                                $leadtime_qty=(!empty($leadtime_decode[0]) && !empty($leadtime_decode[0]->quantity_available)) ? $leadtime_decode[0]->quantity_available : 0;
                                
                                $input['minPrice']=$updatePrice->min_price;
                                $input['maxPrice']=$updatePrice->max_price;
                                $input['my_soh']=$leadtime_qty;
                                $input['updateFor']=encrypt($updatePrice->id);
                                $this->updateOfferPrice($input);
                            }
                        }
                        
                       
                    }
                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Max Price Updated Successfully','move'=>0]);
                }
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Something went wrong.','move'=>0]);

            }
            
        $this->editMin=null;
        $this->editMax=null;
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

        }
    }
    public function updateOfferPrice($input)
    {
        Validator::make($input, [
            'minPrice'  => 'required|min:1|max:9999999',             
            'maxPrice'  => 'required|min:1|max:9999999',             
            'my_soh'    => 'required|min:1|max:9999999',             
            'updateFor' => 'required',             
        ])->validate();
        
        if(empty($input['my_soh']))
        {
            $input['my_soh']=0;
        }
        if(($input['minPrice']>0 && $input['maxPrice']>0) && $input['minPrice']<$input['maxPrice'])
        {
            $updatePrice=TakealotRePricing::with('offer','takealotShopDetails')->where([['id','=',decrypt($input['updateFor'])],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            if(!empty($updatePrice))
            {
                $oldOfferData=offerMap($updatePrice->offer);
                $updatePrice->min_price=$input['minPrice'];
                $updatePrice->max_price=$input['maxPrice'];
                $updatePrice->ip=getUserIp();
                $updatePrice->updated_through=1;
                $updatePrice->status=1;
                if($updatePrice->save())
                {
                    $this->data->min_price=$updatePrice->min_price;
                    $this->data->max_price=$updatePrice->max_price;
                    $this->data->status=$updatePrice->status;
                    $newData=repricingMap($updatePrice,1);                    
                    if($updatePrice->status==1)
                    {                  
                       
                            $leadtime_decode=json_decode($updatePrice->offer->leadtime_stock);                          
                            if(!empty($leadtime_decode[0]) && ($input['my_soh']>$leadtime_decode[0]->quantity_available || $input['my_soh']<$leadtime_decode[0]->quantity_available))
                            {
                                
                                $leadtime_decode[0]->quantity_available=$input['my_soh'];
                                $leadtime_encode=json_encode($leadtime_decode);
                                $updatePrice->offer->leadtime_stock=$leadtime_encode;
                                $updatePrice->offer->ip=getUserIp();
                                if($updatePrice->offer->save())
                                { 
                                    $newOfferData=offerMap($updatePrice->offer,1);
                                  
                                }
                                
                               
                            }
                        
                        

                        if($updatePrice->offer->selling_price<$updatePrice->min_price)
                        {
                            //start update new price
                              $updatePrice->offer->selling_price=$updatePrice->min_price;                              
                              if($updatePrice->offer->save())
                              {

                                // $updateOfferPrice=new OffersController();
                                $updateOfferPrice=new ManualRePricingController();
                                $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->min_price,$updatePrice->takealotShopDetails,$updatePrice); 
                             
                              }
                            //end update new price 
                        }
                        else
                        {
                            //start update new price
                            $updatePrice->offer->selling_price= $updatePrice->offer->selling_price;                              
                            if($updatePrice->offer->save())
                            {

                            //   $updateOfferPrice=new OffersController();
                              $updateOfferPrice=new ManualRePricingController();
                              $updateOfferPrice->updateTakealotOffer($updatePrice->offer->offer_id,$updatePrice->offer->selling_price,$updatePrice->takealotShopDetails,$updatePrice); 
                           
                            }
                          //end update new price    
                        }
                       
                        $repricing=new RePricingController();
                        $repricing->repriceVariantParams(decrypt($input['updateFor']),'manual');
                        $this->data=$updatePrice;
                        $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Price Updated Successfully','move'=>0]);

                    }  
                    else
                    {

                        $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

                    }
                }
                else
                {
                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

                }
                
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Price Not Updated','move'=>0]);

            }
            
        }
        else       
        {
            
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Min and max price must be greater than 0','move'=>0]);

        }
         
        
    }
    public function updatetakealotOffer($offer_id)
    {
        
        $offControl=new OffersController();
        $reftechOffer=TakealotOffers::with('rePricing','takealotShops')->where([['id','=',decrypt($offer_id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->orderBy('id','asc')->first();
        if(!empty($reftechOffer))
        {

            $flag=$offControl->reFetchOffer($reftechOffer);    
            $this->data=TakealotRePricing::with('offer','takealotOfferDetails')->where([['id','=',$reftechOffer->rePricing->id],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer Updated Successfully','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer Not Updated','move'=>0]);
        }
      
        
    }    
    public function reCheckWinner($id)
    {          
        // $repricing=new RePricingController();
        
        // $settingsController = new SettingsController();
        // $settingsController->resetApiUrlsLimits();

        $repricing=new ManualRePricingController();        
        $response=$repricing->repriceVariantParams(decrypt($id));
        
        if(!empty($response))
        {
            $responseData = json_decode($response->getContent(), true);
            // Access specific data from the array
            if(!empty($responseData) && $responseData['status'] && $responseData['message'])
            {
                $status = $responseData['status'];
                $message = $responseData['message'];
                $this->data=TakealotRePricing::with('offer','takealotOfferDetails')->where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->first();
                $this->dispatchBrowserEvent('notify', ['error' => $status,'msg'=> $message,'move'=>0]);               

            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
            }
            
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
        }
        
           
       
    }
    public function removeFromRePricing($id)
    {
        $deleteOffer=TakealotRePricing::where([['id','=',decrypt($id)],['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id]])->delete();
        if($deleteOffer==true)
        {
            $this->data=[];
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Successfully Removed From Re-Pricing List','move'=>0]);

        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Sorry! Somthing Went Wrong','move'=>0]);

        }
       
    }
    public function editOffer($id)
    {  
        $this->emitUp('repricedata',$id);
    }
    public function render()
    {   
        $item=$this->data;
        $key= $this->dataKey+1;
        return view('livewire.seller.re-pricing.list-view',compact('item','key'));
    }
}
