<?php

namespace App\Http\Livewire\Seller\Replenishment;

use Livewire\Component;
use App\Models\TakealotOrders;
use App\Models\TakealotShops;
use App\Models\TakealotOffers;
use App\Models\TakealotRePricing;
use App\Http\Controllers\Seller\OrdersController;
use App\Http\Controllers\Seller\OffersController;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Auth;
use App\Http\Controllers\Seller\RePricingController;
use App\Jobs\TakealotInstantRepricingJob;
use App\Jobs\TakealotTsinUpdateHistoryJob;
use Illuminate\Support\Carbon;
use App\Http\Controllers\Seller\ManualRePricingController;

class ListView extends Component
{
    public $data;
    public $sellerID=null;
    public $active_shop_id=null;
    public $editSkuItem=null;
    public $editCostItem=null;
    public $editID=null;
    protected $listeners = ['resetEdit'];
    public function mount($offer,$key)
    {
        $this->data=$offer;
        $this->dataKey=$key;
        $this->sellerID         = Auth::user()->id;
        $this->editSkuItem=null;
        $this->editCostItem=null;
        //start check active shop
        if(empty(session('active_shop_id')))
        {
           $activeShop=Auth::user()->AllTakealotShops->first()->id;
           session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
        }
        $this->active_shop_id=session('active_shop_id');
       //end active shop id
    }
    public function otherStatus($pid,$status,$type)
    {
       
        $offerCheck=TakealotOffers::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['id','=',decrypt($pid)]])->first();
        if(!empty($offerCheck))
        {
            $offerCheck->other_status=decrypt($status);
            $offerCheck->save();  
            $this->data=[];
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer successfully added in '.$type.' list','move'=>0]);
        }
        else   
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }
    }
    public function chnageOtherStatus($pid,$type)
    {
       
        $offerCheck=TakealotOffers::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['id','=',decrypt($pid)]])->first();
        if(!empty($offerCheck))
        {
            $offerCheck->other_status=0;
            $offerCheck->save();  
            $this->data=[];
            $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer successfully removed from '.$type.' list','move'=>0]);
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }
    }
    public function editSku($input)
    {
        Validator::make($input, [
            'skuUpdate'  => 'required|min:1|max:100',           
        ])->validate();
     
        $offer=TakealotOffers::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['id','=',decrypt($this->editSkuItem)]])->first();
        if(!empty($offer))
        {           
            $shopDetails=TakealotShops::where([['seller_id','=',$this->sellerID],['id','=',$this->active_shop_id]])->first();
            $updateNow=new ManualRePricingController();
            $response=$updateNow->updateSku($shopDetails,$offer->offer_id,$input['skuUpdate']);
            if(!empty($response))
            {
                $responseData = json_decode($response->getContent(), true);
                $offer->sku=$input['skuUpdate'];
                $this->data->sku=$input['skuUpdate'];
                $offer->save();
                $this->skuEdit=null;
                $status = $responseData['status'];
                $message = $responseData['message'];
                $this->dispatchBrowserEvent('notify', ['error' => $status,'msg'=> $message,'move'=>0]);   
                
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=> 'Sorry! Something went wrong.','move'=>0]);
            }
            // $updateNow=new OffersController();
            // $checkReturn=$updateNow->updateSku($shopDetails,$offer->offer_id,$input['skuUpdate']);
            // if($checkReturn==true)
            // {
            //     $offer->sku=$input['skuUpdate'];
            //     $this->data->sku=$input['skuUpdate'];
            //     $offer->save();
            //     $this->editSkuItem=null;
            //     $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Sku Updated Successfully','move'=>0]);
            // }
            // else
            // {
            //     $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong with api','move'=>0]);
            // }
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }


    }
    public function editCostItemUpdate($input)
    {
        Validator::make($input, [
            'costUpdate'  => 'required|numeric|min:1|max:10000000',           
        ])->validate();
     
        $offer=TakealotOffers::where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['id','=',decrypt($this->editSkuItem)]])->first();
        if(!empty($offer))
        {          
            $offer->offer_cost=$input['costUpdate'];
            if($offer->save())
            {
                $this->data->offer_cost=$input['costUpdate'];
                $this->editCostItem=null;
                $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Cost Updated Successfully','move'=>0]);  
            }
            else
            {
                $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
            }
                     
        }
        else
        {
            $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Something went wrong','move'=>0]);
        }

    }
    public function reFtechData($tsin,$offer_id)
    {
        
        $shops=TakealotShops::with('checkShopSubscription')->where([['seller_id','=',$this->sellerID],['id','=',$this->active_shop_id]])->orderBy('created_at','asc')->first();
        if(!empty($shops))
        {
                $orders=new OrdersController();
                $orders->updateSingleOrder($shops,decrypt($tsin));           
                $reftechOffer=TakealotOffers::with('rePricing','takealotShops')->where([['seller_id','=',$this->sellerID],['takealot_shops_id','=',$this->active_shop_id],['offer_id','=',decrypt($offer_id)]])->orderBy('id','asc')->first();               
                if(!empty($reftechOffer))
                {           
                    $this->data=$this->latestData($tsin,$offer_id);                 
                    $this->dispatchBrowserEvent('notify', ['error' => 'success','msg'=>'Offer Updated Successfully','move'=>0]);        
                }
                else
                {
                    $this->dispatchBrowserEvent('notify', ['error' => 'error','msg'=>'Offer Not Updated','move'=>0]);
                }
            
        }
    }
    public function latestData($tsin,$offer_id)
    {
        $thirtyDays=Carbon::now()->subDays(30)->toDateString();
        $takealotOffers=TakealotOffers::distinct('takealot_offers.id')->select('takealot_offers.id','takealot_offers.offer_id','takealot_offers.other_status','takealot_offers.seller_id','takealot_offers.leadtime_stock','takealot_offers.stock_at_takealot_total','takealot_offers.leadtime_days','takealot_offers.takealot_shops_id','takealot_offers.stock_cover','takealot_offers.stock_on_way','takealot_offers.offer_url','takealot_offers.tsin_id','takealot_offers.sku','takealot_offers.stock_at_takealot','takealot_offers.status','takealot_offers.title','takealot_offers.image_url','takealot_offers.selling_price','takealot_offers.total_stock_on_way','takealot_offers.date_created','takealot_offers.sales_units')->with('takealotShops','takealotOrders','rePricing','takealotOfferDetails') 
         ->where([['takealot_offers.tsin_id','=',decrypt($tsin)],['takealot_offers.offer_id','=',decrypt($offer_id)],['takealot_offers.takealot_shops_id','=',$this->active_shop_id],['takealot_offers.seller_id','=',$this->sellerID]])
         ->groupBy('takealot_offers.id');           
          $takealotOffers=$takealotOffers->first(); 
          return  $takealotOffers;
    }
    public function openPopup($id)
    {
        $this->emitUp('getRepricePopup',$id);
    }
    public function editPricing($id)
    {  
        $this->editID=$id;
        // $this->emitTo('seller.replenishment.price-edit-model','singlepricingdata', $id);
    }
    public function resetEdit()
    {  
        $this->editID=null;
    }
    public function render()
    {
        $item=$this->data;
        $key= $this->dataKey;
        return view('livewire.seller.replenishment.list-view',compact('item','key'));
    }
}
