<?php

namespace App\Http\Livewire\Seller\Tsin;

use Livewire\Component;
use App\Models\TsinUpdateHistory;
use Livewire\WithPagination;
use Auth;

class TsinHistory extends Component
{
    use WithPagination;
    protected $paginationTheme = 'bootstrap';
    public $readyToLoad    = false;
    public $sellerID=null;
    public $active_shop_id=null;
    public $entries;    
    public $orderBy='desc';
    public $type='repricing';
    public $search=null;
    public function mount()
    {
         $this->sellerID         = Auth::user()->id;
         $this->entries  = 100;
         $this->orderBy  = 'desc';
         $this->search  = null;
         //start check active shop
         if(empty(session('active_shop_id')))
         {
            $activeShop=Auth::user()->AllTakealotShops->first()->id;
            session(['active_shop_id' => (!empty($activeShop) ? $activeShop : 0)]);
         }
         $this->active_shop_id=session('active_shop_id');
        //end active shop id
    }
    public function readyToLoad()
    {
        $this->readyToLoad = true;
    } 
    public function render()
    {
      
        $logHistory=TsinUpdateHistory::select('takealot_offers.tsin_id','takealot_offers.offer_url','takealot_offers.title','tsin_update_history.id as th_id','tsin_update_history.tsin','tsin_update_history.seller_id','tsin_update_history.takealot_shops_id','tsin_update_history.type','tsin_update_history.data','tsin_update_history.ip_address','tsin_update_history.updated_at','tsin_update_history.created_at')->
        join('takealot_offers', function($query)
        {
            $query->on('takealot_offers.tsin_id', '=', 'tsin_update_history.tsin')->where([['takealot_offers.seller_id','=',$this->sellerID],['takealot_offers.takealot_shops_id','=',$this->active_shop_id]]);
        })
        ->where([['tsin_update_history.seller_id','=',$this->sellerID],['tsin_update_history.takealot_shops_id','=',$this->active_shop_id]])
        ->when($this->search,function($query, $search)
        {           
            $search=trim($search);
            $query->where([['tsin_update_history.seller_id','=',$this->sellerID],['tsin_update_history.takealot_shops_id','=',$this->active_shop_id]])->where('takealot_offers.title', 'LIKE', "%{$search}%")->orWhere('tsin_update_history.tsin', 'LIKE', "%{$search}%");
        }
        )
        ->orderBy('tsin_update_history.created_at', $this->orderBy)->paginate($this->entries);       
        return view('livewire.seller.tsin.tsin-history',['logHistory'=>$logHistory]);
    }
}
