<?php

namespace App\Jobs;
use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Http\Controllers\Seller\OffersController;
use Illuminate\Queue\MaxAttemptsExceededException; // Import the exception class
class TakealoltOffersShopByJob implements ShouldQueue
{
    use Batchable,Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

   
    /**
     * The number of times the job may be attempted.
     *
     * @var int
     */
    public $tries = 5;
    /**
     * Create a new job instance.
     *
     * @return void
     */

    protected $shopObject;
    public function __construct($shop)
    {
        $this->shopObject=$shop;
         $this->onQueue('high');
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $sales=new OffersController();
        $sales->offersShopBy($this->shopObject);
    }
    public function failed(\Exception $exception)
    {
        // Release the job back into the queue with a delay of 1 hour
        $this->release(600); // 3600 seconds = 1 hour
    }
}
