<?php

namespace App\Jobs;
use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Http\Controllers\Seller\OffersController;
use Illuminate\Queue\MaxAttemptsExceededException; // Import the exception class
class TakealotNewCreatedOffers implements ShouldQueue
{
    use Batchable,Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

   /**
     * The number of times the job may be attempted.
     *
     * @var int
     */
    public $tries = 5;
    /**
     * Create a new job instance.
     *
     * @return void
     */

    protected $offers;
    public function __construct($chunks)
    {
        $this->offers=$chunks;
        $this->onQueue('high');
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        
        if(!empty($this->offers))
        {
            foreach($this->offers as $item)
            {
                $offerController=new OffersController();
                $offerController->reFetchOffer($item);

            }           

        }
    }
    public function failed(\Exception $exception)
    {
        // Release the job back into the queue with a delay of 1 hour
        $this->release(1000); // 3600 seconds = 1 hour
    }
}
