<?php

namespace App\Jobs;

use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Http\Controllers\Seller\RePricingController;
use Illuminate\Queue\MaxAttemptsExceededException;
use Illuminate\Queue\Middleware\WithoutOverlapping;

class TakealotRepricingJob implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * The number of times the job may be attempted.
     *
     * @var int
     */
    public $tries = 5;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $products;
    public $jobname = "repricing";

    public function __construct($chunk, $newjobname)
    {
        $this->products = $chunk;
        $this->jobname = $newjobname;
        // $this->onQueue('medium');
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $repricing = new RePricingController();
        $repricing->rePricingCurl($this->products);
    }

    public function middleware()
    {
        // return [(new WithoutOverlapping())->setJobName($this->jobname)->dontRelease()];
        return [
            (new WithoutOverlapping($this->jobname))->dontRelease(),
        ];
    }

    // public function failed(\Exception $exception)
    // {
    //     // Release the job back into the queue with a delay of 1 hour
    //     $this->release(1500); // 3600 seconds = 1 hour
    // }
}
