<?php

namespace App\Jobs;
use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Http\Controllers\Seller\OffersController;
use Illuminate\Queue\MaxAttemptsExceededException; // Import the exception class
class TakealotSingleOfferPriceUpdateJob implements ShouldQueue
{
    use Batchable,Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
     /**
     * The number of times the job may be attempted.
     *
     * @var int
     */
    public $tries = 5;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $offerID;
    protected $price;
    protected $shop;
    public function __construct($offer_id,$selling_price,$shopDetails)
    {
        $this->offerID=$offer_id;
        $this->price=$selling_price;
        $this->shop=$shopDetails;
        $this->onQueue('low');
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        
        $repricing=new OffersController();
        $repricing->updateTakealotOffer($this->offerID,$this->price,$this->shop);

    }
    public function failed(\Exception $exception)
    {
        // Release the job back into the queue with a delay of 1 hour
        $this->release(600); // 3600 seconds = 1 hour
    }
}
