<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Blog extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $table = 'blogs';
    protected $fillable = [
                            'title',
                            'category_id',
                            'slug',
                             'banner',
                            'short_description',
                            'description',
                            'meta_title',
                            'meta_img',
                            'meta_description',
                            'meta_keywords',
                            'status'
                        ];

    public function category()
    {
        return $this->hasOne('App\Models\BlogCategories', 'id', 'category_id');
    }
}
