<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PackageBuy extends Model
{
    use HasFactory;
    protected $table = 'package_buy';
    public function seller()
    {
        return $this->hasOne(User::class,'id','seller_id');
    }
    public function shops()
    {
        return $this->hasMany(TakealotShops::class,'seller_id','seller_id')->where('takealot_api_key','!=',null);
    }
    public function offers()
    {
        return $this->hasMany(TakealotOffers::class,'seller_id','seller_id');
    }
    public function orders()
    {
        return $this->hasMany(TakealotOrders::class,'seller_id','seller_id');
    }
    public function repricing()
    {
        return $this->hasMany(TakealotRePricing::class,'seller_id','seller_id');
    }
    public function packageDetails()
    {
        return $this->hasOne(SubscriptionPackages::class,'id','subscription_packages_id');
    }
}
