<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use Auth;
class TakealotOffers extends Model
{
    use HasFactory;
    protected $table = 'takealot_offers';
   
    public function rePricing()
    {
        return $this->hasOne(TakealotRePricing::class,'takealot_offers_id','id');
    }
    public function takealotOfferDetails()
    {
        return $this->hasOne(TakealotOfferDetails::class,'takealot_offers_id','id');
    }
    public function takealotShops()
    {
        return $this->hasOne(TakealotShops::class,'id','takealot_shops_id');
    }
    public function takealotPlidHistory()
    {
        return $this->hasMany(TakealotPlidHistory::class,'plid','plid');
    }
    public function takealotCompetitionHistory()
    {
        return $this->hasMany(TakealotCompetitionHistory::class,'tsin','tsin_id');
    }
    public function takealotOrders()
    {
        $thirtyDays=Carbon::now()->subDays(30)->toDateString();
        return $this->hasMany(TakealotOrders::class,'offer_id','offer_id')->whereDate('order_date','>=',$thirtyDays);
    }
}
