<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Authenticatable implements MustVerifyEmail
{
    use HasFactory, Notifiable;
    use SoftDeletes;
    protected $table = 'users';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'username', 'email', 'password','role','status','email_verified_at'
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function Userdetail()
    {
        return $this->hasOne(UserDetails::class,'user_id','id');
    }
    public function PackageBuy()
    {
        return $this->hasOne(PackageBuy::class,'seller_id','id');
    }
    public function ActiveTakeAlotShop()
    {
        return $this->hasOne(TakealotShops::class,'id','active_shop_id');
    }
    public function AllTakealotShops()
    {
        return $this->hasMany(TakealotShops::class,'seller_id','id');
    }

}
