<?php

namespace Database\Seeders;


use App\Models\BusinessSettings;
use Illuminate\Database\Seeder;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;

class BusinessSettingLogoSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        if (BusinessSettings::where('type', '=', 'admin_logo')->count() == 0) {
            DB::table('business_settings')->insert([
                'type'       => 'admin_logo',
                'value'      => '0',
                'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
            ]);
        }
        if (BusinessSettings::where('type', '=', 'customer_logo')->count() == 0) {
            DB::table('business_settings')->insert([
                'type'       => 'customer_logo',
                'value'      => '0',
                'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
            ]);
        }
        if (BusinessSettings::where('type', '=', 'auth_logo')->count() == 0) {
            DB::table('business_settings')->insert([
                'type'       => 'auth_logo',
                'value'      => '0',
                'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
            ]);
        }
    }
}
