@extends('layouts.app-Auth')
@section('content')
<div class="auth-wrapper auth-v1 px-2">
                    <div class="auth-inner py-2">
                        <!-- Login v1 -->
                        <div class="card mb-0">
                            <div class="card-body">
                                <a href="{{route('index')}}" class="brand-logo">
                                <img id="auth_logo" src="{{static_asset('')}}front/assets/images/logo.png" alt="logo"  />
                                </a>

                                <h4 class="card-title mb-1 text-center">Welcome to Sales Up! 👋</h4>
                                <p class="card-text mb-2 text-center">Sign-in to your account and increase your sales</p>
                                @if(Session::has('message'))
                                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                   {{Session::get('message') }}
                                   <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                 @endif
                                <form class="auth-login-form mt-2" method="POST" action="{{ route('login') }}" >
                                @csrf
                                    <div class="form-group">
                                        <label for="login-email" class="form-label">Email</label>
                                        <input type="text" class="form-control @error('email') is-invalid @enderror" id="login-email" name="email" placeholder="john@example.com" aria-describedby="login-email" value="{{ old('email') }}"  autocomplete="email" tabindex="1" autofocus />
                                        @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        @if (Route::has('password.request'))
                                        <div class="d-flex justify-content-between">
                                            <label for="login-password">Password</label>
                                            <a href="{{route('password.request')}}">
                                                <small>Forgot Password?</small>
                                            </a>
                                        </div>
                                        @endif
                                        <div class="input-group input-group-merge form-password-toggle">
                                            <input type="password" class="form-control form-control-merge @error('password') is-invalid @enderror" id="login-password" name="password" tabindex="2" placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"  autocomplete="current-password" aria-describedby="login-password" />
                                            <div class="input-group-append">
                                                <span class="input-group-text cursor-pointer"><i data-feather="eye"></i></span>
                                            </div>
                                        </div>
                                        @error('password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <div class="custom-control custom-checkbox">
                                            <input class="custom-control-input" type="checkbox" id="remember-me" tabindex="3" {{ old('remember') ? 'checked' : '' }} />
                                            <label class="custom-control-label" for="remember-me">  {{ __('Remember Me') }} </label>
                                        </div>
                                    </div>
                                    <button class="btn btn-primary btn-block" tabindex="4">Sign in</button>
                                </form>

                                <p class="text-center mt-2">
                                    <span>New on our platform?</span>
                                    <a href="{{route('register')}}">
                                        <span>Create an account</span>
                                    </a>
                                </p>

                                <div class="divider my-2">
                                    <div class="divider-text">or</div>
                                </div>

                                <div class="auth-footer-btn d-flex justify-content-center">
                                    <a href="{{route('index')}}">
                                        <span>Go to home</span>
                                    </a>
                                </div>
                                
                            </div>
                        </div>
                        <!-- /Login v1 -->
                    </div>
                </div>
@endsection