@extends('layouts.app-Auth')
@section('content')
<div class="auth-wrapper auth-v1 px-2">
    <div class="auth-inner py-2">
        <!-- Login v1 -->
        <div class="card mb-0">
            <div class="card-body">
                <a href="{{route('index')}}" class="brand-logo">
                <img id="auth_logo" src="{{static_asset('')}}front/assets/images/logo.png" alt="logo"  />
                </a>

                <h4 class="card-title mb-1">Forgot Password? 🔒</h4>
                <p class="card-text mb-2">Enter your email and we'll send you instructions to reset your password</p>

                @if(Session::has('message'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    {{Session::get('message') }}
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
                @endif
                
                @if (session('status'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    {{ session('status') }}
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
                @endif
                <form class="auth-login-form mt-2" method="POST" action="{{ route('password.update') }}" >
                    @csrf        
                    <div class="form-group">
                        <label for="login-email" class="form-label">Email</label>
                        <input type="text" tabindex="1" class="form-control @error('email') is-invalid @enderror" id="login-email" name="email" value="{{ $email ?? old('email') }}" required autocomplete="email" placeholder="john@example.com" aria-describedby="login-email" autofocus/>
                        @error('email')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>                    
                    <button class="btn btn-primary btn-block" tabindex="2">Send</button>
                </form>

                <p class="text-center mt-2">
                    <span>Already have an account?</span>
                    <a href="{{route('login')}}">
                        <span>Login</span>
                    </a>
                </p>

                <div class="divider my-2">
                    <div class="divider-text">or</div>
                </div>

                <div class="auth-footer-btn d-flex justify-content-center">
                    <a href="{{route('index')}}">
                        <span>Go to home</span>
                    </a>
                </div>
                
            </div>
        </div>
        <!-- /Login v1 -->
    </div>
</div>
@endsection