@extends('layouts.app-Auth')

@section('content')
    <!--begin::Login-->
    <!--begin::Header-->
    <div class="login-header py-10 flex-column-auto">
        <div
            class="container d-flex flex-column flex-md-row align-items-center justify-content-center justify-content-md-between">
            <!--begin::Logo-->
            <a href="{{get_setting('website_home_page')}}" class="flex-column-auto py-5 py-md-0">
                <img id="auth_logo" src="{{!empty(uploaded_asset(get_setting('auth_logo')))?uploaded_asset(get_setting('auth_logo')): my_asset('/assets/images/notfound.png')}}" alt="logo"
                     class="h-50px"/>
            </a>
            <!--end::Logo-->
            <span class="text-muted font-weight-bold font-size-h4">Back to Login ?
				<a href="{{route('login')}}" id="kt_login_signup" class="text-primary font-weight-bolder">Login</a>
            </span>
        </div>
    </div>
    <!--end::Header-->
    <!--begin::Body-->
    <div class="login-body d-flex flex-column-fluid align-items-stretch justify-content-center">
        <div class="container row">
            <div class="col-lg-6 d-flex align-items-center">
                <!--begin::Signin-->
                <div class="login-form login-signin">
                    <!--begin::Form-->
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                    <h3 class="font-weight-bolder text-dark font-size-h4 font-size-h1-lg">
                        <h1>{{ __('Reset Password') }}</h1></h3>
                    <form method="POST" action="{{ route('password.email') }}" class="form rounded-lg p-10">
                        @csrf
                        <div class="mb-3">
                            <label class="form-label fs-6">Email address</label>
                            <input id="email" type="email"
                                   class="form-control form-control-solid h-auto p-6 rounded-lg @error('email') is-invalid @enderror"
                                   name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                            @error('email')
                            <span class="invalid-feedback" role="alert">
                              <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-primary text-uppercase py-2 fs-5 w-100 mt-2">{{ __('Send Password Reset Link') }}</button>
                    </form>
                    <!--end::Form-->
                </div>
                <!--end::Signin-->
                <!--end::Forgot-->
            </div>
            <div
                class="col-lg-6 bgi-size-contain bgi-no-repeat bgi-position-y-center bgi-position-x-center min-h-150px mt-10 m-md-0"
                style="background-image: url(https://preview.keenthemes.com/keen/theme/demo6/dist/assets/media/svg/illustrations/accomplishment.svg)"></div>
        </div>
    </div>
    <!--end::Body-->

    <!--end::Login-->
    {{--<div class="container-xxl mt-3">
        <!-- header rightbar icon -->
        <div class="row align-items-center">
            <div class="col">
                <a href="javascript:void(0)" class="d-flex align-item-center">
                    <i class="fa fa-gg-circle fs-3"></i>
                    <h5 class="mb-0 mt-1 mx-2">Omni</h5>
                </a>
            </div>
        </div>
    </div>
    <!-- Body: Body -->
    <div class="body d-flex p-0 p-xl-5">
        <div class="container-xxl">
            <div class="row g-3">
                <div class="col-lg-12 d-flex justify-content-center align-items-center">
                    <div class="d-flex flex-column">
                        <h1>{{ __('Reset Password') }}</h1>
                        <div class="tab-content mt-4 mb-3">
                            <div class="tab-pane fade show active" id="Email">
                                <div class="card">
                                    <div class="card-body p-4">
                                        @if (session('status'))
                                            <div class="alert alert-success" role="alert">
                                                {{ session('status') }}
                                            </div>
                                        @endif
                                        <form method="POST" action="{{ route('password.email') }}">
                                            @csrf
                                            <div class="mb-3">
                                                <label class="form-label fs-6">Email address</label>
                                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                                @error('email')
                                                <span class="invalid-feedback" role="alert">
                                                  <strong>{{ $message }}</strong>
                                                </span>
                                                @enderror
                                            </div>
                                            <button type="submit" class="btn btn-primary text-uppercase py-2 fs-5 w-100 mt-2">{{ __('Send Password Reset Link') }}</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- End Row -->
        </div>
    </div>--}}
@endsection
