<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Salesup Bot Subscription Expiration Notice</title>
    <style>
        /* CSS styles */
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            padding: 20px;
        }
        
        .container {
            max-width: 500px;
            margin: 0 auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        
        .message {
            margin-bottom: 20px;
        }
        
        .button {
            display: inline-block;
            padding: 10px 20px;
            background: #801f82;
            border-color: #801f82;
            color: #fff;
            text-decoration: none;
            border-radius: 5px;
        }
        
        .support {
            text-align: center;
            margin-top: 20px;
            font-size: 14px;
        }
        
        .support-email {
            color: #801f82;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h3><a href="http://salesupbot.co.za" target="_blank" class="support-email">Salesup Bot</a></p> Subscription Expiration Notice</h3>
        </div>
        <div class="message">
            <p>
                Dear Subscriber,
            </p>
            <h3>Expire Date: {{$date}}</h3>
            <p>
                Your subscription will expire soon. We will not be responsible for any repricing offers after the expiration of your subscription. Please take action and renew your package to continue enjoying our services.
            </p>
            <p>
                If you are facing any issues during the renewal process, please don't hesitate to contact our support team. You can reach us at <a href="mailto:support@salesupbot.co.za" class="support-email">support@salesupbot.co.za</a>.
            </p>
        </div>
        <div class="button-container">
            <a href="https://salesupbot.co.za/seller/subscription-and-billing" style="color: #fff;" target="_blank" class="button">Renew Package</a>
        </div>
        <div class="support">
            <p>If you have any questions or need further assistance, please contact our support team.</p>
            <p><a href="mailto:support@salesupbot.co.za" class="support-email">support@salesupbot.co.za</a></p>
        </div>
    </div>
</body>
</html>
