
@extends('front.layouts.app')
@section('content')
 <!--====== APPIE PAGE TITLE PART START ======-->
    
 <div class="appie-page-title-area breadcrumbs-bg-height" >
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-page-title-item text-dark">
                    <nav aria-label="breadcrumb" >
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item "><a class="text-dark" href="{{route('index')}}">Home</a></li>
                            <li class="breadcrumb-item text-dark" aria-current="page">About Us</li>
                        </ol>
                    </nav>
                    <div class="thumb">
                        <img src="{{static_asset('')}}front/assets/images/signup-thumb.png" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--====== APPIE PAGE TITLE PART ENDS ======-->

<!--====== APPIE SERVICES PART START ======-->

<section class="appie-service-area appie-service-3-area pt-90 pb-100" id="service">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-12">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">About Sales Up</h3>
                    <p>Increased efficiency: By automating the price update process, you can save time and effort that would have been spent on manual updates.</p>
                </div>
                <div class="service-details-content">                       
                    <div class="content">
                        <p class="mb-4">SalesUp Software Development is a Johannesburg-based company that specializes in providing top-notch software and website development services. With a track record of excellence in the industry, SalesUp has become a trusted partner to leading clients from all over the world.</p>
                        <p class="mb-4">At SalesUp, we pride ourselves on delivering cutting-edge solutions that meet the unique needs of our clients. Our team of skilled developers and designers work closely with each client to ensure that their project is completed to their exact specifications. We understand that every business is unique, and we tailor our approach to ensure that our clients' needs are met.</p>
                        <p class="mb-4">Our software development services cover a wide range of areas, from custom software solutions to mobile app development. We leverage the latest technologies and frameworks to deliver high-quality products that are scalable, reliable, and user-friendly. Our website development services are equally impressive, with a focus on creating visually stunning, responsive, and user-friendly websites that engage and convert visitors.</p>
                        <p>At SalesUp, we are committed to excellence in everything we do. Our goal is to help our clients achieve their business objectives through innovative and effective software and website development solutions. If you're looking for a reliable and experienced partner for your next project, look no further than SalesUp Software Development.</p>
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 wow animated fadeInUp" data-wow-duration="100ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/1.png" alt="">
                    </div>
                    <h4 class="appie-title">Automation</h4>
                    <p>With automated price updates, you can easily adjust your prices to stay competitive in the marketucker</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-2 wow animated fadeInUp" data-wow-duration="100ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/2.png" alt="">
                    </div>
                    <h4 class="appie-title">Consistency</h4>
                    <p>An automated system ensures that all prices are updated uniformly and consistently, without any errors or oversights.</p>
                  
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-3 wow animated fadeInUp" data-wow-duration="100ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/3.png" alt="">
                    </div>
                    <h4 class="appie-title">Pricing strategy</h4>
                    <p>Overall Salesup system can help streamline your pricing and effort, and ultimately improve your profitability.</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="appie-single-service appie-single-services-3 text-center mt-30 item-4 wow animated fadeInUp" data-wow-duration="100ms" data-wow-delay="50ms">
                    <div class="icon">
                        <img src="{{static_asset('')}}front/assets/images/icon/4.png" alt="">
                    </div>
                    <h4 class="appie-title">Easy inventory</h4>
                    <p>Improved inventory management: An automated price update system can help you manage your inventory more efficiently automatically</p>
                    
                </div>
            </div>
        </div>
    </div>
</section>

<!--====== APPIE SERVICES PART ENDS ======-->
<!--====== APPIE HOW IT WORK PART ENDS ======-->

<div class="appie-how-it-work-area pt-100 pb-90">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="how-it-work-thumb text-center">
                    <img src="{{static_asset('')}}front/assets/images/how-it-work-thumb.png" alt="">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="appie-how-it-work-content">
                    <h2 class="title">How It works</h2>
                    <p>Setting up your account is quick and easy. You can finish it before your coffee is done!</p>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="how-it-work-box">
                                <span>1</span>
                                <h5 class="title">Be a Takealot<br> seller.</h5>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="how-it-work-box">
                                <span>2</span>
                                <h5 class="title">Sign up for <br> salesupbot.co.za</h5>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="how-it-work-box">
                                <span>3</span>
                                <h5 class="title">Sync your products.<br> All devices</h5>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="how-it-work-box">
                                <span>4</span>
                                <h5 class="title">Set min/max<br> BuyBox prices.</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--====== APPIE HOW IT WORK PART ENDS ======-->
<!--====== APPIE FUN FACT PART START ======-->

<section class="appie-fun-fact-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="appie-fun-fact-box wow animated fadeInUp" data-wow-duration="100ms" data-wow-delay="50ms">
                    <div class="row r">
                        <div class="col-lg-6">
                            <div class="appie-fun-fact-content">
                                <h3 class="title">Powerful POS And Accounting Software</h3>
                                <p>Sumhive is a powerful and flexible stock management and point of sale application that is ideal for small and medium-sized businesses. With its advanced features and ease of use,</p>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <div class="appie-fun-fact-item">
                                            <h4 class="title">1023</h4>
                                            <span>Current users</span>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="appie-fun-fact-item">
                                            <h4 class="title">2639</h4>
                                            <span>Users</span>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="appie-fun-fact-item">
                                            <h4 class="title">Free</h4>
                                            <span>Trails</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="appie-fun-fact-play">
                                <a class="appie-video-popup" href="javascript:void(0)"><i class="fas fa-play"></i></a>
                                <img src="{{static_asset('')}}front/assets/images/fun-fact-thumb.png" alt="">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!--====== APPIE FUN FACT PART ENDS ======-->
<!--====== APPIE TESTIMONIAL PART ENDS ======-->

<div class="appie-testimonial-about-area pb-45">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-5">
                <div class="appie-section-title text-center">
                    <h3 class="appie-title">What clients say about us</h3>
                    <p>The app provides design and digital marketing.</p>
                </div>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-lg-10">
                <div class="testimonial-about-slider-active">
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                    <div class="testimonial-box">
                        <div class="icon">
                            <i class="fas fa-quote-left"></i>
                        </div>
                        <div class="ratings-icon">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                            </ul>
                        </div>
                        <p>Twit some dodgy chav he legged it crikey blatant starkers pukka show off show off pick your nose and blow off morish bum bag boot quaint, Oxford off his nut I bugger up the kyver brilliant bits and bobs haggle buggered.</p>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-8 col-sm-10">
                <div class="testimonial-box-about-slider-small-active">
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                    <div class="item">
                        <div class="thumb">
                            <img src="{{static_asset('')}}front/assets/images/testimonial-user-1.png" alt="">
                        </div>
                        <div class="content text-center">
                            <h5 class="title">Bodrum Salvador</h5>
                            <span>Product Designer</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--====== APPIE TESTIMONIAL PART ENDS ======-->

@endsection