<div class="app-content content ">
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <div class="aiz-main-content">
        <div class="px-15px px-lg-25px">
            <div class="row">
                <div class="content-header-left col-md-10 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Blog Edit</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}"> Home</a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Marketing</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.blogs')}}">Blogs</a></li>
                                    <li class="breadcrumb-item active"><a href="javascript:void(0)">Blog Edit</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8 mx-auto">
                    <div class="card">
                        <div class="card-header">
                            <h5 class="mb-0 h6">Blog Information</h5>
                        </div>
                        <div class="card-body">
                            <form id="add_form" wire:submit.prevent="update(Object.fromEntries(new FormData($event.target)))"  class="form-horizontal" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="title">Blog Title <span class="text-danger">*</span></label>
                                    <div class="col-md-9">
                                        <input type="text"  id="title" name="title" value="{{$blog->title}}" placeholder="Blog Title" class="form-control @error('title') invalid-feedback-div @enderror" >
                                        @error('title')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-3 col-from-label" for="category_id">Category<span class="text-danger">*</span> </label>
                                    <div  class="col-md-9">
                                        {{-- <select  name="category_id" id="category_id"   class="form-control aiz-selectpicker @error('category_id') invalid-feedback-div @enderror" data-live-search="true"> --}}
                                        <select  name="category_id" id="category_id"   class="form-control  @error('category_id') invalid-feedback-div @enderror" >
                                            <option value="">--Select Category--</option>
                                            @foreach($categories as $category)
                                                <option value="{{$category->id}}" {{$category->id == $blog->category_id ? 'selected' :''}} >{{$category->category_name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    @error('category_id')
                                    <div style="margin-left: 26%;" class="invalid-feedback">{{$message}}</div>
                                    @enderror
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label">Banner<small>(1300x650)</small></label>
                                    <div class="col-md-9">
                                        <div class="input-group" data-toggle="aizuploader" data-type="image">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text bg-soft-secondary font-weight-medium">
                                                    Browse
                                                </div>
                                            </div>
                                            <div class="form-control file-amount">Choose File</div>
                                            <input type="hidden" name="banner" value="{{$blog->banner}}" class="selected-files">
                                        </div>
                                        <div class="file-preview box sm">
                                        </div>
                                        @error('banner')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="short_description">Short Description <span class="text-danger">*</span></label>
                                    <div class="col-md-9">
                                        <textarea name="short_description" id="short_description" rows="5" class="form-control">{{$blog->short_description}}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row" wire:ignore>
                                    <label class="col-md-3 col-from-label">
                                        Description
                                    </label>
                                    <div class="col-md-9">
                                        <textarea name="description" id="description" rows="4" class="aiz-text-editor form-control" >{{$blog->description}}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="meta_title">Meta Title</label>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control" name="meta_title" value="{{$blog->meta_title}}" placeholder="Meta Title">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="meta_img">Meta Image<small>(200x200)+</small></label>
                                    <div class="col-md-9">
                                        <div class="input-group" data-toggle="aizuploader" data-type="image">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text bg-soft-secondary font-weight-medium">
                                                    Browse
                                                </div>
                                            </div>
                                            <div class="form-control file-amount">Choose File</div>
                                            <input type="hidden" name="meta_img" value="{{$blog->meta_img}}"  class="selected-files">
                                        </div>
                                        <div class="file-preview box sm">
                                        </div>
                                        @error('meta_img')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label">Meta Description</label>
                                    <div class="col-md-9">
                                        <textarea name="meta_description" id="meta_description"  rows="5" class="form-control">{{$blog->meta_description}}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label">Meta Keywords</label>
                                    @php
                                        $keyword_tag = json_encode($blog->meta_keywords);
                                        $keyword_tag = str_replace('"','',$keyword_tag);
                                    @endphp
                                    <div class="col-md-9">
                                        <input type="text"  id="meta_keywords" name="meta_keywords" value="{{$keyword_tag}}" class="form-control aiz-tag-input" placeholder="Meta Keywords">
                                    </div>
                                </div>
                                <div class="form-group mb-0 text-right">
                                    <button class="btn btn-outline-secondary btn-prev waves-effect" disabled="">
                                        <a href="{{route('admin.blogs')}}">
                                            <span class="align-middle d-sm-inline-block d-none">Cancel</span></a>
                                    </button>
                                    <button class="btn btn-primary"><span wire:loading wire:target="update" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@push('custom-scripts')
    <script type="text/javascript">
        window.addEventListener('reload-aizJs', event => {
            $(document).ready(function () {
                AIZ.uploader.previewGenerate();
                AIZ.plugins.textEditor();
            });
        });
    </script>
@endpush
