<div class="app-content content ">
    <div wire:loading>
        <div class="main_div">
            <div class="la-ball-clip-rotate la-2x">
                <div></div>
            </div>
        </div>
    </div>
    <head>
        <link href="{{ static_asset('assets/tagsinput/taginput.css') }}" rel="stylesheet" type="text/css" />
    </head>
    <div class="aiz-main-content">
        <div class="px-15px px-lg-25px">
            <div class="row">
                <div class="content-header-left col-md-10 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Meta Data Create</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}"> Home</a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Marketing</a></li>
                                    <li class="breadcrumb-item active"><a href="javascript:void(0)">Blog</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.meta-data')}}">MetaData</a></li>
                                    <li class="breadcrumb-item active"><a href="{{route('admin.meta-data-create')}}">Meta Data Create</a></li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8 mx-auto">
                    <div class="card">
                        <div class="card-header">
                            <h5 class="mb-0 h6">MetaData Information</h5>
                        </div>
                        <div class="card-body">
                            <form id="add_form" wire:submit.prevent="create_meta(Object.fromEntries(new FormData($event.target)))"  class="form-horizontal" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="page_url">Page Url<span class="text-danger">*</span></label>
                                    <div class="col-md-9">
                                        <input type="text"   id="page_url" name="page_url" placeholder="Page URL" class="form-control @error('page_url') invalid-feedback-div @enderror" >
                                        @error('page_url')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="title">Title  <span class="text-danger">*</span></label>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control  @error('title') invalid-feedback-div @enderror" name="title" placeholder="title">
                                        @error('title')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row" >
                                    <label class="col-md-3 col-form-label" for="keyword">KeyWord  <span class="text-danger">*</span></label>
                                    <div class="col-md-9" wire:ignore>
                                        <input type="text"  class="form-control aiz-tag-input  @error('keyword') invalid-feedback-div @enderror" name="keyword" placeholder="KeyWord">
                                        @error('keyword')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="description">Description <span class="text-danger">*</span></label>
                                    <div class="col-md-9">
                                        <textarea name="description" id="description" rows="5" class="form-control"></textarea>
                                        @error('description')
                                         <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-3 col-form-label" for="meta_img">Thumbnail</label>
                                    <div class="col-md-9">
                                        <div class="input-group" data-toggle="aizuploader" data-type="image">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text bg-soft-secondary font-weight-medium">
                                                    Browse
                                                </div>
                                            </div>
                                            <div class="form-control file-amount">Choose File</div>
                                            <input type="hidden" name="thumbnail" class="selected-files">
                                        </div>
                                        <div class="file-preview box sm">
                                        </div>
                                        @error('Thumbnail')
                                        <div class="invalid-feedback">{{$message}}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group mb-0 text-right">
                                    <button class="btn btn-outline-secondary btn-prev waves-effect" disabled="">
                                        <a href="{{route('admin.meta-data')}}">
                                            <span class="align-middle d-sm-inline-block d-none">Cancel</span></a>
                                    </button>
                                    <button class="btn btn-primary"><span wire:loading wire:target="create" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@push('custom-scripts')
    <script type="text/javascript">
        window.addEventListener('reload-aizJs', event => {
            $(document).ready(function () {
                AIZ.uploader.previewGenerate();
            });
        });
    </script>
@endpush
