<div>
    @if(session()->has('message'))
        <div class="alert alert-success mt-1 mb-4">
            {{session('message')}}
        </div>
    @endif 
    @if(session()->has('error'))
        <div class="alert alert-danger mt-1 mb-4">
            {{session('message')}}
        </div>
    @endif  
    <form id="contactUs" wire:submit.prevent="create(Object.fromEntries(new FormData($event.target)))"  method="post" class="row">
        <div class="col-md-6">
            <input type="text" class="@error('first_name') is-invalid @enderror" value="{{ old('first_name') }}" name="first_name" placeholder="First Name" require>
            @error('first_name')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror  
        </div>
        <div class="col-md-6">
            <input type="text" class="@error('last_name') is-invalid @enderror" value="{{ old('last_name') }}" name="last_name" placeholder="Last Name" require>
            @error('last_name')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror 
        </div>
        <div class="col-md-6">
            <input type="email" class="@error('email') is-invalid @enderror" value="{{ old('email') }}" name="email" placeholder="Email Address" require>
            @error('email')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror 
        </div>
        <div class="col-md-6">
            <input type="number" class="@error('phone') is-invalid @enderror" value="{{ old('phone') }}" name="phone" placeholder="Phone Number" require>
            @error('phone')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror 
        </div>
        <div class="col-md-12">
            <input type="text" class="@error('subject') is-invalid @enderror" value="{{ old('subject') }}" name="subject" placeholder="Subject" require>
            @error('subject')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror 
        </div>
        <div class="col-md-12">
            <textarea name="message" class="@error('message') is-invalid @enderror" placeholder="How can we help?" require>{{ old('message') }}</textarea>
            @error('message')
            <span class="invalid-feedback mb-2" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror 
        </div>
        <div class="col-md-6">
            <div class="condition-check">
                <input id="terms-conditions" lass="@error('message') is-invalid @enderror"  name="terms_and_conditions" type="checkbox" require>
                <label for="terms-conditions">
                    I agree to the <a href="{{route('termConditions')}}">Terms and Conditions</a>      
                </label>
                @error('terms_and_conditions')
                <span class="invalid-feedback  mb-2" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror 
            </div>
        </div>
        <div class="col-md-6 text-right">
            <button type="submit" name="submit" class="main-btn" style="background: #801f82;
            border-color: #801f82;" value="Send Message" wire:loading.attr="disabled">
                <span wire:loading.remove>Submit</span>
                <span wire:loading>
                  <i class="fa fa-spinner fa-spin"></i> Sending...
                </span>
            </button>
        </div>
    </form>
    @push('scripts')  
      <script>
        document.addEventListener('resetForm', event=> {
            $('.back-to-top').trigger('click');
          document.getElementById('contactUs').reset();
          
        })
    </script>
    @endpush
</div>
