<div >   
    <div class="modal-size-lg d-inline-block">
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#large">
            Update Plan
        </button>
        <!-- Modal -->
        <div wire:ignore.self class="modal fade text-left  modal-primary justify-content-center" id="large" tabindex="-1" role="dialog" aria-labelledby="myModalLabel17" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel17">Change {{auth()->user()->PackageBuy->packageDetails->title}} Plan</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                       <div class="row">
                        <div class="col-md-12  col-md-12">
                            <ul class="list-inline justify-content-center  d-flex " >
                                <li><a href="javascript:void(0)" class="btn btn-outline-primary  {{$packageType}} {{($packageType=='monthly') ? 'active' : ''}}" wire:click="$set('packageType','monthly')">Monthly</a></li>
                                <li><a href="javascript:void(0)" class="btn btn-outline-primary ml-1  {{$packageType}} {{($packageType=='annually') ? 'active' : ''}}" wire:click="$set('packageType','annually')">Annually</a></li>
                            </ul>
                        </div>
                        <div class="col-lg-8  col-md-12">
                            <div class="g-2 row row-cols-lg-2 row-cols-md-2 row-cols-1">
                                @if(!empty($package))
                                @foreach($package as $item)
                                <div class="col">
                                    <div class="mb-1 card bg-light border-primary">
                                        <div class="card-body"><div class="card-title h5">{{$item->title}}</div>                                       
                                                
                                                
                                                    @if($item->price<=0)
                                                    <h3><span>Free</span></h3>
                                                     @else
                                                     <span class="d-flex">                                                       
                                                        <h3>R<span>{{round($item->price)}}</span></h3>
                                                        @if($item->duration==1)
                                                        <p class="ml-1">Monthly</p>
                                                        @else
                                                        <p class="ml-1">Month x {{$item->duration}}</p>
                                                        @endif
                                                     </span>
                                                     @endif
                                                
                                                
                                                <ul style="list-style: none; padding-inline-start: 0px;">
                                                    <li>
                                                        <small>
                                                            @if(!empty($item->caption))
                                                                <p class="card-text">{{$item->caption}}</p>
                                                            @endif
                                                        </small>
                                                    </li>
                                                    <hr style="margin-top: 0.1rem; margin-bottom: 0.2rem;">
                                                    @foreach($packageDetails->where('order_type','=',$item->order_type)->take(2) as $detail)
                                                    <li>{{$detail->title}}</li>                                   
                                                    @endforeach
                                                </ul>
                                            </p>
                                            @if(!empty(auth()->user()->PackageBuy->subscription_packages_id) && auth()->user()->PackageBuy->subscription_packages_id==$item->id)
                                                  <button type="button" class="btn btn-warning" >Active</button>
                                            @else
                                                   <button type="button" class="btn btn-{{(!empty($selectedID) && decrypt($selectedID)==$item->id) ? 'success' : 'primary'}}" wire:click="$set('selectedID','{{encrypt($item->id)}}')">{{(!empty($selectedID) && decrypt($selectedID)==$item->id) ? 'Selected' : 'Choose Plan'}}</button>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                @endforeach
                                @endif
                            </div>
                        </div>
                        <div class="col-lg-4 ">
                            <div class="row">
                                <div class="col-lg-12 justify-content-start">
                                    <div class="mb-2 card">
                                        <div class="card-body">
                                            <div class="card-title h5">Summary</div>
                                            <p class="mb-0"><small>Your current plan:<strong> Free</strong></small></p>
                                            <p class="mb-0"><small>Currently paying: <strong><span>R0.00</span>/mo</strong></small></p>
                                        </div>
                                    </div>
                                </div>
                                @if(!empty($selectedPackage))
                                <div class="col-lg-12 justify-content-end">                                    
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="card-title h5">Updated Plan</div>
                                            <p class="mb-0"><small>Title: <span>{{$selectedPackage->title}}</span></small></p>
                                            <p class="mb-0"><small>Price: <span>R{{$selectedPackage->price}}</span></small></p>
                                            @if($selectedPackage->type=='annually')
                                            <p class="mb-0"><small class="text-muted"> <span>R{{$selectedPackage->price*$selectedPackage->duration}}</span> will be billed every year.</small></p>
                                            @else 
                                            <p class="mb-0"><small class="text-muted"> <span>R{{$selectedPackage->price}}</span> will be billed every month.</small></p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                @endif
                            </div>
                        </div>
                       </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-outline-secondary waves-effect" data-dismiss="modal">Close</button>
                        {{-- <a href="javascript:void(0)" @if(!empty($selectedID)) wire:click="payNowPlan" @endif  class="btn btn-success" @if(empty($selectedID)) {{'disabled'}} @endif >Update Plan</a> --}}
                        <a href="javascript:void(0)"  wire:click="payNowPlan"  class="btn btn-{{(!empty($selectedID)) ? 'success' : 'dark'}}" ><span wire:loading wire:target="payNowPlan" class="spinner-border spinner-border-sm" ></span> Update Plan</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('custom-scripts')
    <script>
        document.addEventListener('livewire:load', function () {
            $('#myModal').modal('handleUpdate')
        })
    </script>
    @endpush
</div>
