<div wire:ignore.self class="modal modal-slide-in fade" data-backdrop="static" id="updatePricesRow" aria-hidden="true">
    <div class="modal-dialog sidebar-lg">
        <div class="modal-content p-0">
            <button type="button" class="close" wire:click="closeModel" data-dismiss="modal" aria-label="Close">×</button>
            <div class="modal-header mb-1">
                <h5 class="modal-title">
                    <span class="align-middle">Update Prices</span>
                </h5>
            </div>
            @if(!empty($pricesDetails))
            <div class="modal-body flex-grow-1">
                <h5 class="modal-title">
                    <span class="align-middle">{{$pricesDetails->title}}</span>
                </h5>
                <hr/>                 
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Current Selling Price</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="sellingPriceUpdate(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        @if($pricesDetails->id!=$editSelling)
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editSelling',{{$pricesDetails->id}})"><i class="fa fa-edit"></i></a>
                                        @else
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="sellingPriceUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="sellingPriceUpdate" class="fa fa-check"></i>
                                            </button>
                                        @endif                                             
                                    </div>
                                    <input type="number" id="min{{$pricesDetails->id}}" wire:click="$set('editSelling',{{$pricesDetails->id}})" name="selling_price" @if($pricesDetails->id!=$editSelling) readonly @else focus @endif class="form-control @error('selling_price') is-invalid @enderror" value="{{!empty($pricesDetails->selling_price) ? $pricesDetails->selling_price : null}}" placeholder="R0">
                                    @error('selling_price')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                     @enderror 
                                     <input type="text" name="updateFor" value="{{encrypt($pricesDetails->id)}}" hidden>
                                </div>
                            </form>  
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Product Cost</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="offerCostUpdate(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        @if($pricesDetails->id!=$editofferCost)
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editofferCost',{{$pricesDetails->id}})"><i class="fa fa-edit"></i></a>
                                        @else
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="offerCostUpdate" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="offerCostUpdate" class="fa fa-check"></i>
                                            </button>
                                        @endif                                             
                                    </div>
                                    <input type="number" id="min{{$pricesDetails->id}}" wire:click="$set('editofferCost',{{$pricesDetails->id}})" name="offer_cost" @if($pricesDetails->id!=$editofferCost) readonly @else focus @endif class="form-control @error('offer_cost') is-invalid @enderror" value="{{!empty($pricesDetails->offer_cost) ? $pricesDetails->offer_cost : null}}" placeholder="R0">
                                
                                    @error('offer_cost')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror 
                                    <input type="text" name="updateFor" value="{{encrypt($pricesDetails->id)}}" hidden>
                                </div>
                            </form>  
                            
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Takealot commission</label>
                        <div class="col-sm-7">
                             <form class="inputPrice text-center" wire:submit.prevent="takealotCommission(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        @if($pricesDetails->id!=$editTakealotCommission)
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editTakealotCommission',{{$pricesDetails->id}})"><i class="fa fa-edit"></i></a>
                                        @else
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="takealotCommission" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="takealotCommission" class="fa fa-check"></i>
                                            </button>
                                        @endif                                             
                                    </div>
                                    <input type="number" id="min{{$pricesDetails->id}}" wire:click="$set('editTakealotCommission',{{$pricesDetails->id}})" name="takealot_commission" @if($pricesDetails->id!=$editTakealotCommission) readonly @else focus @endif class="form-control @error('takealot_commission') is-invalid @enderror" value="{{!empty($pricesDetails->takealot_commission) ? $pricesDetails->takealot_commission : null}}" placeholder="R0">
                                    @error('takealot_commission')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror 
                                    <input type="text" name="updateFor" value="{{encrypt($pricesDetails->id)}}" hidden>
                                </div>
                            </form>  
                           
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Other Costs</label>
                        <div class="col-sm-7">
                              <form class="inputPrice text-center" wire:submit.prevent="otherCost(Object.fromEntries(new FormData($event.target)))">
                                <div class="input-group input-group-sm justify-content-center">                   
                                    <div class="input-group-prepend">                       
                                        @if($pricesDetails->id!=$editOtherCost)
                                            <a href="javascript:void(0)" class="input-group-text" wire:click="$set('editOtherCost',{{$pricesDetails->id}})"><i class="fa fa-edit"></i></a>
                                        @else
                                            <button type="submit" class="input-group-text" >
                                                <span wire:loading wire:target="otherCost" style="vertical-align: top;!important;margin-right: 5px;!important;" class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span><i wire:loading.remove wire:target="otherCost" class="fa fa-check"></i>
                                            </button>
                                        @endif                                             
                                    </div>
                                    <input type="number" id="min{{$pricesDetails->id}}" wire:click="$set('editOtherCost',{{$pricesDetails->id}})" name="other_costs" @if($pricesDetails->id!=$editOtherCost) readonly @else focus @endif class="form-control @error('other_costs') is-invalid @enderror" value="{{!empty($pricesDetails->other_costs) ? $pricesDetails->other_costs : null}}" placeholder="R0">
                                    @error('other_costs')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror 
                                    <input type="text" name="updateFor" value="{{encrypt($pricesDetails->id)}}" hidden>
                                </div>
                            </form>  
                           
                        </div>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="row">
                        <label class="form-label col-form-label col-form-label-md col-sm-5">Total Cost</label>
                        <div class="col-sm-7">
                            <h5>R{{!empty($pricesDetails->total_cost) ? $pricesDetails->total_cost : 0}}</h5>
                        </div>
                    </div>
                    
                    <hr class="mt-2 mb-2">
                    <div class="form-group d-flex flex-wrap mb-0">                     
                        <button type="button" class="btn btn-outline-secondary" wire:click="closeModel" data-dismiss="modal">Cancel</button>
                    </div>
            </div>
            @endif
        </div>
    </div>
</div>