<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Send Stock PDF</title>
</head>

<body>
    <style>
        #customers {
            font-family: Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        #customers td,
        #customers th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        #customers tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        #customers tr:hover {
            background-color: #ddd;
        }

        #customers th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #283046;
            color: white;
        }
    </style>

    <table class="table" id="customers">
        <thead>
            <tr>
                <th>#</th>
                <th>Image</th>
                <th>Title</th>
                <th>Send JHB</th>
                <th>Send CPT</th>
                <th>Send Total</th>
            </tr>
        </thead>

        <tbody>
             @php 
               $count=0;
             @endphp
            @foreach ($offers as $key => $item)
                @php
                    $remainingTotalDaysCover = 0;
                    $deadCost = 0;
                    $getPricesku = explode('-', $item->sku);
                    $profitCheck = !empty($getPricesku) && !empty($getPricesku[0]) && is_numeric(trim($getPricesku[0])) ? $item->selling_price - (int) trim($getPricesku[0]) : 0;

                    if (!empty($item->takealotOrders) && isset($item->takealotOrders)) {
                        $sevenDays = \Carbon\Carbon::now()->subDays(7)->toDateString();
                        $seven = $item->takealotOrders->where('order_date', '>=', $sevenDays)->sum('quantity');
                        $fifteenDays = \Carbon\Carbon::now()->subDays(15)->toDateString();
                        $fifteen = $item->takealotOrders->where('order_date', '>=', $fifteenDays)->sum('quantity');
                        $thirtyDays = \Carbon\Carbon::now()->subDays(30)->toDateString();
                        $thirty = $item->takealotOrders->where('order_date', '>=', $thirtyDays)->sum('quantity');
                        $thirtyDayRemainingPieces = $thirty / 30;
                        $totalReturned = $item->takealotOrders->where('sale_status', '=', 'Returned')->sum('quantity');

                        $thirtydaysCost = is_numeric($thirty) && is_numeric($getPricesku[0]) ? $thirty * $getPricesku[0] : $thirty;
                        $thirtydaysCostReturned = $thirty - $totalReturned;
                        $deadCost = !empty($thirtydaysCost) && !empty($thirtydaysCostReturned) ? $thirtydaysCost / $thirtydaysCostReturned : 0;

                        //Stock Day cover takealot start
                        $salesUnitCpt = $item->takealotOrders->where('dc', '=', 'CPT')->sum('quantity');
                        $salesUnitJhb = $item->takealotOrders->where('dc', '=', 'JHB')->sum('quantity');
                    }
                    $sevenDays = \Carbon\Carbon::today()->subDays(7);
                    $totalSales = $item->takealotOrders->where('order_date', '>=', $sevenDays)->sum('quantity');
                    // //Stock Day cover takealot end

                    $stockAtTakealot = json_decode($item->stock_at_takealot);
                    $stockAtTakealotCptName = !empty($stockAtTakealot[0]->warehouse->name) ? $stockAtTakealot[0]->warehouse->name : null;
                    $stockAtTakealotCptQty = !empty($stockAtTakealot[0]->quantity_available) ? $stockAtTakealot[0]->quantity_available : 0;
                    $stockAtTakealotJhbName = !empty($stockAtTakealot[1]->warehouse->name) ? $stockAtTakealot[1]->warehouse->name : null;
                    $stockAtTakealotJhbQty = !empty($stockAtTakealot[1]->quantity_available) ? $stockAtTakealot[1]->quantity_available : 0;
                    $totalStockOnDc = $stockAtTakealotCptQty + $stockAtTakealotJhbQty;

                    $stockOnWay = json_decode($item->stock_on_way);
                    $stockOnWayCptName = !empty($stockOnWay[0]->warehouse->name) ? $stockOnWay[0]->warehouse->name : null;
                    $stockOnWayCptQty = !empty($stockOnWay[0]->quantity_available) ? $stockOnWay[0]->quantity_available : 0;

                    $stockOnWayJhbName = !empty($stockOnWay[1]->warehouse->name) ? $stockOnWay[1]->warehouse->name : null;
                    $stockOnWayJhbQty = !empty($stockOnWay[1]->quantity_available) ? $stockOnWay[1]->quantity_available : 0;
                    $stockOnWayTotal = $stockOnWayCptQty + $stockOnWayJhbQty;

                    $percentageJhb = !empty($salesUnitCpt && $salesUnitCpt > 0) && (!empty($salesUnitJhb) && $salesUnitJhb > 0) ? ($salesUnitJhb / ($salesUnitJhb + $salesUnitCpt)) * 100 : (!empty($salesUnitJhb) && $salesUnitJhb > 0 ? 100 : 0);
                    $percentageCpt = !empty($salesUnitCpt) && $salesUnitCpt > 0 && (!empty($salesUnitJhb) && $salesUnitJhb > 0) ? ($salesUnitCpt / ($salesUnitCpt + $salesUnitJhb)) * 100 : (!empty($salesUnitCpt) && $salesUnitCpt > 0 ? 100 : 0);

                    $percentageJhb = round($percentageJhb); //53%
                    $percentageCpt = round($percentageCpt); //47%
                    $totalSendUnit = $totalSales * 2; //492

                    $sendJhb = $totalSendUnit * ($percentageJhb / 100) - ($stockOnWayJhbQty + $stockAtTakealotJhbQty);
                    $sendCpt = $totalSendUnit * ($percentageCpt / 100) - ($stockOnWayCptQty + $stockAtTakealotCptQty);
                    $sendNewTotal = $sendJhb + $sendCpt;

                @endphp
                @if ($sendNewTotal > 0)
                    <tr class="">
                        <td>{{ $count=$count+1 }}</td>
                        <td>
                            <img src="{{$item->image_url}}" width="72px" height="68px">
                        </td>
                        {{-- <td><img src="data:image/svg+xml;base64,'{{base64_encode(file_get_contents($item->image_url))}}'" width="72px" height="68px"></td> --}}
                        {{-- <td>
                        </td> --}}
                        <td>
                            <p>{{ $item->title }}</p>
                            <p class="color:#7367f0;">TSIN:{{ $item->tsin_id }}</p>
                            <p class="color:#7367f0;">SKU:{{ $item->sku }}</p>
                        </td>
                        <td>{{ round($sendCpt) }}</td>
                        <td>{{ round($sendJhb) }}</td>
                        <td>{{ round($sendNewTotal) }}</td>
                    </tr>
                @endif
            @endforeach
        </tbody>
    </table>

</body>

</html>
