<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin', 'middleware' => ['auth','admin', 'unbanned']], function () {

    Route::get('/dashboard', App\Http\Livewire\Admin\Dashboard\Index::class)->name('admin.dashboard');
    Route::get('/profile', App\Http\Livewire\Admin\Profile\Index::class)->name('admin.profile');
    Route::get('/packages', App\Http\Livewire\Admin\Package\Packages::class)->name('admin.packages');
    Route::get('/package-details', App\Http\Livewire\Admin\Package\PackageDetails::class)->name('admin.packagesDetails');
    Route::get('/offers', App\Http\Livewire\Admin\Seller\Offers::class)->name('admin.offers');
    Route::get('/sales', App\Http\Livewire\Admin\Seller\Sales::class)->name('admin.sales');
    Route::get('/top-selling', App\Http\Livewire\Admin\Seller\TopSelling::class)->name('admin.topSelling');
    Route::get('/re-pricing', App\Http\Livewire\Admin\RePricing\Index::class)->name('admin.repricing');
    Route::get('/sellers', App\Http\Livewire\Admin\Seller\Sellers::class)->name('admin.sellers');
    Route::get('/configurations', App\Http\Livewire\Admin\Settings\Config::class)->name('admin.config');
    Route::get('/subscription/list', App\Http\Livewire\Admin\Subscriptions\AllSubs::class)->name('admin.subs-list');
    Route::get('/errors/list', App\Http\Livewire\Admin\Api\ApiErrorList::class)->name('admin.api-error-list');


    //blogs
     //Blogs route
     Route::get('/blogs', App\Http\Livewire\Admin\Blogs\Blogs::class)->name('admin.blogs');
     Route::get('/blogs/create', App\Http\Livewire\Admin\Blogs\BlogCreate::class)->name('admin.blogs.create');
     Route::get('/blogs/edit/{id}', App\Http\Livewire\Admin\Blogs\BlogEdit::class)->name('admin.blogs.edit');
 
     //Blog Category route
     Route::get('/blog/categories', App\Http\Livewire\Admin\Blogs\BlogCategory\Blogcategory::class)->name('admin.blogs.categories');
     Route::get('/blog/categories/create', App\Http\Livewire\Admin\Blogs\BlogCategory\BlogcategoryCreate::class)->name('admin.blogs.categories.create');
     Route::get('/blog/categories/edit/{id}', App\Http\Livewire\Admin\Blogs\BlogCategory\BlogcategoryEdit::class)->name('admin.blogs.categories.edit');
    
     //meta data
     Route::get('/meta-data', App\Http\Livewire\Admin\Blogs\Metadata\Index::class)->name('admin.meta-data');
     Route::get('/meta-data/create', App\Http\Livewire\Admin\Blogs\Metadata\Add::class)->name('admin.meta-data-create');
     Route::get('/meta-data/edit/{id}', App\Http\Livewire\Admin\Blogs\Metadata\Edit::class)->name('admin.meta-data-edit'); 

    

});

