<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix' => 'seller', 'middleware' => ['auth', 'verified', 'seller', 'unbanned']], function () {

    // Route::get('/dashboard', [App\Http\Controllers\Seller\HomeController::class, 'index'])->name('seller.dashboard');
    Route::get('/dashboard', App\Http\Livewire\Seller\Dashboard\Dashboard::class)->name('seller.dashboard');
    Route::get('/account-configurations', App\Http\Livewire\Seller\Configurations\Settings\NewAccountConfig::class)->name('seller.account-config');

    Route::get('/profile', [App\Http\Controllers\Seller\HomeController::class, 'profile'])->name('seller.profile'); 
    Route::get('/orders', [App\Http\Controllers\Seller\OrdersController::class, 'index'])->name('seller.orders');
    Route::get('/leadtime-stock', [App\Http\Controllers\Seller\InventoryController::class, 'leadtimeStock'])->name('seller.leadtime-stock');
    //start generate pdf shortlist offers
    Route::get('/generate-leadtime-stock-pdf/{warehouse?}', [App\Http\Controllers\Seller\InventoryController::class, 'generate_pdf'])->name('seller.generate-leadtime-stock-pdf');
    //end generate pdf shortlist offers
    Route::get('/inventory', [App\Http\Controllers\Seller\InventoryController::class, 'index'])->name('seller.inventory');
    // Route::get('/replenishment', [App\Http\Controllers\Seller\InventoryController::class, 'replenishment'])->name('seller.replenishment');
    Route::get('/replenishment', App\Http\Livewire\Seller\Replenishment\AllList::class)->name('seller.replenishment');
    Route::get('/replenishment-offers', App\Http\Livewire\Seller\ReplenishmentOffers\AllList::class)->name('seller.replenishment-offers');
    //start replenishment pdf offers
    Route::get('/replenishment-pdf/{otherStatus?}', [App\Http\Controllers\Seller\InventoryController::class, 'replenishmentPdf'])->name('seller.replenishment-pdf');
    Route::get('/send-stock-pdf', [App\Http\Controllers\Seller\ReplenishmentController::class, 'SendStockPdf'])->name('seller.send-stock-pdf');
    //end replenishment pdf offers
    Route::get('/live-offers', [App\Http\Controllers\Seller\OffersController::class, 'offersLive'])->name('seller.live-offers');
    Route::get('/offers', [App\Http\Controllers\Seller\OffersController::class, 'index'])->name('seller.offers');
    Route::get('/re-pricing', [App\Http\Controllers\Seller\RePricingController::class, 'index'])->name('seller.repricing'); 
    Route::get('/re-pricing-history', [App\Http\Controllers\Seller\RePricingHistoryController::class, 'index'])->name('seller.repricing-history'); 
    Route::get('/takealot-api', [App\Http\Controllers\Seller\SettingsController::class, 'takealotApi'])->name('seller.takealot-api'); 
    Route::get('/tsin-update-history', [App\Http\Controllers\Seller\OffersController::class, 'tsinHistory'])->name('seller.tsinHistory'); 
    Route::get('/subscription-and-billing', App\Http\Livewire\Seller\Billing\Index::class)->name('seller.billing');


});

//cron jobs routes
Route::get('/get-all-sales/{id?}', [App\Http\Controllers\Seller\OrdersController::class, 'fetchAllSales']);      
// Route::get('/get-all-offers/{id?}', [App\Http\Controllers\Seller\OffersController::class, 'fetchAllOffers']);
// Route::get('/checkPackageExpire', [App\Http\Controllers\Seller\SettingsController::class, 'checkPackageExpire']);
// Route::get('/removeExtraOffersFromRePricing', [App\Http\Controllers\Seller\RePricingController::class, 'removeExtraOffersFromRePricing']);

// Route::get('/disableFromRePricing', [App\Http\Controllers\Seller\RePricingController::class, 'disableFromRePricing']);
// Route::get('/offerJob', [App\Http\Controllers\Seller\OffersController::class, 'takealotAllShopsOffersJob']);

// Route::get('/fetch-takealot-product-details', [App\Http\Controllers\Seller\TakealotDetailsController::class, 'fetchTakealotProductDetails']);
// Route::get('/check-winner', [App\Http\Controllers\Seller\RePricingController::class, 'checkWinner']);  
// Route::get('/check-losser-offers', [App\Http\Controllers\Seller\RePricingController::class, 'checkLosserOffers']);  
// Route::get('/newCreatedOffer', [App\Http\Controllers\Seller\OffersController::class, 'newCreatedOffer']); 
// Route::get('/check-total-offers', [App\Http\Controllers\Seller\OffersController::class, 'allOffersCount']);  
// Route::get('/count-orders', [App\Http\Controllers\Seller\OrdersController::class, 'getSalesCount']);  
// Route::get('/secrap-winner', [App\Http\Controllers\Seller\RePricingController::class, 'secrapWinner']);  
// Route::get('/checkOffers', [App\Http\Controllers\Seller\RePricingController::class, 'checkOffers']);  
Route::get('/reFetchAllOffersJob/{id?}', [App\Http\Controllers\Seller\OffersController::class, 'reFetchAllOffersJob']);  
// Route::get('/getShopForOrderStatusChange', [App\Http\Controllers\Seller\OrdersController::class, 'getShopForOrderStatusChange']);     
// Route::get('/deleteTsinHistory', [App\Http\Controllers\Seller\RePricingHistoryController::class, 'deleteTsinHistory']);     
// Route::get('/checkAllSubscriptions', [App\Http\Controllers\Front\PaystackController::class, 'checkAllSubscriptions']);   
// Route::get('/get-all-offers/{id?}', [App\Http\Controllers\Seller\OffersController::class, 'fetchAllOffers']);
Route::get('/check-losser-offers', [App\Http\Controllers\Seller\RePricingController::class, 'checkLosserOffers']);  
Route::get('/check-winner', [App\Http\Controllers\Seller\RePricingController::class, 'checkWinner']);  