<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// Route::group(['prefix' => 'seller', 'middleware' => ['auth', 'seller', 'unbanned']], function () 
// {


//  Route::get('/profile', [App\Http\Controllers\Profile\ProfileController::class, 'index'])->name('profile');
//  Route::get('/security', [App\Http\Controllers\Profile\SecurityController::class, 'index'])->name('security');
//  //home controller routes
//  Route::get('/dashboard', [App\Http\Controllers\HomeController::class, 'index'])->name('dashboard');
 

// });
Route::get('/', [App\Http\Controllers\Front\HomeController::class, 'index'])->name('index');
Route::get('/service', [App\Http\Controllers\Front\HomeController::class, 'service'])->name('service');
Route::get('/pricing', [App\Http\Controllers\Front\HomeController::class, 'pricing'])->name('pricing');
Route::get('/about-us', [App\Http\Controllers\Front\HomeController::class, 'about'])->name('aboutUs');
Route::get('/contact-us', [App\Http\Controllers\Front\HomeController::class, 'contact'])->name('contactUs');
Route::get('/privacy-policy', [App\Http\Controllers\Front\HomeController::class, 'privacyPolicy'])->name('privacyPolicy');
Route::get('/term-and-conditions', [App\Http\Controllers\Front\HomeController::class, 'termConditions'])->name('termConditions');
Route::get('/blogs', [App\Http\Controllers\Front\BlogController::class, 'blogs'])->name('blogs');
Route::get('/blog/{slug}', [App\Http\Controllers\Front\BlogController::class, 'blogDetails'])->name('blogs-details');
// Route::webhooks('takealot-events/{uuid}','takealot-events');
Route::match(['get','post'],'takealot-events/{uuid}', [App\Http\Controllers\Api\TakealotWebHooksController::class, 'webhookEvents'])->name('webhookEvents');

//paystack urls
Route::get('/paystack/payment/callback',[App\Http\Controllers\Front\PaystackController::class, 'handleStackGatewayCallback']);
Route::post('/paystack/webhook',[App\Http\Controllers\Front\PaystackController::class, 'payStackWebHook']);
//paystack urls end




//webhook urls end
// Route::get('/', [App\Http\Controllers\Front\HomeController::class, 'index'])->name('home');
Auth::routes(['verify' => true]);

 //aiz
 Route::post('/aiz-uploader',  [App\Http\Controllers\AizUploadController::class,'show_uploader']);
 Route::post('/aiz-uploader/upload', [App\Http\Controllers\AizUploadController::class,'upload']);
 Route::get('/aiz-uploader/get_uploaded_files', [App\Http\Controllers\AizUploadController::class,'get_uploaded_files']);
 Route::post('/aiz-uploader/get_file_by_ids', [App\Http\Controllers\AizUploadController::class,'get_preview_files']);
 Route::get('/aiz-uploader/download/{id}',  [App\Http\Controllers\AizUploadController::class,'attachment_download'])->name('download_attachment');
 // aiz end




Route::get('/logout', '\App\Http\Controllers\Auth\LoginController@logout');
