<!doctype html>
<html lang="en">

<head>
   
   
    <!--====== MetaData Start ======-->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="app-url" content="<?php echo e(getBaseURL()); ?>">
    <meta name="file-base-url" content="<?php echo e(getFileBaseURL()); ?>">
    <meta charset="UTF-8">
    <meta name="robots" >
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
    <?php
        $metadata=null;
        // $actual_link  = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        $actual_link  = url()->current();
        $metadata     =Cache()->remember(md5(Request::fullUrl()),now()->addDay(),function() use ($actual_link) {
                 return \App\Models\MetaData::where('page_name',$actual_link)->first();
                });
    ?>
   
    <?php if(!empty($metadata)): ?>
    
    <title><?php echo e(!empty($metadata->title) ? $metadata->title :'SalesUp Bot'); ?></title>
    <meta name="title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta name="url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta name="description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta name="keywords" content="<?php echo e(!empty($metadata->keywords) ? $metadata->keywords :''); ?>">
    <meta name="image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
      <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta property="og:title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta property="og:description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta property="og:image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta property="twitter:title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta property="twitter:description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta property="twitter:image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
    <?php endif; ?>

    <?php if(Route::is('blogs-details') ): ?> 
    <?php
        $metadata = \App\Models\Blog::where('slug',request()->slug)->first();
    ?>
    <title><?php echo e(!empty($metadata->meta_title) ? $metadata->meta_title :'SalesUp Bot'); ?></title>
    <meta name="title" content="<?php echo e(!empty($metadata->meta_title) ? $metadata->meta_title :''); ?>">
    <meta name="url" content="<?php echo e(url()->full()); ?>">
    <meta name="description" content="<?php echo e(!empty($metadata->short_description) ? $metadata->short_description :''); ?>">
    <meta name="keywords" content="<?php echo e(!empty($metadata->meta_keywords) ? $metadata->meta_keywords :''); ?>">
    <meta name="image" content="<?php echo e(uploaded_asset($metadata->meta_img)); ?>">
      <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo e(url()->full()); ?>">
    <meta property="og:title" content="<?php echo e(!empty($metadata->meta_title) ? $metadata->meta_title :''); ?>">
    <meta property="og:description" content="<?php echo e(!empty($metadata->short_description) ? $metadata->short_description :''); ?>">
    <meta property="og:image" content="<?php echo e(uploaded_asset($metadata->meta_img)); ?>">
    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="<?php echo e(url()->full()); ?>">
    <meta property="twitter:title" content="<?php echo e(!empty($metadata->meta_title) ? $metadata->meta_title :''); ?>">
    <meta property="twitter:description" content="<?php echo e(!empty($metadata->short_description) ? $metadata->short_description :''); ?>">
    <meta property="twitter:image" content="<?php echo e(uploaded_asset($metadata->meta_img)); ?>">
    <?php endif; ?>
    <!--====== MetaData End ======-->
    <link rel="canonical" href="<?php echo e(url()->full()); ?>" />
    <!--====== Favicon Icon ======-->
    <link rel="shortcut icon" href="<?php echo e(static_asset('')); ?>front/assets/images/favicon.png" type="image/png">
    <!--====== Bootstrap css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/bootstrap.min.css">    
    <!--====== Fontawesome css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/font-awesome.min.css">    
    <!--====== Magnific Popup css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/animate.min.css">    
    <!--====== Magnific Popup css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/magnific-popup.css">    
    <!--====== Slick css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/slick.css">    
    <!--====== Default css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/custom-animation.css">
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/default.css">    
    <!--====== Style css ======-->
    <link rel="stylesheet" href="<?php echo e(static_asset('')); ?>front/assets/css/style.css">
    <?php echo \Livewire\Livewire::styles(); ?>

    <?php echo $__env->yieldPushContent('styles'); ?>
</head>

<body>    


    <!--====== PRELOADER PART START ======-->

    

    <!--====== PRELOADER PART ENDS ======-->

    <!--====== OFFCANVAS MENU PART START ======-->

    <div class="off_canvars_overlay">
                
    </div>
    <div class="offcanvas_menu">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="offcanvas_menu_wrapper">
                        <div class="canvas_close">
                            <a href="javascript:void(0)"><i class="fa fa-times"></i></a>  
                        </div>
                        <div class="offcanvas-brand text-center mb-40">
                            <a href="<?php echo e(route('index')); ?>"><img src="<?php echo e(static_asset('')); ?>front/assets/images/logo.png" alt="Sales Up"></a>
                        </div>
                        <div id="menu" class="text-left ">
                            <ul class="offcanvas_main_menu">
                                <li class="menu-item-has-children <?php if(Route::is('index') ): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('index')); ?>">Home</a>
                                </li>                                
                                <li class="menu-item-has-children <?php if(Route::is('pricing') ): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('pricing')); ?>">Pricing</a>
                                </li>
                                <li class="menu-item-has-children <?php if(Route::is('service') ): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('service')); ?>">Service</a>
                                </li>
                                <li class="menu-item-has-children <?php if(Route::is('about-us') ): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('aboutUs')); ?>">About us</a>
                                </li>
                                <li class="menu-item-has-children <?php if(Route::is('contact-us') ): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('contactUs')); ?>">Contact us</a>
                                </li>
                            </ul>
                        </div>
                        <div class="offcanvas-social">
                            <ul class="text-center">
                                <li><a href="https://web.facebook.com/salesupbot" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="https://twitter.com/salesupbot"  target="_blank"><i class="fab fa-twitter"></i></a></li>
                                <li><a href="https://www.instagram.com/salesupbot/"  target="_blank"><i class="fab fa-instagram"></i></a></li>
                            </ul>
                        </div>
                        <div class="footer-widget-info">
                            <ul>
                                <li><a href="#"><i class="fal fa-envelope"></i> support@salesup.co.za</a></li>
                                <li><a href="#"><i class="fal fa-phone"></i> +(642) 342 762 44</a></li>
                                <li><a href="#"><i class="fal fa-map-marker-alt"></i> 442 Belle Terre St Floor 7, San Francisco, AV 4206</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--====== OFFCANVAS MENU PART ENDS ======-->

   

   
   
    <!--====== PART START ======-->
    
    <header class="appie-header-area appie-sticky">
        <div class="container">
            <div class="header-nav-box header-nav-4-box">
                <div class="row align-items-center">
                    <div class="col-lg-2 col-md-4 col-sm-5 col-6 order-1 order-sm-1" style="margin-bottom: 1.2rem !important;">
                        <div class="appie-logo-box">
                            <a href="<?php echo e(route('index')); ?>">
                                <img src="<?php echo e(static_asset('')); ?>front/assets/images/logo.png" alt="Sales Up">
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-1 col-sm-1 order-3 order-sm-2">
                        <div class="appie-header-main-menu">
                            <ul>
                                <li>
                                    <a class=" <?php if(Route::is('index') ): ?> active <?php endif; ?>" href="<?php echo e(route('index')); ?>">Home</a>
                                </li>
                                <li>
                                    <a class=" <?php if(Route::is('pricing') ): ?> active <?php endif; ?>" href="<?php echo e(route('pricing')); ?>">Pricing</a>
                                </li>
                                <li>
                                    <a class=" <?php if(Route::is('service') ): ?> active <?php endif; ?>" href="<?php echo e(route('service')); ?>">Service</a>
                                </li>
                                <li>
                                    <a class=" <?php if(Route::is('aboutUs') ): ?> active <?php endif; ?>" href="<?php echo e(route('aboutUs')); ?>">About Us</a>
                                </li>
                                <li>
                                    <a class=" <?php if(Route::is('contactUs') ): ?> active <?php endif; ?>" href="<?php echo e(route('contactUs')); ?>">Contact Us</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-4  col-md-7 col-sm-6 col-6 order-2 order-sm-3">
                        <div class="appie-btn-box text-right">
                            <?php if((Auth::check())): ?>
                            <a class="login-btn" href="<?php echo e((Auth::user()->role=='admin') ? route('admin.dashboard') : route('seller.dashboard')); ?>"><i class="fal fa-user"></i>Dashboard</a>
                            <?php else: ?>
                            <a class="login-btn" href="<?php echo e(route('login')); ?>"><i class="fal fa-user"></i> Login</a>
                            <?php endif; ?>
                            <a class="main-btn ml-30" href="<?php echo e(route('pricing')); ?>">Get Started</a>
                            <div class="toggle-btn ml-30 canvas_open d-lg-none d-block">
                                <i class="fa fa-bars"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    
    <!--====== PART ENDS ======-->

    <!--====== APPIE HERO PART START ======-->
   
    <?php echo $__env->yieldContent('content'); ?>
    <?php if(!empty($metadata->title)): ?>
    <h1 style="display: none !important;"><?php echo e($metadata->title); ?></h1>
    <?php endif; ?>
     <!--====== APPIE FOOTER PART START ======-->
    
     <section class="appie-footer-area">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="footer-about-widget footer-about-widget-5">
                        <div class="logo">
                            <a href="<?php echo e(route('index')); ?>"><img src="<?php echo e(static_asset('')); ?>front/assets/images/logo.png" alt="Sales Up"></a>
                        </div>
                        <p>SalesUp Software Development is a Johannesburg-based company that specializes in providing top-notch software and website <a href="<?php echo e(route('aboutUs')); ?>">Read More <i class="fal fa-arrow-right"></i></a></p>
                        
                        <div class="social mt-30">
                            <ul>
                                <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                                <li><a href="#"><i class="fab fa-pinterest-p"></i></a></li>
                                <li><a href="#"><i class="fab fa-linkedin-in"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-6">
                    <div class="footer-navigation footer-navigation-5">
                        <h4 class="title">Company</h4>
                        <ul>
                            <li><a href="<?php echo e(route('index')); ?>">Home</a></li>
                            <li><a href="<?php echo e(route('pricing')); ?>">Pricing</a></li>
                            <li><a href="<?php echo e(route('service')); ?>">Service</a></li>
                            <li><a href="<?php echo e(route('blogs')); ?>">Blogs</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-navigation footer-navigation-5">
                        <h4 class="title">Informations</h4>
                        <ul>
                            <li><a href="<?php echo e(route('aboutUs')); ?>">About Us</a></li>
                            <li><a href="<?php echo e(route('contactUs')); ?>">Contact Us</a></li>
                            <li><a href="<?php echo e(route('privacyPolicy')); ?>">Privacy Policy</a></li>
                            <li><a href="<?php echo e(route('termConditions')); ?>">Term and condtions</a></li>
                            <li><a href="https://salesupbot.co.za/sitemap.xml">Sitemap</a></li>
                        </ul>
                    </div>                    
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-widget-info">
                        <h4 class="title">Get In Touch</h4>
                        <ul>
                            <li><a href="#"><i class="fal fa-envelope"></i> support@salesupbot.co.za</a></li>
                            <li><a href="<?php echo e(route('contactUs')); ?>"><i class="fal fa-phone"></i> Contact Us</a></li>
                            
                        
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="footer-copyright d-flex align-items-center justify-content-between pt-35">
                        <div class="apps-download-btn">
                        <ul>
                            <li><a href="<?php echo e(route('register')); ?>"><i class="fas fa-user"></i> Join us with free starter account</a></li>
                        </ul>
                        </div>
                        <div class="copyright-text">
                            <p>Copyright © 2022-<?php echo e(date('Y')); ?> SalesUp Bot. All rights reserved.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
    <!--====== APPIE FOOTER PART ENDS ======-->


    <!--====== APPIE BACK TO TOP PART ENDS ======-->
    <div class="back-to-top back-to-top-5">
        <a href="#"><i class="fal fa-arrow-up"></i></a>
    </div>
    <!--====== APPIE BACK TO TOP PART ENDS ======-->



    
    
    
    
    
    <?php echo \Livewire\Livewire::scripts(); ?>

    <!--====== jquery js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/vendor/modernizr-3.6.0.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/vendor/jquery-1.12.4.min.js"></script>

    <!--====== Bootstrap js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/bootstrap.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/popper.min.js"></script>
    
    <!--====== wow js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/wow.js"></script>
    
    <!--====== Slick js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/jquery.counterup.min.js"></script>
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/waypoints.min.js"></script>

    <!--====== TweenMax js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/TweenMax.min.js"></script>
    
    <!--====== Slick js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/slick.min.js"></script>
    
    <!--====== Magnific Popup js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/jquery.magnific-popup.min.js"></script>
    
    <!--====== Main js ======-->
    <script src="<?php echo e(static_asset('')); ?>front/assets/js/main.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        window.addEventListener('notify', event => {
        
           if(event.detail.error=='success')
           {
              textColor='#28c76f';
           }
           else if(event.detail.error=='error')
           {
              textColor='#ea5455';
           }
           else if(event.detail.error=='warning')
           {
              textColor='#ff9f43';
           }
           else if(event.detail.error=='info')
           {
              textColor='#00cfe8';
           }
           else
           {
              textColor='#ffff';
           }
            const Toast = Swal.mixin({
                toast: true,
                position: 'top',
                popup: 'swal2-hide',
                showConfirmButton: false,
                backdrop: 'swal2-backdrop-hide',
                timer: 5000,
                timerProgressBar: true,
                didOpen: (toast) => {
                    toast.addEventListener('mouseenter', Swal.stopTimer)
                    toast.addEventListener('mouseleave', Swal.resumeTimer)
                }
            })
            //Supported class =>  "success", "error", "warning", "info" or "question"
            Toast.fire({
                icon: event.detail.error,
                iconColor:'#ffff',
                title: event.detail.msg,
                background: textColor,
                color: '#ffff',
                width:'50%'
            })
            //AIZ.plugins.notify(event.detail.error,event.detail.msg);
    })
    </script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
</body>
</html>
<?php /**PATH /home/salesu7/public_html/resources/views/front/layouts/app.blade.php ENDPATH**/ ?>