<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<!-- BEGIN: Head-->

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="robots" >
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
    <?php
        $metadata=null;
        $actual_link  = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        $metadata     =Cache()->remember(md5(Request::fullUrl()),now()->addDay(),function() use ($actual_link) {
                 return \App\Models\MetaData::where('page_name',$actual_link)->first();
                });
    ?>
   
    <?php if(!empty($metadata)): ?>
    
    <title><?php echo e(!empty($metadata->title) ? $metadata->title :'SalesUp Bot'); ?></title>
    <meta name="title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta name="url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta name="description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta name="keywords" content="<?php echo e(!empty($metadata->keywords) ? $metadata->keywords :''); ?>">
    <meta name="image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
      <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta property="og:title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta property="og:description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta property="og:image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="<?php echo e(!empty($metadata->page_name) ? $metadata->page_name :''); ?>">
    <meta property="twitter:title" content="<?php echo e(!empty($metadata->title) ? $metadata->title :''); ?>">
    <meta property="twitter:description" content="<?php echo e(!empty($metadata->description) ? $metadata->description :''); ?>">
    <meta property="twitter:image" content="<?php echo e(uploaded_asset($metadata->meta_image)); ?>">
    <?php endif; ?>
    <link rel="canonical" href="<?php echo e(url()->full()); ?>" />
    <link rel="apple-touch-icon" href="<?php echo e(static_asset('')); ?>seller/images/ico/apple-icon-120.png">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(static_asset('')); ?>seller/images/ico/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;1,400;1,500;1,600" rel="stylesheet">

    <!-- BEGIN: Vendor CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/vendors/css/vendors.min.css">
    <!-- END: Vendor CSS-->

    <!-- BEGIN: Theme CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/bootstrap-extended.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/colors.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/components.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/dark-layout.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/bordered-layout.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/themes/semi-dark-layout.css">

    <!-- BEGIN: Page CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/core/menu/menu-types/vertical-menu.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/plugins/forms/form-validation.css">
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/css/pages/page-auth.css">
    <!-- END: Page CSS-->

    <!-- BEGIN: Custom CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(static_asset('')); ?>seller/assets/css/style.css">
    <!-- END: Custom CSS-->

</head>
<!-- END: Head-->

<!-- BEGIN: Body-->

<body class="vertical-layout vertical-menu-modern blank-page navbar-floating footer-static  " data-open="click" data-menu="vertical-menu-modern" data-col="blank-page">
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
            </div>
            <div class="content-body">

         <?php echo $__env->yieldContent('content'); ?>
		 <?php if(!empty($metadata->title)): ?>
            <h1 style="display: none !important;"><?php echo e($metadata->title); ?></h1>
         <?php endif; ?>
		 </div>
        </div>
    </div>
    <!-- END: Content-->


    <!-- BEGIN: Vendor JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/vendors.min.js"></script>
    <!-- BEGIN Vendor JS-->

    <!-- BEGIN: Page Vendor JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/vendors/js/forms/validation/jquery.validate.min.js"></script>
    <!-- END: Page Vendor JS-->

    <!-- BEGIN: Theme JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/js/core/app-menu.js"></script>
    <script src="<?php echo e(static_asset('')); ?>seller/js/core/app.js"></script>
    <!-- END: Theme JS-->

    <!-- BEGIN: Page JS-->
    <script src="<?php echo e(static_asset('')); ?>seller/js/scripts/pages/page-auth-login.js"></script>
    <!-- END: Page JS-->

    <script>
        $(window).on('load', function() {
            if (feather) {
                feather.replace({
                    width: 14,
                    height: 14
                });
            }
        })
    </script>
</body>
<!-- END: Body-->

</html><?php /**PATH /home/salesu7/public_html/resources/views/layouts/app-Auth.blade.php ENDPATH**/ ?>